/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as i, inject as n, createVNode as o } from "vue";
import { getDefaultSlots as r, classNames as s } from "@progress/kendo-vue-common";
import { provideLocalizationService as c } from "@progress/kendo-vue-intl";
import { nodata as a, messages as l } from "./messages.mjs";
const f = /* @__PURE__ */ i({
  name: "ChartNoDataOverlay",
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  props: {
    className: String
  },
  setup() {
    return {
      kendoLocalizationService: n("kendoLocalizationService", {})
    };
  },
  render() {
    const e = r(this), {
      className: t
    } = this.$props;
    return o("div", {
      class: s("k-chart-overlay", t),
      style: {
        display: "none"
      }
    }, [o("div", {
      class: "k-no-data"
    }, [e === void 0 ? c(this).toLanguageString(a, l[a]) : e])]);
  }
});
export {
  f as ChartNoDataOverlay
};
