/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as u } from "../utils/main.mjs";
import { defineComponent as d, h as i } from "vue";
const p = /* @__PURE__ */ d({
  name: "KendoChartAxisDefaults",
  props: {
    background: {
      type: String,
      default: void 0
    },
    color: {
      type: String,
      default: void 0
    },
    line: {
      type: Object,
      default: function() {
      }
    },
    majorGridLines: {
      type: Object,
      default: function() {
      }
    },
    majorTicks: {
      type: Object,
      default: function() {
      }
    },
    minorGridLines: {
      type: Object,
      default: function() {
      }
    },
    minorTicks: {
      type: Object,
      default: function() {
      }
    },
    narrowRange: {
      type: Boolean,
      default: void 0
    },
    pane: {
      type: String,
      default: void 0
    },
    plotBands: {
      type: Array,
      default: function() {
      }
    },
    reverse: {
      type: Boolean,
      default: void 0
    },
    startAngle: {
      type: Number,
      default: void 0
    },
    visible: {
      type: Boolean,
      default: void 0
    },
    crosshair: {
      type: Object,
      default: function() {
      }
    },
    labels: {
      type: Object,
      default: function() {
      }
    },
    title: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), n = u(this.$props);
    return i(t, {
      config: n,
      chartKey: "axisDefaults"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartAxisDefaults
};
