/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as u } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../utils/main.mjs";
import { defineComponent as d, h as i } from "vue";
const c = /* @__PURE__ */ d({
  name: "KendoChartLegend",
  props: {
    align: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["start", "center", "end"].includes(e);
      }
    },
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: function() {
      }
    },
    height: {
      type: Number,
      default: void 0
    },
    labels: {
      type: Object,
      default: function() {
      }
    },
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    offsetX: {
      type: Number,
      default: void 0
    },
    offsetY: {
      type: Number,
      default: void 0
    },
    orientation: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["vertical", "horizontal"].includes(e);
      }
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    position: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["top", "bottom", "left", "right", "custom"].includes(e);
      }
    },
    reverse: {
      type: Boolean,
      default: void 0
    },
    visible: {
      type: Boolean,
      default: !0
    },
    width: {
      type: Number,
      default: void 0
    },
    inactiveItems: {
      type: Object,
      default: function() {
      }
    },
    item: {
      type: Object,
      default: function() {
      }
    },
    spacing: {
      type: Number,
      default: void 0
    },
    title: {
      type: Object,
      default: function() {
      }
    },
    focusHighlight: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = u(this), t = r(this.$props);
    return i(n, {
      config: t,
      chartKey: "legend"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartLegend
};
