/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as u } from "../utils/main.mjs";
import { defineComponent as d, h as f } from "vue";
const l = /* @__PURE__ */ d({
  name: "KendoChartPaneDefaults",
  props: {
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: function() {
      }
    },
    clip: {
      type: Boolean,
      default: void 0
    },
    height: {
      type: Number,
      default: void 0
    },
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    name: {
      type: String,
      default: void 0
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    title: {
      type: [Object, String],
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = u(this.$props);
    return f(n, {
      config: t,
      chartKey: "paneDefaults"
    }, function() {
      return e;
    });
  }
});
export {
  l as ChartPaneDefaults
};
