/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as a } from "../utils/main.mjs";
import { defineComponent as u, h as o } from "vue";
const c = /* @__PURE__ */ u({
  name: "KendoChartSeriesDefaults",
  props: {
    border: {
      type: Object,
      default: function() {
      }
    },
    gap: Number,
    overlay: {
      type: Object,
      default: function() {
      }
    },
    spacing: Number,
    stack: {
      type: [Boolean, String, Object],
      default: function() {
      }
    },
    type: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["area", "bar", "boxPlot", "bubble", "bullet", "candlestick", "column", "donut", "funnel", "horizontalWaterfall", "line", "ohlc", "pie", "polarArea", "polarLine", "polarScatter", "radarArea", "radarColumn", "radarLine", "rangeArea", "rangeBar", "rangeColumn", "scatter", "scatterLine", "verticalArea", "verticalBoxPlot", "verticalBullet", "verticalLine", "verticalRangeArea", "waterfall"].includes(e);
      }
    },
    visual: {
      type: Function,
      default: void 0
    },
    labels: {
      type: Object,
      default: function() {
      }
    },
    notes: {
      type: Object,
      default: function() {
      }
    },
    tooltip: {
      type: Object,
      default: function() {
      }
    },
    focusHighlight: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = a(this.$props);
    return o(n, {
      config: t,
      chartKey: "seriesDefaults"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartSeriesDefaults
};
