/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as i } from "@progress/kendo-vue-common";
import { removeUndefinedProps as d } from "../utils/main.mjs";
import { defineComponent as r, h as o } from "vue";
const p = /* @__PURE__ */ r({
  name: "KendoChartTitle",
  props: {
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: void 0
    },
    margin: {
      type: [Object, Number],
      default: void 0
    },
    padding: {
      type: [Object, Number],
      default: void 0
    },
    align: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["center", "left", "right"].includes(e);
      }
    },
    color: {
      type: String,
      default: void 0
    },
    font: {
      type: String,
      default: void 0
    },
    position: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["top", "bottom"].includes(e);
      }
    },
    text: {
      type: String,
      default: void 0
    },
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const e = i(this), t = d(this.$props);
    return o(n, {
      config: t,
      chartKey: "title"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartTitle
};
