/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as o, templateRendering as d, getListeners as i } from "@progress/kendo-vue-common";
import { removeUndefinedProps as f } from "../utils/main.mjs";
import { defineComponent as u, h as p } from "vue";
const m = /* @__PURE__ */ u({
  name: "KendoChartTooltip",
  props: {
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: function() {
      }
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    color: {
      type: String,
      default: void 0
    },
    render: {
      type: [String, Function, Object],
      default: void 0
    },
    font: {
      type: String,
      default: void 0
    },
    format: {
      type: String,
      default: void 0
    },
    opacity: {
      type: Number,
      default: void 0
    },
    shared: {
      type: Boolean,
      default: void 0
    },
    visible: {
      type: Boolean,
      default: !0
    }
  },
  render() {
    const e = o(this), t = f(this.$props), n = d.call(this, this.$props.render, i.call(this));
    return p(r, {
      config: {
        ...t,
        render: n
      },
      chartKey: "tooltip"
    }, function() {
      return e;
    });
  }
});
export {
  m as ChartTooltip
};
