/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as d } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../utils/main.mjs";
import { defineComponent as u, h as r } from "vue";
const p = /* @__PURE__ */ u({
  name: "KendoChartValueAxisItem",
  props: {
    axisCrossingValue: {
      type: [Array, Object, Date, Number],
      default: function() {
      }
    },
    background: {
      type: String,
      default: void 0
    },
    color: {
      type: String,
      default: void 0
    },
    line: {
      type: Object,
      default: void 0
    },
    majorGridLines: {
      type: Object,
      default: void 0
    },
    majorTicks: {
      type: Object,
      default: void 0
    },
    majorUnit: {
      type: Number,
      default: void 0
    },
    max: {
      type: [Number, Object, String, Date],
      default: void 0
    },
    min: {
      type: [Number, Object, String, Date],
      default: void 0
    },
    minorGridLines: {
      type: Object,
      default: void 0
    },
    minorTicks: {
      type: Object,
      default: void 0
    },
    minorUnit: {
      type: Number,
      default: void 0
    },
    name: {
      type: String,
      default: void 0
    },
    narrowRange: {
      type: Boolean,
      default: void 0
    },
    pane: {
      type: String,
      default: void 0
    },
    plotBands: {
      type: Array,
      default: void 0
    },
    reverse: {
      type: Boolean,
      default: void 0
    },
    type: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["numeric", "log"].includes(e);
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    },
    crosshair: {
      type: Object,
      default: void 0
    },
    labels: {
      type: Object,
      default: void 0
    },
    notes: {
      type: Object,
      default: void 0
    },
    title: {
      type: Object,
      default: void 0
    }
  },
  render() {
    const e = d(this), t = i(this.$props);
    return r(n, {
      config: t
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartValueAxisItem
};
