/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as i, h as d } from "vue";
const p = /* @__PURE__ */ i({
  name: "KendoChartAxisDefaultsTitle",
  props: {
    background: String,
    border: {
      type: Object,
      default: void 0
    },
    color: String,
    font: String,
    margin: {
      type: [Object, Number],
      default: void 0
    },
    padding: {
      type: [Object, Number],
      default: void 0
    },
    position: {
      type: String,
      default: void 0,
      validator: function(t) {
        return ["top", "bottom", "left", "right", "center"].includes(t);
      }
    },
    rotation: Number,
    text: String,
    visible: {
      type: Boolean,
      default: void 0
    },
    visual: {
      type: Function,
      default: void 0
    }
  },
  render() {
    const t = o(this), e = r(this.$props);
    return d(n, {
      config: e,
      chartKey: "title"
    }, function() {
      return t;
    });
  }
});
export {
  p as ChartAxisDefaultsTitle
};
