/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as l, createTextVNode as r } from "vue";
import { getDefaultSlots as d } from "@progress/kendo-vue-common";
const h = /* @__PURE__ */ o({
  name: "KendoCollectionConfiguration",
  props: {
    chartKey: String,
    parentKey: String,
    parentStore: Object
  },
  provide() {
    return {
      childOption: !1,
      chartCollection: this.$props.chartKey,
      parentKey: this.$props.parentKey,
      child: this.child,
      addChild: this.addChild,
      removeChild: this.removeChild
    };
  },
  inject: {
    dispatchOptions: {
      default: null
    },
    observersStore: {
      default: null
    },
    childrenObserver: {
      default: null
    }
  },
  created() {
    const t = this.dispatchOptions;
    t({
      chartKey: this.$props.chartKey,
      payload: []
    });
  },
  data() {
    return {
      child: {
        collection: []
      }
    };
  },
  render() {
    const t = d(this);
    return l("div", null, [t, r(" ")]);
  },
  methods: {
    addChild(t) {
      this.child.collection.push(t);
    },
    removeChild(t) {
      const e = this.child.collection.findIndex((i) => i.uid === t.uid);
      this.child.collection.splice(e, 1);
    }
  }
});
export {
  h as CollectionConfiguration
};
