/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const p = /* @__PURE__ */ i({
  name: "KendoChartCategoryAxisLabels",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    content: {
      type: Function,
      default: void 0
    },
    culture: String,
    dateFormats: {
      type: Object,
      default: function() {
      }
    },
    font: String,
    format: String,
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    mirror: {
      type: Boolean,
      default: void 0
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    position: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["start", "end", "onAxis", ""].includes(e);
      }
    },
    rotation: {
      type: [Object, Number, String],
      default: function() {
      }
    },
    skip: Number,
    step: Number,
    visible: {
      type: Boolean,
      default: !0
    },
    visual: {
      type: Function,
      default: void 0
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return u(n, {
      config: t,
      chartKey: "labels"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartCategoryAxisLabels
};
