/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as i, h as d } from "vue";
const l = /* @__PURE__ */ i({
  name: "KendoChartCategoryAxisNotesLabel",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    content: {
      type: Function,
      default: void 0
    },
    font: String,
    format: String,
    position: {
      type: String,
      default: void 0,
      validator: function(t) {
        return ["inside", "outside"].includes(t);
      }
    },
    rotation: Number,
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const t = o(this), e = r(this.$props);
    return d(n, {
      config: e,
      chartKey: "label"
    }, function() {
      return t;
    });
  }
});
export {
  l as ChartCategoryAxisNotesLabel
};
