/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../../utils/main.mjs";
import { defineComponent as o, h as u } from "vue";
const p = /* @__PURE__ */ o({
  name: "KendoChartLegendItem",
  props: {
    cursor: String,
    type: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["area", "line"].includes(e);
      }
    },
    line: {
      type: Object,
      default: function() {
      }
    },
    area: {
      type: Object,
      default: function() {
      }
    },
    markers: {
      type: Object,
      default: function() {
      }
    },
    highlight: {
      type: Object,
      default: function() {
      }
    },
    visual: {
      type: Function,
      default: void 0
    }
  },
  render() {
    const e = r(this), t = i(this.$props);
    return u(n, {
      config: t,
      chartKey: "item"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartLegendItem
};
