/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as u } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as i, h as d } from "vue";
const l = /* @__PURE__ */ i({
  name: "KendoChartNavigatorCategoryAxis",
  props: {
    autoBaseUnitSteps: {
      type: Object,
      default: function() {
      }
    },
    axisCrossingValue: {
      type: [Object, Array, Date, Number],
      default: function() {
      }
    },
    background: {
      type: String,
      default: void 0
    },
    baseUnit: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["milliseconds", "seconds", "minutes", "hours", "days", "weeks", "months", "years", "auto", "fit"].includes(e);
      }
    },
    baseUnitStep: {
      type: [Number, String],
      default: function() {
      }
    },
    categories: {
      type: Array,
      default: function() {
      }
    },
    color: {
      type: String,
      default: void 0
    },
    justified: {
      type: Boolean,
      default: function() {
      }
    },
    line: {
      type: Object,
      default: function() {
      }
    },
    majorGridLines: {
      type: Object,
      default: function() {
      }
    },
    majorTicks: {
      type: Object,
      default: function() {
      }
    },
    max: {
      type: [Number, Object, String, Date],
      default: function() {
      }
    },
    maxDateGroups: {
      type: Number,
      default: void 0
    },
    maxDivisions: {
      type: Number,
      default: void 0
    },
    min: {
      type: [Number, Object, String, Date],
      default: function() {
      }
    },
    minorGridLines: {
      type: Object,
      default: function() {
      }
    },
    minorTicks: {
      type: Object,
      default: function() {
      }
    },
    name: {
      type: String,
      default: function() {
      }
    },
    rangeLabels: {
      type: Object,
      default: function() {
      }
    },
    pane: {
      type: String,
      default: void 0
    },
    plotBands: {
      type: Array,
      default: function() {
      }
    },
    reverse: {
      type: Boolean,
      default: function() {
      }
    },
    roundToBaseUnit: {
      type: Boolean,
      default: function() {
      }
    },
    startAngle: {
      type: Number,
      default: void 0
    },
    type: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["category", "date"].includes(e);
      }
    },
    visible: {
      type: Boolean,
      default: function() {
      }
    },
    weekStartDay: {
      type: Number,
      default: void 0
    },
    crosshair: {
      type: Object,
      default: function() {
      }
    },
    labels: {
      type: Object,
      default: function() {
      }
    },
    notes: {
      type: Object,
      default: function() {
      }
    },
    select: {
      type: Object,
      default: function() {
      }
    },
    title: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = u(this), n = r(this.$props);
    return d(t, {
      config: n,
      chartKey: "categoryAxis"
    }, function() {
      return e;
    });
  }
});
export {
  l as ChartNavigatorCategoryAxis
};
