/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as e } from "@progress/kendo-vue-common";
import { removeUndefinedProps as n } from "../../../utils/main.mjs";
import { defineComponent as i, h as a } from "vue";
const l = /* @__PURE__ */ i({
  name: "KendoChartNavigatorCategoryAxisCrosshair",
  props: {
    color: String,
    dashType: {
      type: String,
      default: function() {
      },
      validator: function(t) {
        return ["dash", "dashDot", "dot", "longDash", "longDashDot", "longDashDotDot", "solid"].includes(t);
      }
    },
    opacity: Number,
    visible: {
      type: Boolean,
      default: !0
    },
    width: Number,
    tooltip: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const t = e(this), o = n(this.$props);
    return a(r, {
      config: o,
      chartKey: "crosshair"
    }, function() {
      return t;
    });
  }
});
export {
  l as ChartNavigatorCategoryAxisCrosshair
};
