/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const s = /* @__PURE__ */ i({
  name: "KendoChartNavigatorCategoryAxisNotes",
  props: {
    dataItems: {
      type: Array,
      default: function() {
      }
    },
    line: {
      type: Object,
      default: function() {
      }
    },
    position: {
      type: String,
      default: function() {
      },
      validator: function(t) {
        return ["top", "bottom", "left", "right"].includes(t);
      }
    },
    visual: {
      type: Function,
      default: void 0
    },
    icon: {
      type: Object,
      default: function() {
      }
    },
    label: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const t = o(this), e = r(this.$props);
    return u(n, {
      config: e,
      chartKey: "notes"
    }, function() {
      return t;
    });
  }
});
export {
  s as ChartNavigatorCategoryAxisNotes
};
