/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as n } from "../../../utils/main.mjs";
import { defineComponent as i, h as a } from "vue";
const c = /* @__PURE__ */ i({
  name: "KendoChartNavigatorCategoryAxisNotesIcon",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    size: Number,
    type: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["square", "circle", "triangle", "cross"].includes(e);
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const e = o(this), t = n(this.$props);
    return a(r, {
      config: t,
      chartKey: "icon"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartNavigatorCategoryAxisNotesIcon
};
