/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const m = /* @__PURE__ */ i({
  name: "KendoChartNavigatorSeriesExtremes",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    rotation: Number,
    size: Number,
    type: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["square", "circle", "triangle", "cross"].includes(e);
      }
    }
  },
  render() {
    const e = n(this), r = o(this.$props);
    return u(t, {
      config: r,
      chartKey: "extremes"
    }, function() {
      return e;
    });
  }
});
export {
  m as ChartNavigatorSeriesExtremes
};
