/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../../utils/main.mjs";
import { defineComponent as i, h as d } from "vue";
const c = /* @__PURE__ */ i({
  name: "KendoChartNavigatorSeriesLabelsFrom",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    content: {
      type: Function,
      default: void 0
    },
    font: String,
    format: String,
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    position: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["center", "insideBase", "insideEnd", "outsideEnd"].includes(e);
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const e = r(this), n = o(this.$props);
    return d(t, {
      config: n,
      chartKey: "from"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartNavigatorSeriesLabelsFrom
};
