/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const c = /* @__PURE__ */ i({
  name: "KendoChartNavigatorSeriesItemOutliers",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    rotation: Number,
    size: Number,
    type: {
      type: String,
      default: function() {
      },
      validator: function(r) {
        return ["square", "circle", "triangle", "cross"].includes(r);
      }
    }
  },
  render() {
    const r = n(this), e = o(this.$props);
    return u(t, {
      config: e,
      chartKey: "outliers"
    }, function() {
      return r;
    });
  }
});
export {
  c as ChartNavigatorSeriesItemOutliers
};
