/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const c = /* @__PURE__ */ i({
  name: "KendoChartPaneTitle",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    font: String,
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    position: {
      type: String,
      default: function() {
      },
      validator: function(t) {
        return ["center", "left", "right"].includes(t);
      }
    },
    text: String,
    visible: {
      type: Boolean,
      default: void 0
    },
    visual: {
      type: Function,
      default: void 0
    }
  },
  render() {
    const t = r(this), e = o(this.$props);
    return u(n, {
      config: e,
      chartKey: "title"
    }, function() {
      return t;
    });
  }
});
export {
  c as ChartPaneTitle
};
