/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o, templateRendering as i, getListeners as f } from "@progress/kendo-vue-common";
import { removeUndefinedProps as d } from "../../utils/main.mjs";
import { defineComponent as s, h as p } from "vue";
const m = /* @__PURE__ */ s({
  name: "KendoChartSeriesDefaultsItemTooltip",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    font: String,
    format: String,
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    },
    render: [String, Function, Object]
  },
  render() {
    const e = o(this), t = d(this.$props), n = i.call(this, this.$props.render, f.call(this));
    return p(r, {
      config: {
        ...t,
        render: n
      },
      chartKey: "tooltip"
    }, function() {
      return e;
    });
  }
});
export {
  m as ChartSeriesDefaultsItemTooltip
};
