/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../../utils/main.mjs";
import { defineComponent as o, h as u } from "vue";
const l = /* @__PURE__ */ o({
  name: "KendoChartSeriesLabels",
  props: {
    align: {
      type: String,
      default: function() {
      },
      validator: function(e) {
        return ["circle", "column", "center", "right", "left"].includes(e);
      }
    },
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    content: {
      type: Function,
      default: void 0
    },
    distance: Number,
    font: String,
    format: String,
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    position: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["auto", "above", "below", "center", "insideBase", "insideEnd", "left", "outsideEnd", "right", "top", "bottom"].includes(e);
      }
    },
    visible: {
      type: Boolean,
      default: !0
    },
    visual: {
      type: Function,
      default: void 0
    },
    from: {
      type: Object,
      default: function() {
      }
    },
    to: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = i(this.$props);
    return u(n, {
      config: t,
      chartKey: "labels"
    }, function() {
      return e;
    });
  }
});
export {
  l as ChartSeriesLabels
};
