/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../../utils/main.mjs";
import { defineComponent as r, h as d } from "vue";
const s = /* @__PURE__ */ r({
  name: "KendoChartXAxisNotes",
  props: {
    dataItems: {
      type: Array,
      default: void 0
    },
    line: {
      type: Object,
      default: void 0
    },
    position: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["top", "bottom", "left", "right"].includes(e);
      }
    },
    visual: {
      type: Function,
      default: void 0
    },
    icon: {
      type: Object,
      default: void 0
    },
    label: {
      type: Object,
      default: void 0
    }
  },
  render() {
    const e = o(this), t = i(this.$props);
    return d(n, {
      config: t,
      chartKey: "notes"
    }, function() {
      return e;
    });
  }
});
export {
  s as ChartXAxisNotes
};
