/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as p, createVNode as r } from "vue";
import { CrosshairTooltip as a } from "./Crosshair.mjs";
const l = ["categoryAxis", "valueAxis", "xAxis", "yAxis"];
function c(i) {
  const t = {};
  for (let n = 0; n < l.length; n++) {
    const e = h(i, l[n]);
    for (let o = 0; o < e.length; o++) {
      const s = e[o];
      t[s.name + s.index] = s;
    }
  }
  return t;
}
function h(i, t) {
  const n = [];
  if (i[t]) {
    const e = [].concat(i[t]);
    for (let o = 0; o < e.length; o++) {
      const s = (e[o].crosshair || {}).tooltip;
      s && s.visible && n.push({
        index: o,
        name: t
      });
    }
  }
  return n;
}
const u = /* @__PURE__ */ p({
  name: "KendoCrosshairContainer",
  props: {
    optionsState: Object
  },
  computed: {
    tooltips() {
      return c(this.optionsState);
    }
  },
  render() {
    const i = Object.keys(this.tooltips).map(function(t) {
      return r(a, {
        index: this.tooltips[t].index,
        name: this.tooltips[t].name,
        key: t
      }, null);
    }, this);
    return r("div", null, [i]);
  }
});
export {
  u as CrosshairContainer
};
