/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { AutoBaseUnitSteps } from '../field-types/auto-base-unit-steps.interface';
import { AutoBaseUnitSteps as AutoBaseUnitSteps_3 } from '../../field-types/auto-base-unit-steps.interface';
import { AxisDefaults } from './option-types/axis-defaults.interface';
import { AxisDefaultsCrosshair as AxisDefaultsCrosshair_2 } from '../common/property-types';
import { AxisDefaultsCrosshairTooltip as AxisDefaultsCrosshairTooltip_2 } from '../../common/property-types';
import { AxisDefaultsLabels as AxisDefaultsLabels_2 } from '../common/property-types';
import { AxisDefaultsTitle as AxisDefaultsTitle_2 } from '../common/property-types';
import { AxisLabelClickEvent as AxisLabelClickEvent_2 } from '.';
import { AxisLabelVisualArgs as AxisLabelVisualArgs_2 } from '../../argument-types/axis-label-visual-args.interface';
import { AxisLabelVisualArgs as AxisLabelVisualArgs_3 } from '../../../argument-types/axis-label-visual-args.interface';
import { AxisLine as AxisLine_2 } from '../field-types/axis-line.interface';
import { AxisLine as AxisLine_3 } from '../../field-types/axis-line.interface';
import { AxisNoteVisualArgs as AxisNoteVisualArgs_2 } from '../../argument-types/axis-note-visual-args.interface';
import { AxisNoteVisualArgs as AxisNoteVisualArgs_3 } from '../../../argument-types/axis-note-visual-args.interface';
import { AxisTicks as AxisTicks_2 } from '../field-types/axis-ticks.interface';
import { AxisTicks as AxisTicks_3 } from '../../field-types/axis-ticks.interface';
import { Border as Border_2 } from '../field-types/border.interface';
import { Border as Border_3 } from '../../field-types/border.interface';
import { Border as Border_4 } from '../../../field-types/border.interface';
import { BulletTarget as BulletTarget_2 } from '../field-types/bullet-target.interface';
import { BulletTarget as BulletTarget_3 } from '../../field-types/bullet-target.interface';
import { CategoryAxis as CategoryAxis_2 } from '../option-types/category-axis-item.interface';
import { CategoryAxisCrosshair } from '../common/property-types';
import { CategoryAxisCrosshair as CategoryAxisCrosshair_3 } from '../../common/property-types';
import { CategoryAxisCrosshairTooltip as CategoryAxisCrosshairTooltip_2 } from '../../common/property-types';
import { CategoryAxisCrosshairTooltip as CategoryAxisCrosshairTooltip_3 } from '../../../common/property-types';
import { CategoryAxisLabels } from '../common/property-types';
import { CategoryAxisLabels as CategoryAxisLabels_3 } from '../../common/property-types';
import { CategoryAxisNotes } from '../common/property-types';
import { CategoryAxisNotes as CategoryAxisNotes_3 } from '../../common/property-types';
import { CategoryAxisNotesIcon as CategoryAxisNotesIcon_2 } from '../../common/property-types';
import { CategoryAxisNotesIcon as CategoryAxisNotesIcon_3 } from '../../../common/property-types';
import { CategoryAxisNotesLabel as CategoryAxisNotesLabel_2 } from '../../common/property-types';
import { CategoryAxisNotesLabel as CategoryAxisNotesLabel_3 } from '../../../common/property-types';
import { CategoryAxisRangeLabels } from '../common/property-types';
import { CategoryAxisRangeLabels as CategoryAxisRangeLabels_3 } from '../../common/property-types';
import { CategoryAxisSelect } from '../common/property-types';
import { CategoryAxisSelect as CategoryAxisSelect_3 } from '../../common/property-types';
import { CategoryAxisTitle } from '../common/property-types';
import { CategoryAxisTitle as CategoryAxisTitle_3 } from '../../common/property-types';
import { ComponentOptionsMixin } from 'vue';
import { ComponentProvideOptions } from 'vue';
import { createSankeyData as createSankeyData_2 } from '@progress/kendo-charts';
import { CrosshatchPattern } from '@progress/kendo-charts';
import { DateFormats as DateFormats_2 } from '../../field-types/date-formats.interface';
import { DateFormats as DateFormats_3 } from '../../../field-types/date-formats.interface';
import { DefineComponent } from 'vue';
import { DiagonalStripesPattern } from '@progress/kendo-charts';
import { DotsPattern } from '@progress/kendo-charts';
import { DragAction } from './field-types/drag-action.interface';
import { DragEndEvent as DragEndEvent_2 } from '.';
import { DragEvent as DragEvent_3 } from '.';
import { DragStartEvent as DragStartEvent_2 } from '.';
import { drawing } from '@progress/kendo-drawing';
import { Element as Element_2 } from '@progress/kendo-drawing';
import { ErrorBarLine as ErrorBarLine_2 } from '../../field-types/error-bar-line.interface';
import { ErrorBarLine as ErrorBarLine_3 } from '../../../field-types/error-bar-line.interface';
import { ErrorBarsVisualArgs as ErrorBarsVisualArgs_2 } from '../../argument-types/error-bars-visual-args.interface';
import { ErrorBarsVisualArgs as ErrorBarsVisualArgs_3 } from '../../../argument-types/error-bars-visual-args.interface';
import { ExtractPropTypes } from 'vue';
import { FocusHighlight } from '@progress/kendo-charts';
import { FocusHighlightBorder } from '@progress/kendo-charts';
import { geometry } from '@progress/kendo-drawing';
import { GridLines as GridLines_2 } from '../field-types/grid-lines.interface';
import { GridLines as GridLines_3 } from '../../field-types/grid-lines.interface';
import { GridPattern } from '@progress/kendo-charts';
import { Group } from '@progress/kendo-drawing';
import { HighlightLine as HighlightLine_2 } from '../../../field-types/highlight-line.interface';
import { HighlightToggleArgs as HighlightToggleArgs_2 } from '../../argument-types/highlight-toggle-args.interface';
import { HighlightToggleArgs as HighlightToggleArgs_3 } from '../../../argument-types/highlight-toggle-args.interface';
import { HighlightVisualArgs as HighlightVisualArgs_2 } from '../../argument-types/highlight-visual-args.interface';
import { HighlightVisualArgs as HighlightVisualArgs_3 } from '../../../argument-types/highlight-visual-args.interface';
import { LabelConnectors as LabelConnectors_2 } from '../field-types/label-connectors.interface';
import { LabelConnectors as LabelConnectors_3 } from '../../field-types/label-connectors.interface';
import { LabelRotation as LabelRotation_2 } from '../../field-types/label-rotation.interface';
import { LabelRotation as LabelRotation_3 } from '../../../field-types/label-rotation.interface';
import { LegendInactiveItems } from '../common/property-types';
import { LegendItem } from '../common/property-types';
import { LegendItemArea as LegendItemArea_2 } from '../../option-types/legend/item.interface';
import { LegendItemClickEvent as LegendItemClickEvent_2 } from '.';
import { LegendItemHighlight as LegendItemHighlight_2 } from '../../option-types/legend/item.interface';
import { LegendItemHoverEvent as LegendItemHoverEvent_2 } from '.';
import { LegendItemLine as LegendItemLine_2 } from '../../option-types/legend/item.interface';
import { LegendItemMarkers as LegendItemMarkers_2 } from '../../option-types/legend/item.interface';
import { LegendItemVisualArgs as LegendItemVisualArgs_2 } from '../../argument-types/legend-item-visual-args.interface';
import { LegendLabels } from '../field-types/legend-labels.interface';
import { LegendLabels as LegendLabels_3 } from '../../field-types/legend-labels.interface';
import { LegendTitle } from '../common/property-types';
import { Margin as Margin_2 } from '../field-types/margin.interface';
import { Margin as Margin_3 } from '../../field-types/margin.interface';
import { Margin as Margin_4 } from '../../../field-types/margin.interface';
import { MarkersVisualArgs as MarkersVisualArgs_2 } from '../../argument-types/markers-visual-args.interface';
import { MarkersVisualArgs as MarkersVisualArgs_3 } from '../../../argument-types/markers-visual-args.interface';
import { MousewheelSelect as MousewheelSelect_2 } from '../../field-types/mousewheel-select.interface';
import { MousewheelSelect as MousewheelSelect_3 } from '../../../field-types/mousewheel-select.interface';
import { MultiPath } from '@progress/kendo-drawing';
import { NavigatorHint } from '../common/property-types';
import { NavigatorSelect } from '../common/property-types';
import { NegativeBubbleValues as NegativeBubbleValues_2 } from '../field-types/negative-bubble-values.interface';
import { NegativeBubbleValues as NegativeBubbleValues_3 } from '../../field-types/negative-bubble-values.interface';
import { NoteClickEvent as NoteClickEvent_2 } from '.';
import { NoteHoverEvent as NoteHoverEvent_2 } from '.';
import { NoteLine as NoteLine_2 } from '../../field-types/note-line.interface';
import { NoteLine as NoteLine_3 } from '../../../field-types/note-line.interface';
import { Overlay as Overlay_2 } from '../field-types/overlay.interface';
import { Overlay as Overlay_3 } from '../../field-types/overlay.interface';
import { Padding as Padding_2 } from '../field-types/padding.interface';
import { Padding as Padding_3 } from '../../field-types/padding.interface';
import { Padding as Padding_4 } from '../../../field-types/padding.interface';
import { Pane } from './option-types/pane.interface';
import { Pane as Pane_3 } from '../option-types/pane.interface';
import { PaneDefaults } from './option-types/pane-defaults.interface';
import { PaneDefaultsTitle as PaneDefaultsTitle_2 } from '../common/property-types';
import { PanesTitle as PanesTitle_2 } from '../common/property-types';
import { PanesTitle as PanesTitle_3 } from '../../common/property-types';
import { PlotAreaClickEvent as PlotAreaClickEvent_2 } from '.';
import { PlotAreaHoverEvent as PlotAreaHoverEvent_2 } from '.';
import { PlotBand as PlotBand_2 } from '../field-types/plot-band.interface';
import { PlotBand as PlotBand_3 } from '../../field-types/plot-band.interface';
import { PropType } from 'vue';
import { PublicProps } from 'vue';
import { RenderEvent as RenderEvent_2 } from '.';
import { Sankey as Sankey_2 } from '@progress/kendo-charts';
import { SankeyData } from '@progress/kendo-charts';
import { SankeyEvent as SankeyEvent_2 } from '@progress/kendo-charts';
import { SankeyExportVisualOptions } from '@progress/kendo-charts';
import { SankeyLabel } from '@progress/kendo-charts';
import { SankeyLabelDefaults } from '@progress/kendo-charts';
import { SankeyLegend as SankeyLegend_2 } from './types';
import { SankeyLegendItem } from '@progress/kendo-charts';
import { SankeyLink } from '@progress/kendo-charts';
import { SankeyLinkDataItem } from '@progress/kendo-charts';
import { SankeyLinkDefaults } from '@progress/kendo-charts';
import { SankeyLinkHighlight } from '@progress/kendo-charts';
import { SankeyNode } from '@progress/kendo-charts';
import { SankeyNodeDataItem } from '@progress/kendo-charts';
import { SankeyNodeDefaults } from '@progress/kendo-charts';
import { SankeyOptions } from '@progress/kendo-charts';
import { SankeyTitle as SankeyTitle_2 } from './types';
import { SankeyTooltip as SankeyTooltip_2 } from './types';
import { SankeyTooltip as SankeyTooltip_3 } from '@progress/kendo-charts';
import { SankeyTooltipEvent } from '@progress/kendo-charts';
import { SelectEndEvent as SelectEndEvent_2 } from '.';
import { SelectEvent as SelectEvent_2 } from '.';
import { SelectStartEvent as SelectStartEvent_2 } from '.';
import { Series } from '../option-types/series-item.interface';
import { SeriesClickEvent as SeriesClickEvent_2 } from '.';
import { SeriesDefaults } from './option-types/series-defaults.interface';
import { SeriesDefaultsLabels as SeriesDefaultsLabels_2 } from '../common/property-types';
import { SeriesDefaultsLabelsFrom as SeriesDefaultsLabelsFrom_2 } from '../../common/property-types';
import { SeriesDefaultsLabelsTo as SeriesDefaultsLabelsTo_2 } from '../../common/property-types';
import { SeriesDefaultsNotes as SeriesDefaultsNotes_2 } from '../common/property-types';
import { SeriesDefaultsNotesIcon as SeriesDefaultsNotesIcon_2 } from '../../common/property-types';
import { SeriesDefaultsNotesLabel as SeriesDefaultsNotesLabel_2 } from '../../common/property-types';
import { SeriesDefaultsTooltip as SeriesDefaultsTooltip_2 } from '../common/property-types';
import { SeriesErrorBars as SeriesErrorBars_2 } from '../common/property-types';
import { SeriesErrorBars as SeriesErrorBars_3 } from '../../common/property-types';
import { SeriesExtremes as SeriesExtremes_2 } from '../common/property-types';
import { SeriesExtremes as SeriesExtremes_3 } from '../../common/property-types';
import { SeriesHighlight as SeriesHighlight_2 } from '../common/property-types';
import { SeriesHighlight as SeriesHighlight_3 } from '../../common/property-types';
import { SeriesHoverEvent as SeriesHoverEvent_2 } from '.';
import { SeriesLabels as SeriesLabels_2 } from '../common/property-types';
import { SeriesLabels as SeriesLabels_3 } from '../../common/property-types';
import { SeriesLabelsFrom as SeriesLabelsFrom_2 } from '../../common/property-types';
import { SeriesLabelsFrom as SeriesLabelsFrom_3 } from '../../../common/property-types';
import { SeriesLabelsTo as SeriesLabelsTo_2 } from '../../common/property-types';
import { SeriesLabelsTo as SeriesLabelsTo_3 } from '../../../common/property-types';
import { SeriesLabelsVisualArgs as SeriesLabelsVisualArgs_2 } from '../../argument-types/series-labels-visual-args.interface';
import { SeriesLabelsVisualArgs as SeriesLabelsVisualArgs_3 } from '../../../argument-types/series-labels-visual-args.interface';
import { SeriesLine as SeriesLine_2 } from '../field-types/series-line.interface';
import { SeriesLine as SeriesLine_3 } from '../../field-types/series-line.interface';
import { SeriesMarkers as SeriesMarkers_2 } from '../common/property-types';
import { SeriesMarkers as SeriesMarkers_3 } from '../../common/property-types';
import { SeriesNotes as SeriesNotes_2 } from '../common/property-types';
import { SeriesNotes as SeriesNotes_3 } from '../../common/property-types';
import { SeriesNotesIcon as SeriesNotesIcon_2 } from '../../common/property-types';
import { SeriesNotesIcon as SeriesNotesIcon_3 } from '../../../common/property-types';
import { SeriesNotesLabel as SeriesNotesLabel_2 } from '../../common/property-types';
import { SeriesNotesLabel as SeriesNotesLabel_3 } from '../../../common/property-types';
import { SeriesNoteVisualArgs as SeriesNoteVisualArgs_2 } from '../../argument-types/series-note-visual-args.interface';
import { SeriesNoteVisualArgs as SeriesNoteVisualArgs_3 } from '../../../argument-types/series-note-visual-args.interface';
import { SeriesOutliers as SeriesOutliers_2 } from '../common/property-types';
import { SeriesOutliers as SeriesOutliers_3 } from '../../common/property-types';
import { SeriesPattern } from '@progress/kendo-charts';
import { SeriesStack as SeriesStack_2 } from '../field-types/series-stack.interface';
import { SeriesStack as SeriesStack_3 } from '../../field-types/series-stack.interface';
import { SeriesTooltip as SeriesTooltip_2 } from '../common/property-types';
import { SeriesTooltip as SeriesTooltip_3 } from '../../common/property-types';
import { SeriesVisualArgs as SeriesVisualArgs_2 } from '../argument-types/series-visual-args.interface';
import { SeriesVisualArgs as SeriesVisualArgs_3 } from '../../argument-types/series-visual-args.interface';
import { Surface } from '@progress/kendo-drawing';
import { TitleVisualArgs as TitleVisualArgs_2 } from '../../argument-types/title-visual-args.interface';
import { TitleVisualArgs as TitleVisualArgs_3 } from '../../../argument-types/title-visual-args.interface';
import { TooltipBorder as TooltipBorder_2 } from '../option-types/tooltip-border.interface';
import { TooltipBorder as TooltipBorder_3 } from '../../option-types/tooltip-border.interface';
import { TooltipBorder as TooltipBorder_4 } from '../../../option-types/tooltip-border.interface';
import { ValueAxisCrosshair } from '../common/property-types';
import { ValueAxisLabels } from '../common/property-types';
import { ValueAxisNotes } from '../common/property-types';
import { ValueAxisNotesIcon as ValueAxisNotesIcon_2 } from '../../common/property-types';
import { ValueAxisNotesLabel as ValueAxisNotesLabel_2 } from '../../common/property-types';
import { ValueAxisTitle } from '../common/property-types';
import { VerticalStripesPattern } from '@progress/kendo-charts';
import { WeekStartDay } from '../field-types/week-start-day.enum';
import { WeekStartDay as WeekStartDay_3 } from '../../field-types/week-start-day.enum';
import { XAxisCrosshair } from '../common/property-types';
import { XAxisCrosshairTooltip as XAxisCrosshairTooltip_2 } from '../../common/property-types';
import { XAxisLabels } from '../common/property-types';
import { XAxisNotes } from '../common/property-types';
import { XAxisNotesIcon as XAxisNotesIcon_2 } from '../../common/property-types';
import { XAxisNotesLabel as XAxisNotesLabel_2 } from '../../common/property-types';
import { XAxisTitle } from '../common/property-types';
import { YAxisCrosshair } from '../common/property-types';
import { YAxisCrosshairTooltip as YAxisCrosshairTooltip_2 } from '../../common/property-types';
import { YAxisLabels } from '../common/property-types';
import { YAxisNotes } from '../common/property-types';
import { YAxisNotesIcon as YAxisNotesIcon_2 } from '../../common/property-types';
import { YAxisNotesLabel as YAxisNotesLabel_2 } from '../../common/property-types';
import { YAxisTitle } from '../common/property-types';
import { Zoomable } from './option-types/zoomable.interface';
import { ZoomEndEvent as ZoomEndEvent_2 } from '.';
import { ZoomEvent as ZoomEvent_2 } from '.';
import { ZoomStartEvent as ZoomStartEvent_2 } from '.';

/**
 * The provided time-interval steps when `baseUnit` is set to either `"fit"` or `"auto"`.
 * The axis will try to divide the active period into the smallest possible units
 * that yield `maxDateGroups` or less discrete intervals.
 */
declare interface AutoBaseUnitSteps_2 {
    /**
     * The preferred interval steps when displaying milliseconds.
     */
    milliseconds?: number[];
    /**
     * The preferred interval steps when displaying seconds.
     */
    seconds?: number[];
    /**
     * The preferred interval steps when displaying minutes.
     */
    minutes?: number[];
    /**
     * The preferred interval steps when displaying hours.
     */
    hours?: number[];
    /**
     * The preferred interval steps when displaying days.
     */
    days?: number[];
    /**
     * The preferred interval steps when displaying weeks.
     */
    weeks?: number[];
    /**
     * The preferred interval steps when displaying months.
     */
    months?: number[];
    /**
     * The preferred interval steps when displaying years.
     */
    years?: number[];
}

/**
 * @hidden
 */
declare interface AxisCrosshairTooltip {
    /**
     * The background color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border options of the tooltip.
     */
    border?: TooltipBorder;
    /**
     * The text color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the tooltip.
     */
    font?: string;
    /**
     * The format for displaying the tooltip. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the value.
     */
    format?: string;
    /**
     * The padding of the crosshair tooltip. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the axis crosshair tooltip. By default, the axis crosshair tooltip is not visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface AxisDefaults_2 {
    /**
     * The background color of the axis.
     */
    background?: string;
    /**
     * The color to apply to all axis elements. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The configuration of the axis lines. Also affects the major and minor ticks, but not the grid lines.
     */
    line?: AxisLine;
    /**
     * The configuration of the major grid lines. These are the lines that are an extension of the major ticks through the body of the Chart.
     */
    majorGridLines?: GridLines;
    /**
     * The configuration of the axis major ticks.
     */
    majorTicks?: AxisTicks;
    /**
     * The configuration of the minor grid lines. These are the lines that are an extension of the minor ticks through the body of the Chart.
     */
    minorGridLines?: GridLines;
    /**
     * The configuration of the axis minor ticks.
     */
    minorTicks?: AxisTicks;
    /**
     * If set to `true`, the Chart prevents the axis range from snapping to zero. Setting it to `false`, forces the axis range to snap to zero.
     */
    narrowRange?: boolean;
    /**
     * The name of the pane in which the axis has to be rendered. If not set, the axis will be rendered in the first (default) pane.
     */
    pane?: string;
    /**
     * The plot bands of the axis.
     */
    plotBands?: PlotBand[];
    /**
     * If set to `true`, the axis direction is reversed. By default, categories are listed from left to right and from bottom to top.
     */
    reverse?: boolean;
    /**
     * The angle (degrees) of the first category on the axis. Angles increase clockwise with zero to the left. Negative values are acceptable.
     */
    startAngle?: number;
    /**
     * If set to `true`, the Chart displays the axis. By default, the axis is visible.
     */
    visible?: boolean;
    /**
     * The crosshair configuration options. The crosshair is displayed when the [`axisDefaults.crosshair.visible`]({% slug api_charts_chartaxisdefaultscrosshairprops %}#toc-visible) option is set to `true`.
     */
    crosshair?: AxisDefaultsCrosshair;
    /**
     * The configuration of the axis labels.
     */
    labels?: AxisDefaultsLabels;
    /**
     * The title configuration of the axis. To display the title, set the [`axisDefaults.title.text`]({% slug api_charts_chartaxisdefaultstitleprops %}#toc-text) option.
     */
    title?: AxisDefaultsTitle;
}

/**
 * @hidden
 */
declare interface AxisDefaultsCrosshair {
    /**
     * The color of the crosshair. Accepts a valid CSS color string, including `hex` and `rgb`.
     */
    color?: string;
    /**
     * The dash type of the crosshair.
     *
     * The following dash types are supported:
     *
     * - `"dash"`&mdash;A line which consists of dashes.
     * - `"dashDot"`&mdash;A line which consists of a repeating pattern of dash-dot.
     * - `"dot"`&mdash;A line which consists of dots.
     * - `"longDash"`&mdash;A line which consists of a repeating pattern of long-dash.
     * - `"longDashDot"`&mdash;A line which consists of a repeating pattern of long-dash-dot.
     * - `"longDashDotDot"`&mdash;A line which consists of a repeating pattern of long-dash-dot-dot.
     * - `"solid"`&mdash;A solid line.
     */
    dashType?: DashType | string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     */
    opacity?: number;
    /**
     * If set to `true`, the Chart displays the axis crosshair. By default, the axis crosshair is not visible.
     */
    visible?: boolean;
    /**
     * The width of the crosshair in pixels.
     */
    width?: number;
    /**
     * The options of the crosshair tooltip. The crosshair tooltip is displayed when the [`axisDefaults.crosshair.tooltip.visible`]({% slug api_charts_chartaxisdefaultscrosshairtooltipprops %}#toc-visible) option is set to `true`.
     */
    tooltip?: AxisDefaultsCrosshairTooltip;
}

/**
 * @hidden
 */
declare interface AxisDefaultsCrosshairTooltip extends AxisCrosshairTooltip {
}

/**
 * @hidden
 */
declare interface AxisDefaultsLabels {
    /**
     * The function which returns the label content. The text can be split into multiple lines by using the line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     *
     * - `value`&mdash;The category value.
     * - `dataItem`&mdash;The data item if a field i specified. If the category does not have a corresponding item in the data, an empty object is passed.
     * - `format`&mdash;The default format of the label.
     * - `culture`&mdash;The default culture (if set) of the label.
     */
    content?: (e: any) => string;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format for displaying the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * If set to `true`, the Chart mirrors the axis labels and ticks. If the labels are normally on the left side of the axis, the mirroring of the axis renders them to the right.
     */
    mirror?: boolean;
    /**
     * The padding of the labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The rotation angle of the labels ([see example]({% slug axes_chart_charts %}#toc-limiting-the-number-of-labels)). By default, the labels are not rotated. If the axis is horizontal, can be set to `"auto"`. In this case, the labels are rotated only if the slot size is not sufficient for the entire labels.
     */
    rotation?: LabelRotation | number | 'auto';
    /**
     * The number of labels to skip. By default, no labels are skipped.
     */
    skip?: number;
    /**
     * The label-rendering step&mdash;renders every n<sup>th</sup> label. By default, every label is rendered.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the axis labels. By default, the axis labels are visible.
     */
    visible?: boolean;
    /**
     * A function that for creating a custom visual for the labels.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `culture`&mdash;The default culture (if set) of the label.
     * - `dataItem`&mdash;The data item if a field has been specified.
     * - `format`&mdash;The default format of the label.
     * - `options`&mdash;The label options.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (can be `undefined`).
     * - `text`&mdash;The label text.
     * - `value`&mdash;The category value.
     */
    visual?: (e: AxisLabelVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface AxisDefaultsTitle {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     *
     * - `"top"`&mdash;The axis title is positioned on the top (applicable for the vertical axis).
     * - `"bottom"`&mdash;The axis title is positioned on the bottom (applicable for the vertical axis).
     * - `"left"`&mdash;The axis title is positioned on the left (applicable for the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable for the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: AxisTitlePosition | string;
    /**
     * The rotation angle of the title. By default, the title is not rotated.
     */
    rotation?: number;
    /**
     * The text of the title. The text can be split into multiple lines by using the line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the axis title. By default, the axis title is visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the title.
     *
     * The available argument fields are:
     *
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (can be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function for getting the default visual.
     */
    visual?: (e: TitleVisualArgs) => drawing.Element;
}

/**
 * Arguments for the `axisLabelClick` event.
 */
export declare class AxisLabelClickEvent extends BaseEvent {
    /**
     * The axis options to which the label belongs.
     */
    axis: EventAxisOptions;
    /**
     * The original data item that is used to generate the label. Available only for category axes which are populated from the `categoryField` of the series.
     */
    dataItem: any;
    /**
     * The label sequential or category index.
     */
    index: number;
    /**
     * The label text.
     */
    text: string;
    /**
     * The label value or category name.
     */
    value: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * The position of the axis labels.
 *
 * @example
 * ```jsx
 *  <Chart>
 *    <ChartValueAxis>
 *      <ChartValueAxisItem :labels="{ position: 'end' }"/>
 *    </ChartValueAxis>
 *  </Chart>
 * );
 *
 * ```
 */
declare type AxisLabelsPosition = 'start' | 'end' | 'onAxis' | '';

/**
 * The context for the visual function of the axis label.
 */
declare interface AxisLabelVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The default culture (if set) of the label.
     */
    culture: string;
    /**
     * If a field is specified, represents the data item.
     */
    dataItem?: any;
    /**
     * The default format of the label.
     */
    format: string;
    /**
     * The label options.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The text of the label.
     */
    text: string;
    /**
     * The value of the label.
     */
    value: any;
}

/**
 * The appearance settings for the axis lines. Affects the major and minor axis ticks, but not the grid lines (see the [basic usage example]({% slug api_charts_chartaxisdefaultsprops %})).
 */
declare interface AxisLine {
    /**
     * The color of the lines. Accepts a valid CSS color string, including hex and rgb. Setting the `color` option affects the major and minor axis ticks, but not the grid lines.
     */
    color?: string;
    /**
     * The dash type of the line.
     */
    dashType?: DashType;
    /**
     * If set to `true`, the Chart displays the axis lines. By default, the axis lines are visible.
     */
    visible?: boolean;
    /**
     * The width of the line in pixels. Affects the major and minor axis ticks, but not the grid lines.
     */
    width?: number;
}

/**
 * The context for the point highlight visual function.
 */
declare interface AxisNoteVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The options of the note.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The value of the note.
     */
    value: string;
}

/**
 * The axis range.
 */
export declare interface AxisRange {
    /**
     * The axis minimum value.
     */
    min: Number | Date;
    /**
     * The axis maximum value.
     */
    max: Number | Date;
}

/**
 * The appearance configuration for the major and minor axis ticks (see the [basic usage example]({% slug api_charts_chartaxisdefaultsprops %})).
 */
declare interface AxisTicks {
    /**
     * The color of the tick lines. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The length of the tick line in pixels.
     */
    size?: number;
    /**
     * The number of ticks to skip at the beginning.
     */
    skip?: number;
    /**
     * The tick-rendering step. Renders every n<sup>th</sup> tick, where `n` is the step.
     */
    step?: number;
    /**
     * If set to `true,` the Chart displays the axis ticks. By default, only the major axis ticks are visible.
     */
    visible?: boolean;
    /**
     * The width of the ticks in pixels.
     */
    width?: number;
}

/**
 * The position of an axis title.
 *
 * @example
 * ```jsx
 *  <Chart>
 *    <ChartValueAxis>
 *      <ChartValueAxisItem :title="{ text: 'Title', position: 'top' }"/>
 *    </ChartValueAxis>
 *  </Chart>
 *
 * ```
 */
declare type AxisTitlePosition = 'top' | 'bottom' | 'left' | 'right' | 'center';

/**
 * @hidden
 */
declare interface BaseChartProps {
    /**
     * Represents the `dir` HTML attribute.
     */
    dir?: string;
    /**
     * Sets the preferred rendering engine ([see example]({% slug rendering_chart_charts %})). If not supported by the browser, the Chart switches to the first available mode.
     *
     * The supported values are:
     * - `"svg"`&mdash;If available, renders the component as an inline `.svg` file.
     * - `"canvas"`&mdash;If available, renders the component as a `canvas` element.
     */
    renderAs?: string;
    /**
     * Specifies if the Chart can be panned ([see example]({% slug panzoom_chart_charts %})).
     */
    pannable?: boolean | DragAction_2;
    /**
     * Specifies if the Chart can be zoomed ([see example]({% slug panzoom_chart_charts %})).
     */
    zoomable?: boolean | Zoomable_2;
    /**
     * The default colors for the Chart series. When all colors are used, new colors are pulled from the start again.
     */
    seriesColors?: string[];
    /**
     * If set to `true`, the Chart plays animations when it displays the series. By default, animations are enabled.
     */
    transitions?: boolean;
    /**
     * This option allows to override the default pane options.
     */
    paneDefaults?: PaneDefaults_2;
    /**
     * The chart panes configuration.
     */
    panes?: Pane_2[];
    /**
     * This option allows to override the default series options.
     */
    seriesDefaults?: SeriesDefaults_2;
    /**
     * This option allows to override the default axis options.
     */
    axisDefaults?: AxisDefaults_2;
    /**
     * @hidden
     */
    allListeners?: object;
    /**
     * Fires when the user clicks an axis label.
     */
    onAxislabelclick?: (event: AxisLabelClickEvent) => void;
    /**
     * Fires as long as the user is dragging the Chart with the mouse or through swipe gestures.
     */
    onDrag?: (event: DragEvent_2) => void;
    /**
     * Fires when the user stops dragging the Chart.
     */
    onDragend?: (event: DragEndEvent) => void;
    /**
     * Fires when the user starts dragging the Chart.
     */
    onDragstart?: (event: DragStartEvent) => void;
    /**
     * Fires when the user hovers over a legend item.
     */
    onLegenditemhover?: (event: LegendItemHoverEvent) => void;
    /**
     * Fires when the user clicks a legend item ([see example]({% slug legend_chart_charts %}#toc-clicking-legend-items)).
     */
    onLegenditemclick?: (event: LegendItemClickEvent) => void;
    /**
     * Fires when the user clicks a note.
     */
    onNoteclick?: (event: NoteClickEvent) => void;
    /**
     * Fires when the user hovers over a note.
     */
    onNotehover?: (event: NoteHoverEvent) => void;
    /**
     * Fires when the user clicks the plot area. The `click` event is triggered by the `tap` and `contextmenu` events. To distinguish between the original events, inspect the `e.originalEvent.type` field.
     */
    onPlotareaclick?: (event: PlotAreaClickEvent) => void;
    /**
     * Fires when the user hovers the plot area ([see example]({% slug crosshairs_chart_charts %}#toc-current-cursor-values)).
     */
    onPlotareahover?: (event: PlotAreaHoverEvent) => void;
    /**
     * Fires when the Chart is ready to render on screen ([see example]({% slug plotbands_chart_charts %}#toc-custom-plot-bands)). For example, you can use it to remove loading indicators. Any changes made to the options are ignored.
     */
    onRender?: (event: RenderEvent) => void;
    /**
     * Fires when the user modifies the selection.
     *
     * The range units are:
     * - Generic axis&mdash;Category index (0-based).
     * - Date axis&mdash;Date instance.
     */
    onSelect?: (event: SelectEvent) => void;
    /**
     * Fires when the user completes the modification of the selection ([see example]({% slug selection_chart_charts %}#toc-using-selection-as-navigator)).
     *
     * The range units are:
     * - Generic axis&mdash;Category index (0-based).
     * - Date axis&mdash;Date instance.
     */
    onSelectend?: (event: SelectEndEvent) => void;
    /**
     * Fires when the user starts modifying the axis selection.
     *
     * The range units are:
     * - Generic axis&mdash;Category index (0-based).
     * - Date axis&mdash;Date instance.
     */
    onSelectstart?: (event: SelectStartEvent) => void;
    /**
     * Fires when the user clicks the Chart series.
     *
     * The `click` event will be triggered by the `tap` and `contextmenu` events. To distinguish between the original events, inspect the `e.originalEvent.type` field.
     */
    onSeriesclick?: (event: SeriesClickEvent) => void;
    /**
     * Fires when the user hovers over the Chart series.
     */
    onSerieshover?: (event: SeriesHoverEvent) => void;
    /**
     * Fires as long as the user is zooming the Chart by using the mousewheel operation.
     */
    onZoom?: (event: ZoomEvent) => void;
    /**
     * Fires when the user stops zooming the Chart.
     */
    onZoomend?: (event: ZoomEndEvent) => void;
    /**
     * Fires when the user uses the mousewheel to zoom the Chart.
     */
    onZoomstart?: (event: ZoomStartEvent) => void;
}

/**
 * @hidden
 */
declare abstract class BaseEvent {
    /**
     * The `Chart` component that triggered the event.
     */
    target: any;
    /**
     * @hidden
     */
    constructor(target: any);
}

/**
 * The `baseUnit` type of an X or Y axis.
 *
 * @example
 * ```jsx
 *  <Chart>
 *    <ChartXAxis>
 *     <ChartXAxisItem :base-unit="baseUnit" />
 *    </ChartXAxis>
 *    <ChartSeries>
 *      <ChartSeriesItem :type="'scatter'" :data-items="data" />
 *    </ChartSeries>
 *  </Chart>
 * ```
 */
declare type BaseUnit = 'milliseconds' | 'seconds' | 'minutes' | 'hours' | 'days' | 'weeks' | 'months' | 'years';

/**
 * The appearance settings for the border lines (see the [basic usage example]({% slug  api_charts_charttitleprops %})).
 */
declare interface Border {
    /**
     * The color of the border line. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The dash type of the border line.
     */
    dashType?: DashType;
    /**
     * The width of the border line in pixels.
     */
    width?: number;
}

/**
 * The appearance settings for the target of the Bullet series.
 */
declare interface BulletTarget {
    /**
     * The width of the border in pixels. By default, the border width is set to `zero`, which means that the border is not visible.
     */
    border?: Border;
    /**
     * The target color.
     */
    color?: string;
    /**
     * The appearance settings for the target line of the Bullet series.
     */
    line?: BulletTargetLine;
}

/**
 * The appearance settings for the target line of the Bullet series.
 */
declare interface BulletTargetLine {
    /**
     * The width of the Bullet target line in pixels.
     */
    width?: number;
}

/**
 * @hidden
 */
declare interface CategoryAxis {
    /**
     * The time-interval steps when `baseUnit` is set either to `"fit"` or `"auto"`. The axis will try to divide the active period into the smallest possible units that yield `maxDateGroups` or less discrete intervals.
     */
    autoBaseUnitSteps?: AutoBaseUnitSteps_2;
    /**
     * The category index or the date (for date category axis) at which the first value axis crosses this axis. The category indices or the date (for date category axis) at which the value axes cross the category axis (when set as an array). To denote the far end of the axis, set an index greater than or equal to the number of categories.
     */
    axisCrossingValue?: any | any[];
    /**
     * The background color of the axis.
     */
    background?: string;
    /**
     * The base time interval for the date axis ([see example]({% slug axes_chart_charts %}#toc-selecting-time-intervals)). The default base unit is automatically determined by the minimum difference between subsequent categories.
     *
     * The supported values are:
     * - `"fit"`
     * - `"milliseconds"`
     * - `"seconds"`
     * - `"minutes"`
     * - `"hours"`
     * - `"days"`
     * - `"weeks"`
     * - `"months"`
     * - `"years"`
     *
     * Setting `baseUnit` to `"fit"` sets such a base unit and [`categoryAxis.baseUnitStep`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-baseunitstep) that the total number of categories does not exceed [`categoryAxis.maxDateGroups`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-maxdategroups).
     *
     * Series data is aggregated for the specified base unit by using the [`series.aggregate`]({% slug api_charts_chartseriesitemprops %}#toc-aggregate) function.
     */
    baseUnit?: string | CategoryBaseUnit;
    /**
     * The step (interval) between the categories in base units ([see example]({% slug axes_chart_charts %}#toc-selecting-time-intervals)). Setting it to `"auto"` sets the step to such a value that the total number of categories does not exceed [`categoryAxis.maxDateGroups`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-maxdategroups). The option is ignored if [`categoryAxis.baseUnit`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-baseunit) is set to `"fit"`.
     */
    baseUnitStep?: number | string;
    /**
     * The category names. The Chart creates a category for every item of the array.
     */
    categories?: any[];
    /**
     * The color to apply to all axis elements. Accepts a valid CSS color string, including hex and rgb. Can be overridden by [`categoryAxis.labels.color`]({% slug api_charts_chartcategoryaxislabelsprops %}#toc-color) and [`categoryAxis.line.color`]({% slug api_charts_axisline %}#toc-color).
     */
    color?: string;
    /**
     * If set to `true`, the Chart positions categories and series points on major ticks. This removes the empty space before and after the series. The default value is `false` except for `"area"`, `"verticalArea"`, `"rangeArea"`, and `"verticalRangeArea"`. The option is ignored if the [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) option is set to `"bar"`, `"column"`, `"boxPlot"`, `"ohlc"`, `"candlestick"`, or `"waterfall"`.
     */
    justified?: boolean;
    /**
     * The configuration of the axis lines. Also affects the major and minor ticks, but not the grid lines.
     */
    line?: AxisLine;
    /**
     * The configuration of the major grid lines. These are the lines that are an extension of the major ticks through the body of the Chart.
     */
    majorGridLines?: GridLines;
    /**
     * The configuration of the category axis major ticks.
     */
    majorTicks?: AxisTicks;
    /**
     * The last date displayed on a date category axis or the index of the last category displayed on a category axis ([see example]({% slug appearance_chart_charts %}#toc-limiting-the-displayed-range)). By default, the max value is the same as the last category. This is often used in combination with the [`categoryAxis.min`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-min) and [`categoryAxis.roundToBaseUnit`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-roundtobaseunit) options to set up a fixed date range.
     */
    max?: any;
    /**
     * The maximum number of groups (categories) to display when [`categoryAxis.baseUnit`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-baseunit) is set to `"fit"` or [`categoryAxis.baseUnitStep`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-baseunitstep) is set to `"auto"`([see example]({% slug axes_chart_charts %}#toc-selecting-time-intervals)).
     */
    maxDateGroups?: number;
    /**
     * The maximum number of ticks and labels to display. Applicabable for date category axis ([see example]({% slug axes_chart_charts %}#toc-limiting-the-number-of-labels)).
     */
    maxDivisions?: number;
    /**
     * The first date which is displayed on a date category axis or the index of the first category which is displayed on a category axis ([see example]({% slug appearance_chart_charts %}#toc-limiting-the-displayed-range)). By default, the min value is the same as the first category. This is often used in combination with the [`categoryAxis.max`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-max) and [`categoryAxis.roundToBaseUnit`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-roundtobaseunit) options to set up a fixed date range.
     */
    min?: any;
    /**
     * The configuration of the minor grid lines. These are the lines that are an extension of the minor ticks through the body of the Chart.
     */
    minorGridLines?: GridLines;
    /**
     * The configuration of the category axis minor ticks.
     */
    minorTicks?: AxisTicks;
    /**
     * The unique axis name. Used to associate a series with a category axis, which utilizes the [`series.categoryAxis`]({% slug api_charts_chartseriesitemprops %}#toc-categoryaxis) option.
     */
    name?: string;
    /**
     * The configuration of the date axis date range labels.
     */
    rangeLabels?: CategoryAxisRangeLabels_2;
    /**
     * The name of the pane in which the category axis has to be rendered. If not set, the axis will be rendered in the first (default) pane.
     */
    pane?: string;
    /**
     * The plot bands of the category axis.
     */
    plotBands?: PlotBand[];
    /**
     * If set to `true`, the category axis direction is reversed. By default, categories are listed from left to right and from bottom to top.
     */
    reverse?: boolean;
    /**
     * If set to `true`, the Chart rounds the first and last date to the nearest base unit.
     */
    roundToBaseUnit?: boolean;
    /**
     * The angle (degrees) of the first category on the axis. Angles increase clockwise with zero to the left. Negative values are acceptable.
     */
    startAngle?: number;
    /**
     * The category axis type.
     *
     * The supported values are:
     * - `"category"`&mdash;Discrete category axis.
     * - `"date"`&mdash;Specialized axis for displaying chronological data.
     */
    type?: string;
    /**
     * If set to `true`, the Chart displays the category axis. By default, the category axis is visible.
     */
    visible?: boolean;
    /**
     * The week start day when the `baseUnit` is set to `"weeks"`.
     */
    weekStartDay?: WeekStartDay_2;
    /**
     * The configuration options of the crosshair. The crosshair is displayed when the [`categoryAxis.crosshair.visible`]({% slug api_charts_chartcategoryaxiscrosshairprops %}#toc-visible) option is set to `true`.
     */
    crosshair?: CategoryAxisCrosshair_2;
    /**
     * The configuration of the axis labels.
     */
    labels?: CategoryAxisLabels_2;
    /**
     * The configuration of the category axis notes.
     */
    notes?: CategoryAxisNotes_2;
    /**
     * The selected axis range ([see example]({% slug selection_chart_charts %})). If set, the axis selection is enabled. The range is index-based, starting from zero. Categories with indexes in the range (`select.from`, `select.to`) will be selected. That is, the last category in the range will not be included in the selection. If the categories are dates, the range has to be also specified with date values. Selection is only supported if the axis is horizontal.
     */
    select?: CategoryAxisSelect_2;
    /**
     * The title configuration of the category axis. To display the title, set the [`categoryAxis.title.text`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-text) option.
     */
    title?: CategoryAxisTitle_2;
}

/**
 * @hidden
 */
declare interface CategoryAxisCrosshair_2 {
    /**
     * The color of the crosshair. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The dash type of the crosshair.
     *
     * The following dash types are supported:
     * - `"dash"`&mdash;A line consisting of dashes.
     * - `"dashDot"`&mdash;A line consisting of a repeating pattern of dash-dot.
     * - `"dot"`&mdash;A line consisting of dots.
     * - `"longDash"`&mdash;A line consisting of a repeating pattern of long-dash.
     * - `"longDashDot"`&mdash;A line consisting of a repeating pattern of long-dash-dot.
     * - `"longDashDotDot"`&mdash;A line consisting of a repeating pattern of long-dash-dot-dot.
     * - `"solid"`&mdash;A solid line.
     */
    dashType?: DashType | string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     */
    opacity?: number;
    /**
     * If set to `true`, the Chart displays the category axis crosshair. By default, the category axis crosshair is not visible.
     */
    visible?: boolean;
    /**
     * The width of the crosshair in pixels.
     */
    width?: number;
    /**
     * The options of the crosshair tooltip. The crosshair tooltip is displayed when the [`categoryAxis.crosshair.tooltip.visible`]({% slug api_charts_chartcategoryaxiscrosshairtooltipprops %}#toc-visible) option is set to `true`.
     */
    tooltip?: CategoryAxisCrosshairTooltip;
}

/**
 * @hidden
 */
declare interface CategoryAxisCrosshairTooltip extends AxisCrosshairTooltip {
}

/**
 * @hidden
 */
declare interface CategoryAxisLabels_2 {
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     *
     * The fields available in the function argument are:
     * - `value`&mdash;The category value.
     * - `dataItem`&mdash;The data item if a field is specified. If the category does not have a corresponding item in the data, an empty object is passed.
     * - `format`&mdash;The default format of the label.
     * - `culture`&mdash;The default culture (if set) of the label.
     * - `text`&mdash;The default label text.
     * - `index`&mdash;The index of the label.
     * - `count`&mdash;The total number of rendered labels.
     */
    content?: (e: any) => string;
    /**
     * The culture to use when formatting date values. The specified culture must be loaded as demonstrated in the [Internationalization Overview]({% slug overview_intl %}).
     */
    culture?: string;
    /**
     * The format for displaying the labels of the date category axis. The `{0}` placeholder represents the category value. The Chart selects the appropriate format for the current [`categoryAxis.baseUnit`]({% slug api_charts_chartcategoryaxisitemprops %}#toc-baseunit) option.
     *
     * Setting the [`categoryAxis.labels.format`]({% slug api_charts_chartcategoryaxislabelsprops %}#toc-format) option overrides the date formats. For more information, refer to the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     *
     * > Not supported for Radar Charts. Use [`categoryAxis.labels.format`]({% slug api_charts_chartcategoryaxislabelsprops %}#toc-format) instead.
     */
    dateFormats?: DateFormats;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format for displaying the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * If set to `true`, the Chart mirrors the axis labels and ticks. If the labels are normally on the left side of the axis, the mirroring of the axis renders them to the right.
     */
    mirror?: boolean;
    /**
     * The padding of the labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the axis labels. By default, labels are positioned next to the axis.
     * * When `position` is set to `end`, the labels are placed at the end of the crossing axis&mdash;
     * typically, at the top or right end of the Chart unless the crossing axis was reversed.
     * * When `position` is set to `start`, the labels are placed at the start of the crossing axis&mdash;
     * typically, at the left or bottom end of the Chart unless the crossing axis was reversed.
     */
    position?: AxisLabelsPosition | string;
    /**
     * The rotation angle of the labels. By default, the labels are not rotated. If the axis is horizontal, can be set to `"auto"`. In this case, the labels are rotated only if the slot size is not sufficient for the entire labels.
     */
    rotation?: LabelRotation | number | 'auto';
    /**
     * The number of labels to skip. By default, no labels are skipped.
     */
    skip?: number;
    /**
     * The rendering step of the label&mdash;renders every n<sup>th</sup> label. By default, every label is rendered.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the category axis labels. By default, the category axis labels are visible.
     */
    visible?: boolean;
    /**
     * A function for creating a custom visual for the labels.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `culture`&mdash;The default culture (if set) on the label.
     * - `dataItem`&mdash;The data item if a field is specified.
     * - `format`&mdash;The default format of the label.
     * - `options`&mdash;The label options.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `text`&mdash;The label text.
     * - `value`&mdash;The category value.
     */
    visual?: (e: AxisLabelVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface CategoryAxisNotes_2 {
    /**
     * The items of the notes.
     */
    dataItems?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the category axis note.
     *
     * The available options are:
     * - `"top"`&mdash;The note is positioned on the top.
     * - `"bottom"`&mdash;The note is positioned on the bottom.
     * - `"left"`&mdash;The note is positioned on the left.
     * - `"right"`&mdash;The note is positioned on the right.
     */
    position?: NotePosition | string;
    /**
     * A function that can be used to create a custom visual for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `value`&mdash;The note value.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: CategoryAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: CategoryAxisNotesLabel;
}

/**
 * @hidden
 */
declare interface CategoryAxisNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The shape of the notes icon.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface CategoryAxisNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field and defines the category value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format for displaying the notes label. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The position of the label.
     *
     * The available options are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the category notes label. By default, the category notes label is visible.
     */
    visible?: boolean;
}

/**
 * The configuration options of the category axis date range labels.
 */
declare interface CategoryAxisRangeLabels_2 extends CategoryAxisLabels_2 {
    /**
     * @hidden
     */
    position?: AxisLabelsPosition | string;
    /**
     * @hidden
     */
    skip?: number;
    /**
     * @hidden
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the category axis date range labels.
     * By default, the category axis date range labels are not visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface CategoryAxisSelect_2 {
    /**
     * The lower boundary of the selected range.
     */
    from?: any;
    /**
     * The maximum value which the user can select.
     */
    max?: any;
    /**
     * The minimum value which the user can select.
     */
    min?: any;
    /**
     * The mousewheel configuration of the selection. If set to `false`, the mousewheel does not update the selection.
     */
    mousewheel?: boolean | MousewheelSelect;
    /**
     * The upper boundary of the selected range. The category with the specified index (date) is not included in the selected range unless the axis is justified. To select all categories, set a value that is larger than the last category index (date).
     */
    to?: any;
}

/**
 * @hidden
 */
declare interface CategoryAxisTitle_2 {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"top"`&mdash;The axis title is positioned on the top (applicable to the vertical axis).
     * - `"bottom"`&mdash;The axis title is positioned on the bottom (applicable to the vertical axis).
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: AxisTitlePosition | string;
    /**
     * The rotation angle of the title. By default, the title is not rotated.
     */
    rotation?: number;
    /**
     * The text of the title. The text can be split into multiple lines by using the line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the category axis title. By default, the category axis title is visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the title.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (can be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function for getting the default visual.
     */
    visual?: (e: TitleVisualArgs) => drawing.Element;
}

/**
 * The `baseUnit` type of the category axis.
 *
 * @example
 * ```jsx
 * <template>
 *  <Chart>
 *    <ChartCategoryAxis>
 *     <ChartCategoryAxisItem :base-unit="baseUnit" />
 *    </ChartCategoryAxis>
 *    <ChartSeries>
 *      <ChartSeriesItem :category-field="category" :data-items="dataItems" />
 *    </ChartSeries>
 *  </Chart>
 * </template>
 * <script>
 * import {
 *  Chart,
 *  ChartCategoryAxis,
 *  ChartCategoryAxisItem,
 *  ChartSeries,
 *  ChartSeriesItem
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *       Chart,
 *       ChartCategoryAxis,
 *       ChartCategoryAxisItem,
 *       ChartSeries,
 *       ChartSeriesItem
 *   },
 *   data () {
 *       return {
 *          baseUnit: "months",
 *          dataItems: [
 *              { category: new Date(2000, 0, 1), value: 1 },
 *              { category: new Date(2001, 0, 1), value: 1}
 *          ]
 *       };
 *   }
 * }
 * </script>
 * ```
 */
declare type CategoryBaseUnit = BaseUnit | 'auto' | 'fit';

/**
 * @hidden
 */
export declare const Chart: DefineComponent<ExtractPropTypes<    {
donutCenterRender: PropType<string | object | Function>;
dir: PropType<string>;
renderAs: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
pannable: {
type: PropType<boolean | DragAction>;
default: any;
};
zoomable: {
type: PropType<boolean | Zoomable>;
default: any;
};
seriesColors: {
type: PropType<string[]>;
default: any;
};
transitions: {
type: PropType<boolean>;
default: boolean;
};
paneDefaults: {
type: PropType<PaneDefaults>;
default: any;
};
panes: {
type: PropType<Pane[]>;
default: any;
};
seriesDefaults: {
type: PropType<SeriesDefaults>;
default: any;
};
axisDefaults: {
type: PropType<AxisDefaults>;
default: any;
};
onAxislabelclick: PropType<(event: AxisLabelClickEvent_2) => void>;
onDrag: PropType<(event: DragEvent_3) => void>;
onDragend: PropType<(event: DragEndEvent_2) => void>;
onDragstart: PropType<(event: DragStartEvent_2) => void>;
onLegenditemhover: PropType<(event: LegendItemHoverEvent_2) => void>;
onLegenditemclick: PropType<(event: LegendItemClickEvent_2) => void>;
onNoteclick: PropType<(event: NoteClickEvent_2) => void>;
onNotehover: PropType<(event: NoteHoverEvent_2) => void>;
onPlotareaclick: PropType<(event: PlotAreaClickEvent_2) => void>;
onPlotareahover: PropType<(event: PlotAreaHoverEvent_2) => void>;
onRender: PropType<(event: RenderEvent_2) => void>;
onSelect: PropType<(event: SelectEvent_2) => void>;
onSelectend: PropType<(event: SelectEndEvent_2) => void>;
onSelectstart: PropType<(event: SelectStartEvent_2) => void>;
onSeriesclick: PropType<(event: SeriesClickEvent_2) => void>;
onSerieshover: PropType<(event: SeriesHoverEvent_2) => void>;
onZoom: PropType<(event: ZoomEvent_2) => void>;
onZoomend: PropType<(event: ZoomEndEvent_2) => void>;
onZoomstart: PropType<(event: ZoomStartEvent_2) => void>;
}>, {}, {}, {}, {
chartInstance(): any;
surface(): Surface | null;
element(): HTMLDivElement | null;
getTarget(): any;
handleBaseChartEvents(name: string, options: any): void;
handleLegendItemClick(event: any): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
donutCenterRender: PropType<string | object | Function>;
dir: PropType<string>;
renderAs: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
pannable: {
type: PropType<boolean | DragAction>;
default: any;
};
zoomable: {
type: PropType<boolean | Zoomable>;
default: any;
};
seriesColors: {
type: PropType<string[]>;
default: any;
};
transitions: {
type: PropType<boolean>;
default: boolean;
};
paneDefaults: {
type: PropType<PaneDefaults>;
default: any;
};
panes: {
type: PropType<Pane[]>;
default: any;
};
seriesDefaults: {
type: PropType<SeriesDefaults>;
default: any;
};
axisDefaults: {
type: PropType<AxisDefaults>;
default: any;
};
onAxislabelclick: PropType<(event: AxisLabelClickEvent_2) => void>;
onDrag: PropType<(event: DragEvent_3) => void>;
onDragend: PropType<(event: DragEndEvent_2) => void>;
onDragstart: PropType<(event: DragStartEvent_2) => void>;
onLegenditemhover: PropType<(event: LegendItemHoverEvent_2) => void>;
onLegenditemclick: PropType<(event: LegendItemClickEvent_2) => void>;
onNoteclick: PropType<(event: NoteClickEvent_2) => void>;
onNotehover: PropType<(event: NoteHoverEvent_2) => void>;
onPlotareaclick: PropType<(event: PlotAreaClickEvent_2) => void>;
onPlotareahover: PropType<(event: PlotAreaHoverEvent_2) => void>;
onRender: PropType<(event: RenderEvent_2) => void>;
onSelect: PropType<(event: SelectEvent_2) => void>;
onSelectend: PropType<(event: SelectEndEvent_2) => void>;
onSelectstart: PropType<(event: SelectStartEvent_2) => void>;
onSeriesclick: PropType<(event: SeriesClickEvent_2) => void>;
onSerieshover: PropType<(event: SeriesHoverEvent_2) => void>;
onZoom: PropType<(event: ZoomEvent_2) => void>;
onZoomend: PropType<(event: ZoomEndEvent_2) => void>;
onZoomstart: PropType<(event: ZoomStartEvent_2) => void>;
}>> & Readonly<{}>, {
renderAs: string;
pannable: any;
zoomable: any;
seriesColors: string[];
transitions: boolean;
paneDefaults: PaneDefaults;
panes: Pane[];
seriesDefaults: SeriesDefaults;
axisDefaults: AxisDefaults;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartArea: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
opacity: {
type: PropType<number>;
default: any;
};
width: {
type: PropType<number>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
opacity: {
type: PropType<number>;
default: any;
};
width: {
type: PropType<number>;
default: any;
};
}>> & Readonly<{}>, {
width: number;
border: Border_2;
background: string;
height: number;
margin: any;
opacity: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartArea component ([see example]({% slug chartarea_chart_charts %})).
 */
export declare interface ChartAreaProps extends ChartingArea {
}

/**
 * @hidden
 */
export declare const ChartAxisDefaults: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
startAngle: {
type: PropType<number>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<AxisDefaultsCrosshair_2>;
default: () => any;
};
labels: {
type: PropType<AxisDefaultsLabels_2>;
default: () => any;
};
title: {
type: PropType<AxisDefaultsTitle_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
startAngle: {
type: PropType<number>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<AxisDefaultsCrosshair_2>;
default: () => any;
};
labels: {
type: PropType<AxisDefaultsLabels_2>;
default: () => any;
};
title: {
type: PropType<AxisDefaultsTitle_2>;
default: () => any;
};
}>> & Readonly<{}>, {
line: AxisLine_2;
color: string;
background: string;
visible: boolean;
reverse: boolean;
title: AxisDefaultsTitle_2;
crosshair: AxisDefaultsCrosshair_2;
labels: AxisDefaultsLabels_2;
majorGridLines: GridLines_2;
majorTicks: AxisTicks_2;
minorGridLines: GridLines_2;
minorTicks: AxisTicks_2;
narrowRange: boolean;
pane: string;
plotBands: PlotBand_2[];
startAngle: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartAxisDefaultsCrosshair: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<AxisDefaultsCrosshairTooltip_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<AxisDefaultsCrosshairTooltip_2>;
default: () => any;
};
}>> & Readonly<{}>, {
dashType: string;
visible: boolean;
tooltip: AxisDefaultsCrosshairTooltip_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartAxisDefaultsCrosshair component.
 */
export declare interface ChartAxisDefaultsCrosshairProps extends AxisDefaultsCrosshair {
}

/**
 * @hidden
 */
export declare const ChartAxisDefaultsCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartAxisDefaultsCrosshairTooltip component.
 */
export declare interface ChartAxisDefaultsCrosshairTooltipProps extends AxisDefaultsCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartAxisDefaultsLabels: DefineComponent<ExtractPropTypes<    {
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: PropType<boolean>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: PropType<boolean>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_2) => Element_2;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartAxisDefaultsLabels component.
 */
export declare interface ChartAxisDefaultsLabelsProps extends AxisDefaultsLabels {
}

/**
 * Represents the props of the Kendo UI for Vue ChartAxisDefaults component ([see example]({% slug axes_chart_charts %}#toc-default-axis-configuration)).
 */
export declare interface ChartAxisDefaultsProps extends AxisDefaults_2 {
}

/**
 * @hidden
 */
export declare const ChartAxisDefaultsTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartAxisDefaultsTitle component.
 */
export declare interface ChartAxisDefaultsTitleProps extends AxisDefaultsTitle {
}

/**
 * An interface for the Chart axes API.
 */
export declare interface ChartAxisType {
    /**
     * Returns the axis range.
     *
     * @returns {AxisRange} - The axis range.
     */
    range(): AxisRange;
    /**
     * Returns a slot that is based on the specified `from` and `to` values ([see example]({% slug plotbands_chart_charts %}#toc-custom-plot-bands)).
     *
     * @param from - The slot start value.
     * @param to - The end slot value. If not specified, the `from` value is used.
     * @param limit - The parameters for the exported image.
     * @returns {Promise<string>} - Indicates whether the slot is limited to the current range.
     * By default, the range is limited.
     */
    slot(from: string | number | Date, to?: string | number | Date, limit?: boolean): geometry.Rect | geometry.Arc;
    /**
     * Returns the value that corresponds to the passed surface point.
     *
     * @param { Point } point - The surface point of the Chart.
     * @returns {string | number | Date} - The value that corresponds to the point.
     */
    value(point: geometry.Point): string | number | Date;
    /**
     * Returns the axis range which is determined by the minimum and maximum point values that are associated with the axis.
     *
     * @returns {AxisRange} - The value range.
     */
    valueRange(): AxisRange;
}

/**
 * @hidden
 */
export declare const ChartCategoryAxis: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartCategoryAxisCrosshair: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<CategoryAxisCrosshairTooltip_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<CategoryAxisCrosshairTooltip_2>;
default: () => any;
};
}>> & Readonly<{}>, {
dashType: string;
visible: boolean;
tooltip: CategoryAxisCrosshairTooltip_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisCrosshair component.
 */
export declare interface ChartCategoryAxisCrosshairProps extends CategoryAxisCrosshair_2 {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisCrosshairTooltip component.
 */
export declare interface ChartCategoryAxisCrosshairTooltipProps extends CategoryAxisCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisItem: DefineComponent<ExtractPropTypes<    {
autoBaseUnitSteps: {
type: PropType<AutoBaseUnitSteps>;
default: () => any;
};
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: () => any;
};
baseUnit: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
baseUnitStep: {
type: PropType<string | number>;
default: () => any;
};
categories: {
type: PropType<any[]>;
default: () => any;
};
color: {
type: PropType<string>;
default: () => any;
};
justified: {
type: PropType<boolean>;
default: () => any;
};
line: {
type: PropType<AxisLine_2>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
maxDateGroups: {
type: PropType<number>;
default: () => any;
};
maxDivisions: {
type: PropType<number>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
rangeLabels: {
type: PropType<CategoryAxisRangeLabels>;
default: () => any;
};
pane: {
type: PropType<string>;
default: () => any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: () => any;
};
roundToBaseUnit: {
type: PropType<boolean>;
default: () => any;
};
startAngle: {
type: PropType<number>;
default: () => any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: () => any;
};
weekStartDay: {
type: PropType<WeekStartDay>;
default: () => any;
};
crosshair: {
type: PropType<CategoryAxisCrosshair>;
default: () => any;
};
labels: {
type: PropType<CategoryAxisLabels>;
default: () => any;
};
notes: {
type: PropType<CategoryAxisNotes>;
default: () => any;
};
select: {
type: PropType<CategoryAxisSelect>;
default: () => any;
};
title: {
type: PropType<CategoryAxisTitle>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
autoBaseUnitSteps: {
type: PropType<AutoBaseUnitSteps>;
default: () => any;
};
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: () => any;
};
baseUnit: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
baseUnitStep: {
type: PropType<string | number>;
default: () => any;
};
categories: {
type: PropType<any[]>;
default: () => any;
};
color: {
type: PropType<string>;
default: () => any;
};
justified: {
type: PropType<boolean>;
default: () => any;
};
line: {
type: PropType<AxisLine_2>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
maxDateGroups: {
type: PropType<number>;
default: () => any;
};
maxDivisions: {
type: PropType<number>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
rangeLabels: {
type: PropType<CategoryAxisRangeLabels>;
default: () => any;
};
pane: {
type: PropType<string>;
default: () => any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: () => any;
};
roundToBaseUnit: {
type: PropType<boolean>;
default: () => any;
};
startAngle: {
type: PropType<number>;
default: () => any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: () => any;
};
weekStartDay: {
type: PropType<WeekStartDay>;
default: () => any;
};
crosshair: {
type: PropType<CategoryAxisCrosshair>;
default: () => any;
};
labels: {
type: PropType<CategoryAxisLabels>;
default: () => any;
};
notes: {
type: PropType<CategoryAxisNotes>;
default: () => any;
};
select: {
type: PropType<CategoryAxisSelect>;
default: () => any;
};
title: {
type: PropType<CategoryAxisTitle>;
default: () => any;
};
}>> & Readonly<{}>, {
line: AxisLine_2;
color: string;
background: string;
type: string;
visible: boolean;
reverse: boolean;
name: string;
select: CategoryAxisSelect;
title: CategoryAxisTitle;
crosshair: CategoryAxisCrosshair;
labels: CategoryAxisLabels;
notes: CategoryAxisNotes;
majorGridLines: GridLines_2;
majorTicks: AxisTicks_2;
minorGridLines: GridLines_2;
minorTicks: AxisTicks_2;
pane: string;
plotBands: PlotBand_2[];
startAngle: number;
autoBaseUnitSteps: AutoBaseUnitSteps;
axisCrossingValue: any;
baseUnit: string;
baseUnitStep: string | number;
categories: any[];
justified: boolean;
max: any;
maxDateGroups: number;
maxDivisions: number;
min: any;
rangeLabels: CategoryAxisRangeLabels;
roundToBaseUnit: boolean;
weekStartDay: WeekStartDay;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisItem component ([see example]({% slug axes_chart_charts %}#toc-categorical-chart-axes)).
 */
export declare interface ChartCategoryAxisItemProps extends CategoryAxis {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: () => any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: () => any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
mirror: boolean;
dateFormats: DateFormats_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisLabels component.
 */
export declare interface ChartCategoryAxisLabelsProps extends CategoryAxisLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisNotes: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<CategoryAxisNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<CategoryAxisNotesLabel_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<CategoryAxisNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<CategoryAxisNotesLabel_2>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: AxisNoteVisualArgs_2) => Element_2;
dataItems: any[];
label: CategoryAxisNotesLabel_2;
icon: CategoryAxisNotesIcon_2;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartCategoryAxisNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisNotesIcon component.
 */
export declare interface ChartCategoryAxisNotesIconProps extends CategoryAxisNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisNotesLabel component.
 */
export declare interface ChartCategoryAxisNotesLabelProps extends CategoryAxisNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisNotes component.
 */
export declare interface ChartCategoryAxisNotesProps extends CategoryAxisNotes_2 {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisRangeLabels: DefineComponent<ExtractPropTypes<    {
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
visible: boolean;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisRangeLabels component.
 */
export declare interface ChartCategoryAxisRangeLabelsProps extends CategoryAxisRangeLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisSelect: DefineComponent<ExtractPropTypes<    {
from: {
type: PropType<any>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_2>;
default: () => any;
};
to: {
type: PropType<any>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
from: {
type: PropType<any>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_2>;
default: () => any;
};
to: {
type: PropType<any>;
default: () => any;
};
}>> & Readonly<{}>, {
from: any;
to: any;
mousewheel: any;
max: any;
min: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisSelect component.
 */
export declare interface ChartCategoryAxisSelectProps extends CategoryAxisSelect_2 {
}

/**
 * @hidden
 */
export declare const ChartCategoryAxisTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartCategoryAxisTitle component.
 */
export declare interface ChartCategoryAxisTitleProps extends CategoryAxisTitle_2 {
}

/**
 * @hidden
 */
declare interface ChartingArea {
    /**
     * The background color of the Chart area. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the Chart area.
     */
    border?: Border;
    /**
     * The height of the Chart area.
     */
    height?: number;
    /**
     * The margin of the Chart area. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The background opacity of the Chart area. By default, the background is opaque.
     */
    opacity?: number;
    /**
     * The width of the Chart area.
     */
    width?: number;
}

/**
 * @hidden
 */
export declare const ChartLegend: DefineComponent<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
height: {
type: PropType<number>;
default: any;
};
labels: {
type: PropType<LegendLabels>;
default: () => any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
offsetX: {
type: PropType<number>;
default: any;
};
offsetY: {
type: PropType<number>;
default: any;
};
orientation: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
width: {
type: PropType<number>;
default: any;
};
inactiveItems: {
type: PropType<LegendInactiveItems>;
default: () => any;
};
item: {
type: PropType<LegendItem>;
default: () => any;
};
spacing: {
type: PropType<number>;
default: any;
};
title: {
type: PropType<LegendTitle>;
default: () => any;
};
focusHighlight: {
type: PropType<FocusHighlight>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
height: {
type: PropType<number>;
default: any;
};
labels: {
type: PropType<LegendLabels>;
default: () => any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
offsetX: {
type: PropType<number>;
default: any;
};
offsetY: {
type: PropType<number>;
default: any;
};
orientation: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
width: {
type: PropType<number>;
default: any;
};
inactiveItems: {
type: PropType<LegendInactiveItems>;
default: () => any;
};
item: {
type: PropType<LegendItem>;
default: () => any;
};
spacing: {
type: PropType<number>;
default: any;
};
title: {
type: PropType<LegendTitle>;
default: () => any;
};
focusHighlight: {
type: PropType<FocusHighlight>;
default: () => any;
};
}>> & Readonly<{}>, {
width: number;
border: Border_2;
background: string;
visible: boolean;
reverse: boolean;
title: LegendTitle;
position: string;
height: number;
margin: any;
padding: any;
spacing: number;
labels: LegendLabels;
focusHighlight: FocusHighlight;
align: string;
offsetX: number;
offsetY: number;
orientation: string;
inactiveItems: LegendInactiveItems;
item: LegendItem;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartLegendInactiveItems: DefineComponent<ExtractPropTypes<    {
labels: {
type: PropType<LegendLabels_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
labels: {
type: PropType<LegendLabels_3>;
default: () => any;
};
}>> & Readonly<{}>, {
labels: LegendLabels_3;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartLegendInactiveItems component.
 */
export declare interface ChartLegendInactiveItemsProps extends LegendInactiveItems_2 {
}

/**
 * @hidden
 */
export declare const ChartLegendItem: DefineComponent<ExtractPropTypes<    {
cursor: PropType<string>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
line: {
type: PropType<LegendItemLine_2>;
default: () => any;
};
area: {
type: PropType<LegendItemArea_2>;
default: () => any;
};
markers: {
type: PropType<LegendItemMarkers_2>;
default: () => any;
};
highlight: {
type: PropType<LegendItemHighlight_2>;
default: () => any;
};
visual: {
type: PropType<(e: LegendItemVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
cursor: PropType<string>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
line: {
type: PropType<LegendItemLine_2>;
default: () => any;
};
area: {
type: PropType<LegendItemArea_2>;
default: () => any;
};
markers: {
type: PropType<LegendItemMarkers_2>;
default: () => any;
};
highlight: {
type: PropType<LegendItemHighlight_2>;
default: () => any;
};
visual: {
type: PropType<(e: LegendItemVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
area: LegendItemArea_2;
line: LegendItemLine_2;
type: string;
visual: (e: LegendItemVisualArgs_2) => Element_2;
highlight: LegendItemHighlight_2;
markers: LegendItemMarkers_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartLegendItem component.
 */
export declare interface ChartLegendItemProps extends LegendItem_2 {
}

/**
 * Represents the props of the Kendo UI for Vue ChartLegend component ([see example]({% slug legend_chart_charts %})).
 */
export declare interface ChartLegendProps extends Legend {
}

/**
 * @hidden
 */
export declare const ChartLegendTitle: DefineComponent<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(args: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(args: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (args: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
align: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartLegendTitle component.
 */
export declare interface ChartLegendTitleProps extends LegendTitle_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigator: DefineComponent<ExtractPropTypes<    {
visible: {
type: PropType<boolean>;
default: boolean;
};
categoryAxis: {
type: PropType<CategoryAxis_2>;
default: () => any;
};
hint: {
type: PropType<NavigatorHint>;
default: () => any;
};
pane: {
type: PropType<Pane_3>;
default: () => any;
};
select: {
type: PropType<NavigatorSelect>;
default: () => any;
};
series: {
type: PropType<Series | Series[]>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
visible: {
type: PropType<boolean>;
default: boolean;
};
categoryAxis: {
type: PropType<CategoryAxis_2>;
default: () => any;
};
hint: {
type: PropType<NavigatorHint>;
default: () => any;
};
pane: {
type: PropType<Pane_3>;
default: () => any;
};
select: {
type: PropType<NavigatorSelect>;
default: () => any;
};
series: {
type: PropType<Series | Series[]>;
default: () => any;
};
}>> & Readonly<{}>, {
visible: boolean;
select: NavigatorSelect;
categoryAxis: CategoryAxis_2;
series: any;
pane: Pane_3;
hint: NavigatorHint;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxis: DefineComponent<ExtractPropTypes<    {
autoBaseUnitSteps: {
type: PropType<AutoBaseUnitSteps_3>;
default: () => any;
};
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
baseUnitStep: {
type: PropType<string | number>;
default: () => any;
};
categories: {
type: PropType<any[]>;
default: () => any;
};
color: {
type: PropType<string>;
default: any;
};
justified: {
type: PropType<boolean>;
default: () => any;
};
line: {
type: PropType<AxisLine_3>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_3>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_3>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
maxDateGroups: {
type: PropType<number>;
default: any;
};
maxDivisions: {
type: PropType<number>;
default: any;
};
min: {
type: PropType<any>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_3>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_3>;
default: () => any;
};
name: {
type: PropType<string>;
default: () => any;
};
rangeLabels: {
type: PropType<CategoryAxisRangeLabels_3>;
default: () => any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_3[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: () => any;
};
roundToBaseUnit: {
type: PropType<boolean>;
default: () => any;
};
startAngle: {
type: PropType<number>;
default: any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: () => any;
};
weekStartDay: {
type: PropType<WeekStartDay_3>;
default: any;
};
crosshair: {
type: PropType<CategoryAxisCrosshair_3>;
default: () => any;
};
labels: {
type: PropType<CategoryAxisLabels_3>;
default: () => any;
};
notes: {
type: PropType<CategoryAxisNotes_3>;
default: () => any;
};
select: {
type: PropType<CategoryAxisSelect_3>;
default: () => any;
};
title: {
type: PropType<CategoryAxisTitle_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
autoBaseUnitSteps: {
type: PropType<AutoBaseUnitSteps_3>;
default: () => any;
};
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
baseUnitStep: {
type: PropType<string | number>;
default: () => any;
};
categories: {
type: PropType<any[]>;
default: () => any;
};
color: {
type: PropType<string>;
default: any;
};
justified: {
type: PropType<boolean>;
default: () => any;
};
line: {
type: PropType<AxisLine_3>;
default: () => any;
};
majorGridLines: {
type: PropType<GridLines_3>;
default: () => any;
};
majorTicks: {
type: PropType<AxisTicks_3>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
maxDateGroups: {
type: PropType<number>;
default: any;
};
maxDivisions: {
type: PropType<number>;
default: any;
};
min: {
type: PropType<any>;
default: () => any;
};
minorGridLines: {
type: PropType<GridLines_3>;
default: () => any;
};
minorTicks: {
type: PropType<AxisTicks_3>;
default: () => any;
};
name: {
type: PropType<string>;
default: () => any;
};
rangeLabels: {
type: PropType<CategoryAxisRangeLabels_3>;
default: () => any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_3[]>;
default: () => any;
};
reverse: {
type: PropType<boolean>;
default: () => any;
};
roundToBaseUnit: {
type: PropType<boolean>;
default: () => any;
};
startAngle: {
type: PropType<number>;
default: any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: () => any;
};
weekStartDay: {
type: PropType<WeekStartDay_3>;
default: any;
};
crosshair: {
type: PropType<CategoryAxisCrosshair_3>;
default: () => any;
};
labels: {
type: PropType<CategoryAxisLabels_3>;
default: () => any;
};
notes: {
type: PropType<CategoryAxisNotes_3>;
default: () => any;
};
select: {
type: PropType<CategoryAxisSelect_3>;
default: () => any;
};
title: {
type: PropType<CategoryAxisTitle_3>;
default: () => any;
};
}>> & Readonly<{}>, {
line: AxisLine_3;
color: string;
background: string;
type: string;
visible: boolean;
reverse: boolean;
name: string;
select: CategoryAxisSelect_3;
title: CategoryAxisTitle_3;
crosshair: CategoryAxisCrosshair_3;
labels: CategoryAxisLabels_3;
notes: CategoryAxisNotes_3;
majorGridLines: GridLines_3;
majorTicks: AxisTicks_3;
minorGridLines: GridLines_3;
minorTicks: AxisTicks_3;
pane: string;
plotBands: PlotBand_3[];
startAngle: number;
autoBaseUnitSteps: AutoBaseUnitSteps_3;
axisCrossingValue: any;
baseUnit: string;
baseUnitStep: string | number;
categories: any[];
justified: boolean;
max: any;
maxDateGroups: number;
maxDivisions: number;
min: any;
rangeLabels: CategoryAxisRangeLabels_3;
roundToBaseUnit: boolean;
weekStartDay: WeekStartDay_3;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisCrosshair: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<CategoryAxisCrosshairTooltip_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<CategoryAxisCrosshairTooltip_3>;
default: () => any;
};
}>> & Readonly<{}>, {
dashType: string;
visible: boolean;
tooltip: CategoryAxisCrosshairTooltip_3;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisCrosshair component.
 */
export declare interface ChartNavigatorCategoryAxisCrosshairProps extends CategoryAxisCrosshair_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_4;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisCrosshairTooltip component.
 */
export declare interface ChartNavigatorCategoryAxisCrosshairTooltipProps extends CategoryAxisCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_3>;
default: () => any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_3>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_3) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_3>;
default: () => any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_3>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_3) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_3) => Element_2;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
mirror: boolean;
dateFormats: DateFormats_3;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisLabels component.
 */
export declare interface ChartNavigatorCategoryAxisLabelsProps extends CategoryAxisLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisNotes: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_3) => Element_2>;
default: any;
};
icon: {
type: PropType<CategoryAxisNotesIcon_3>;
default: () => any;
};
label: {
type: PropType<CategoryAxisNotesLabel_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_3) => Element_2>;
default: any;
};
icon: {
type: PropType<CategoryAxisNotesIcon_3>;
default: () => any;
};
label: {
type: PropType<CategoryAxisNotesLabel_3>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_3;
visual: (e: AxisNoteVisualArgs_3) => Element_2;
dataItems: any[];
label: CategoryAxisNotesLabel_3;
icon: CategoryAxisNotesIcon_3;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisNotesIcon: DefineComponent<ExtractPropTypes<    {
background: StringConstructor;
border: {
type: ObjectConstructor;
default: () => any;
};
size: NumberConstructor;
type: {
type: StringConstructor;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: BooleanConstructor;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: StringConstructor;
border: {
type: ObjectConstructor;
default: () => any;
};
size: NumberConstructor;
type: {
type: StringConstructor;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: BooleanConstructor;
default: any;
};
}>> & Readonly<{}>, {
border: Record<string, any>;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisNotesIcon component.
 */
export declare interface ChartNavigatorCategoryAxisNotesIconProps extends CategoryAxisNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisNotesLabel component.
 */
export declare interface ChartNavigatorCategoryAxisNotesLabelProps extends CategoryAxisNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisNotes component.
 */
export declare interface ChartNavigatorCategoryAxisNotesProps extends CategoryAxisNotes_2 {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxis component.
 */
export declare interface ChartNavigatorCategoryAxisProps extends CategoryAxis {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisSelect: DefineComponent<ExtractPropTypes<    {
from: {
type: PropType<any>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_3>;
default: () => any;
};
to: {
type: PropType<any>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
from: {
type: PropType<any>;
default: () => any;
};
max: {
type: PropType<any>;
default: () => any;
};
min: {
type: PropType<any>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_3>;
default: () => any;
};
to: {
type: PropType<any>;
default: () => any;
};
}>> & Readonly<{}>, {
from: any;
to: any;
mousewheel: any;
max: any;
min: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisSelect component.
 */
export declare interface ChartNavigatorCategoryAxisSelectProps extends CategoryAxisSelect_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorCategoryAxisTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_3) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_3) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
visual: (e: TitleVisualArgs_3) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorCategoryAxisTitle component.
 */
export declare interface ChartNavigatorCategoryAxisTitleProps extends CategoryAxisTitle_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorHint: DefineComponent<ExtractPropTypes<    {
content: {
type: PropType<(e: any) => string>;
default: any;
};
format: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
content: {
type: PropType<(e: any) => string>;
default: any;
};
format: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
visible: boolean;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorHint component.
 */
export declare interface ChartNavigatorHintProps extends NavigatorHint_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorPane: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_3>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
title: {
type: PropType<string | PanesTitle_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_3>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
title: {
type: PropType<string | PanesTitle_3>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_3;
background: string;
name: string;
title: any;
clip: boolean;
height: number;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorPane component.
 */
export declare interface ChartNavigatorPaneProps extends Pane_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorPaneTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
visual: (e: any) => Element_2;
position: string;
margin: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorPaneTitle component.
 */
export declare interface ChartNavigatorPaneTitleProps extends PanesTitle {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigator component.
 */
export declare interface ChartNavigatorProps extends Navigator_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSelect: DefineComponent<ExtractPropTypes<    {
from: {
type: PropType<Date>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_2>;
default: () => any;
};
to: {
type: PropType<Date>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
from: {
type: PropType<Date>;
default: () => any;
};
mousewheel: {
type: PropType<boolean | MousewheelSelect_2>;
default: () => any;
};
to: {
type: PropType<Date>;
default: () => any;
};
}>> & Readonly<{}>, {
from: Date;
to: Date;
mousewheel: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of then Kendo UI for Vue ChartNavigatorSelect component.
 */
export declare interface ChartNavigatorSelectProps extends NavigatorSelect_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeries: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesErrorBars: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
endCaps: {
type: PropType<boolean>;
default: any;
};
line: {
type: PropType<ErrorBarLine_3>;
default: () => any;
};
value: PropType<string>;
visual: {
type: PropType<(e: ErrorBarsVisualArgs_3) => Element_2>;
default: any;
};
xValue: PropType<string>;
yValue: PropType<string>;
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
endCaps: {
type: PropType<boolean>;
default: any;
};
line: {
type: PropType<ErrorBarLine_3>;
default: () => any;
};
value: PropType<string>;
visual: {
type: PropType<(e: ErrorBarsVisualArgs_3) => Element_2>;
default: any;
};
xValue: PropType<string>;
yValue: PropType<string>;
}>> & Readonly<{}>, {
line: ErrorBarLine_3;
visual: (e: ErrorBarsVisualArgs_3) => Element_2;
endCaps: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesErrorBars component.
 */
export declare interface ChartNavigatorSeriesErrorBarsProps extends SeriesErrorBars {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesExtremes: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>> & Readonly<{}>, {
border: Border_4;
type: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesExtremes component.
 */
export declare interface ChartNavigatorSeriesExtremesProps extends SeriesExtremes {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesHighlight: DefineComponent<ExtractPropTypes<    {
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
line: {
type: PropType<HighlightLine_2>;
default: () => any;
};
opacity: PropType<number>;
toggle: {
type: PropType<(e: HighlightToggleArgs_3) => void>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: HighlightVisualArgs_3) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
line: {
type: PropType<HighlightLine_2>;
default: () => any;
};
opacity: PropType<number>;
toggle: {
type: PropType<(e: HighlightToggleArgs_3) => void>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: HighlightVisualArgs_3) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
line: HighlightLine_2;
border: Border_4;
visible: boolean;
visual: (e: HighlightVisualArgs_3) => Element_2;
toggle: (e: HighlightToggleArgs_3) => void;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesHighlight component.
 */
export declare interface ChartNavigatorSeriesHighlightProps extends SeriesHighlight {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesItem: DefineComponent<ExtractPropTypes<    {
aggregate: {
type: PropType<any>;
default: () => any;
};
axis: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
categoryAxis: PropType<string>;
categoryField: PropType<string>;
closeField: PropType<string>;
color: {
type: PropType<any>;
default: () => any;
};
colorField: PropType<string>;
connectors: {
type: PropType<LabelConnectors_3>;
default: () => any;
};
currentField: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
dataItems: {
type: PropType<any[]>;
default: () => any;
};
downColor: PropType<string>;
downColorField: PropType<string>;
dynamicHeight: {
type: PropType<boolean>;
default: any;
};
dynamicSlope: {
type: PropType<boolean>;
default: any;
};
errorHighField: PropType<string>;
errorLowField: PropType<string>;
explodeField: PropType<string>;
field: PropType<string>;
fromField: PropType<string>;
gap: PropType<number>;
highField: PropType<string>;
holeSize: PropType<number>;
line: {
type: PropType<SeriesLine_3>;
default: () => any;
};
lowField: PropType<string>;
lowerField: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
maxSize: PropType<number>;
meanField: PropType<string>;
medianField: PropType<string>;
minSize: PropType<number>;
missingValues: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
name: PropType<string>;
neckRatio: PropType<number>;
negativeColor: PropType<string>;
negativeValues: {
type: PropType<NegativeBubbleValues_3>;
default: () => any;
};
noteTextField: PropType<string>;
opacity: PropType<number>;
openField: PropType<string>;
outliersField: PropType<string>;
overlay: {
type: PropType<Overlay_3>;
default: () => any;
};
padding: PropType<number>;
q1Field: PropType<string>;
q3Field: PropType<string>;
segmentSpacing: PropType<number>;
size: PropType<number>;
sizeField: PropType<string>;
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_3>;
default: () => any;
};
startAngle: PropType<number>;
lineStyle: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
summaryField: PropType<string>;
target: {
type: PropType<BulletTarget_3>;
default: () => any;
};
toField: PropType<string>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
upperField: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visibleInLegend: {
type: PropType<boolean>;
default: any;
};
visibleInLegendField: PropType<string>;
visual: {
type: PropType<(e: SeriesVisualArgs_3) => Element_2>;
default: any;
};
width: PropType<number>;
xAxis: PropType<string>;
xErrorHighField: PropType<string>;
xErrorLowField: PropType<string>;
xField: PropType<string>;
yAxis: PropType<string>;
yErrorHighField: PropType<string>;
yErrorLowField: PropType<string>;
yField: PropType<string>;
zIndex: PropType<number>;
errorBars: {
type: PropType<SeriesErrorBars_3>;
default: () => any;
};
extremes: {
type: PropType<SeriesExtremes_3>;
default: () => any;
};
highlight: {
type: PropType<SeriesHighlight_3>;
default: () => any;
};
/**
* The configuration of the Chart series label. The Chart displays the series labels when the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) option is set to `true`.
*/
labels: {
type: PropType<SeriesLabels_3>;
default: () => any;
};
markers: {
type: PropType<SeriesMarkers_3>;
default: () => any;
};
notes: {
type: PropType<SeriesNotes_3>;
default: () => any;
};
outliers: {
type: PropType<SeriesOutliers_3>;
default: () => any;
};
tooltip: {
type: PropType<SeriesTooltip_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
aggregate: {
type: PropType<any>;
default: () => any;
};
axis: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
categoryAxis: PropType<string>;
categoryField: PropType<string>;
closeField: PropType<string>;
color: {
type: PropType<any>;
default: () => any;
};
colorField: PropType<string>;
connectors: {
type: PropType<LabelConnectors_3>;
default: () => any;
};
currentField: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
dataItems: {
type: PropType<any[]>;
default: () => any;
};
downColor: PropType<string>;
downColorField: PropType<string>;
dynamicHeight: {
type: PropType<boolean>;
default: any;
};
dynamicSlope: {
type: PropType<boolean>;
default: any;
};
errorHighField: PropType<string>;
errorLowField: PropType<string>;
explodeField: PropType<string>;
field: PropType<string>;
fromField: PropType<string>;
gap: PropType<number>;
highField: PropType<string>;
holeSize: PropType<number>;
line: {
type: PropType<SeriesLine_3>;
default: () => any;
};
lowField: PropType<string>;
lowerField: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
maxSize: PropType<number>;
meanField: PropType<string>;
medianField: PropType<string>;
minSize: PropType<number>;
missingValues: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
name: PropType<string>;
neckRatio: PropType<number>;
negativeColor: PropType<string>;
negativeValues: {
type: PropType<NegativeBubbleValues_3>;
default: () => any;
};
noteTextField: PropType<string>;
opacity: PropType<number>;
openField: PropType<string>;
outliersField: PropType<string>;
overlay: {
type: PropType<Overlay_3>;
default: () => any;
};
padding: PropType<number>;
q1Field: PropType<string>;
q3Field: PropType<string>;
segmentSpacing: PropType<number>;
size: PropType<number>;
sizeField: PropType<string>;
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_3>;
default: () => any;
};
startAngle: PropType<number>;
lineStyle: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
summaryField: PropType<string>;
target: {
type: PropType<BulletTarget_3>;
default: () => any;
};
toField: PropType<string>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
upperField: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visibleInLegend: {
type: PropType<boolean>;
default: any;
};
visibleInLegendField: PropType<string>;
visual: {
type: PropType<(e: SeriesVisualArgs_3) => Element_2>;
default: any;
};
width: PropType<number>;
xAxis: PropType<string>;
xErrorHighField: PropType<string>;
xErrorLowField: PropType<string>;
xField: PropType<string>;
yAxis: PropType<string>;
yErrorHighField: PropType<string>;
yErrorLowField: PropType<string>;
yField: PropType<string>;
zIndex: PropType<number>;
errorBars: {
type: PropType<SeriesErrorBars_3>;
default: () => any;
};
extremes: {
type: PropType<SeriesExtremes_3>;
default: () => any;
};
highlight: {
type: PropType<SeriesHighlight_3>;
default: () => any;
};
/**
* The configuration of the Chart series label. The Chart displays the series labels when the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) option is set to `true`.
*/
labels: {
type: PropType<SeriesLabels_3>;
default: () => any;
};
markers: {
type: PropType<SeriesMarkers_3>;
default: () => any;
};
notes: {
type: PropType<SeriesNotes_3>;
default: () => any;
};
outliers: {
type: PropType<SeriesOutliers_3>;
default: () => any;
};
tooltip: {
type: PropType<SeriesTooltip_3>;
default: () => any;
};
}>> & Readonly<{}>, {
line: SeriesLine_3;
dashType: string;
color: any;
border: Border_3;
type: string;
visible: boolean;
visual: (e: SeriesVisualArgs_3) => Element_2;
dataItems: any[];
lineStyle: string;
tooltip: SeriesTooltip_3;
margin: any;
overlay: Overlay_3;
stack: any;
labels: SeriesLabels_3;
notes: SeriesNotes_3;
aggregate: any;
connectors: LabelConnectors_3;
dynamicHeight: boolean;
dynamicSlope: boolean;
missingValues: string;
negativeValues: NegativeBubbleValues_3;
target: BulletTarget_3;
visibleInLegend: boolean;
errorBars: SeriesErrorBars_3;
extremes: SeriesExtremes_3;
highlight: SeriesHighlight_3;
markers: SeriesMarkers_3;
outliers: SeriesOutliers_3;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesItemOutliers: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>> & Readonly<{}>, {
border: Border_4;
type: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesItemOutliers component.
 */
export declare interface ChartNavigatorSeriesItemOutliersProps extends SeriesOutliers {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesItem component.
 */
export declare interface ChartNavigatorSeriesItemProps extends Series_2 {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesItemTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
render: PropType<string | object | Function>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
render: PropType<string | object | Function>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesItemTooltip component.
 */
export declare interface ChartNavigatorSeriesItemTooltipProps extends SeriesTooltip {
    render?: object | string | Function;
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesLabels: DefineComponent<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
distance: PropType<number>;
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_3) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesLabelsFrom_3>;
default: () => any;
};
to: {
type: PropType<SeriesLabelsTo_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
distance: PropType<number>;
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_3) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesLabelsFrom_3>;
default: () => any;
};
to: {
type: PropType<SeriesLabelsTo_3>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_4;
from: SeriesLabelsFrom_3;
to: SeriesLabelsTo_3;
visible: boolean;
visual: (e: SeriesLabelsVisualArgs_3) => Element_2;
position: string;
margin: any;
padding: any;
align: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesLabelsFrom: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesLabelsFrom component.
 */
export declare interface ChartNavigatorSeriesLabelsFromProps extends SeriesLabelsFrom {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesLabels component.
 */
export declare interface ChartNavigatorSeriesLabelsProps extends SeriesLabels {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesLabelsTo: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_4>;
default: () => any;
};
padding: {
type: PropType<number | Padding_4>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesLabelsTo component.
 */
export declare interface ChartNavigatorSeriesLabelsToProps extends SeriesLabelsTo {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesMarkers: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: MarkersVisualArgs_3) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesMarkers>;
default: () => any;
};
to: {
type: PropType<SeriesMarkers>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: MarkersVisualArgs_3) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesMarkers>;
default: () => any;
};
to: {
type: PropType<SeriesMarkers>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_4;
from: SeriesMarkers;
to: SeriesMarkers;
type: string;
visible: boolean;
visual: (e: MarkersVisualArgs_3) => Element_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesMarkers component.
 */
export declare interface ChartNavigatorSeriesMarkersProps extends SeriesMarkers {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesNotes: DefineComponent<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_3) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesNotesIcon_3>;
default: () => any;
};
label: {
type: PropType<SeriesNotesLabel_3>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_3) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesNotesIcon_3>;
default: () => any;
};
label: {
type: PropType<SeriesNotesLabel_3>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_3;
visual: (e: SeriesNoteVisualArgs_3) => Element_2;
label: SeriesNotesLabel_3;
icon: SeriesNotesIcon_3;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesNotesIcon component.
 */
export declare interface ChartNavigatorSeriesNotesIconProps extends SeriesNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartNavigatorSeriesNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_4>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_4;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesNotesLabel component.
 */
export declare interface ChartNavigatorSeriesNotesLabelProps extends SeriesNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartNavigatorSeriesNotes component.
 */
export declare interface ChartNavigatorSeriesNotesProps extends SeriesNotes {
}

/**
 * The the Kendo UI for Vue `ChartNoDataOverlay` component. The component is used to display an overlay with a message when the Chart has no data, no series, or all series are empty.
 * The overlay will be automatically cleared if the series receive data.
 */
export declare const ChartNoDataOverlay: DefineComponent<ExtractPropTypes<    {
className: PropType<string>;
}>, {
kendoLocalizationService: {};
}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
className: PropType<string>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * The props of the `ChartNoDataOverlay` component.
 */
export declare interface ChartNoDataOverlayProps {
    /**
     * Sets additional CSS classes to the component.
     */
    className: string;
}

/**
 * @hidden
 */
export declare const ChartPane: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
title: {
type: PropType<string | PanesTitle_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
title: {
type: PropType<string | PanesTitle_2>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_2;
background: string;
name: string;
title: any;
clip: boolean;
height: number;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartPaneDefaults: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
title: {
type: PropType<PaneDefaultsTitle_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
clip: {
type: PropType<boolean>;
default: any;
};
height: {
type: PropType<number>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
name: {
type: PropType<string>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
title: {
type: PropType<PaneDefaultsTitle_2>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_2;
background: string;
name: string;
title: PaneDefaultsTitle_2;
clip: boolean;
height: number;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartPaneDefaults component ([see example]({% slug panes_chart_charts %})).
 */
export declare interface ChartPaneDefaultsProps extends PaneDefaults_2 {
}

/**
 * @hidden
 */
export declare const ChartPaneDefaultsTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: any) => Element_2;
position: string;
margin: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartPaneDefaultsTitle component ([see example]({% slug panes_chart_charts %})).
 */
export declare interface ChartPaneDefaultsTitleProps extends PaneDefaultsTitle {
}

/**
 * Represents the props of the Kendo UI for Vue ChartPane component ([see example]({% slug panes_chart_charts %})).
 */
export declare interface ChartPaneProps extends Pane_2 {
}

/**
 * @hidden
 */
export declare const ChartPanes: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartPaneTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: any) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: any) => Element_2;
position: string;
margin: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartPaneTitle component ([see example]({% slug panes_chart_charts %})).
 */
export declare interface ChartPaneTitleProps extends PanesTitle {
}

/**
 * An interface for the Chart panes.
 */
export declare interface ChartPaneType {
    /**
     * The group which holds the Drawing elements of the Chart.
     */
    chartsVisual: Group;
    /**
     * The Drawing group that is used to draw the pane.
     */
    visual: Group;
}

/**
 * @hidden
 */
export declare const ChartPlotArea: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
opacity: {
type: PropType<number>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: () => any;
};
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
opacity: {
type: PropType<number>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_2;
background: string;
margin: any;
padding: any;
opacity: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartPlotArea component ([see example]({% slug plotarea_chart_charts %})).
 */
export declare interface ChartPlotAreaProps extends PlotArea {
}

/**
 * An interface for the plot area of the Chart.
 */
export declare interface ChartPlotAreaType {
    /**
     * The Drawing `MultiPath` that is used to draw the background.
     */
    backgroundVisual: MultiPath;
    /**
     * The Drawing `Group` that is used to draw the plot area.
     */
    visual: Group;
}

/**
 * Represents the props of the Kendo UI for Vue Chart component.
 */
export declare interface ChartProps extends BaseChartProps {
    /**
     * When set, the prop is used to render the Donut Center template.
     */
    donutCenterRender?: string | Function | object;
}

/**
 * @hidden
 */
export declare const ChartSeries: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesDefaults: DefineComponent<ExtractPropTypes<    {
border: {
type: PropType<Border_2>;
default: () => any;
};
gap: PropType<number>;
overlay: {
type: PropType<string | Overlay_2>;
default: () => any;
};
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_2>;
default: () => any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesVisualArgs_2) => Element_2>;
default: any;
};
labels: {
type: PropType<SeriesDefaultsLabels_2>;
default: () => any;
};
notes: {
type: PropType<SeriesDefaultsNotes_2>;
default: () => any;
};
tooltip: {
type: PropType<SeriesDefaultsTooltip_2>;
default: () => any;
};
focusHighlight: {
type: PropType<FocusHighlight>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
border: {
type: PropType<Border_2>;
default: () => any;
};
gap: PropType<number>;
overlay: {
type: PropType<string | Overlay_2>;
default: () => any;
};
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_2>;
default: () => any;
};
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesVisualArgs_2) => Element_2>;
default: any;
};
labels: {
type: PropType<SeriesDefaultsLabels_2>;
default: () => any;
};
notes: {
type: PropType<SeriesDefaultsNotes_2>;
default: () => any;
};
tooltip: {
type: PropType<SeriesDefaultsTooltip_2>;
default: () => any;
};
focusHighlight: {
type: PropType<FocusHighlight>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_2;
type: string;
visual: (e: SeriesVisualArgs_2) => Element_2;
tooltip: SeriesDefaultsTooltip_2;
overlay: any;
stack: any;
labels: SeriesDefaultsLabels_2;
notes: SeriesDefaultsNotes_2;
focusHighlight: FocusHighlight;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsItemTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
render: PropType<string | object | Function>;
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
render: PropType<string | object | Function>;
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsItemTooltip component.
 */
export declare interface ChartSeriesDefaultsItemTooltipProps extends SeriesDefaultsTooltip {
    render?: object | string | Function;
}

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesDefaultsLabelsFrom_2>;
default: () => any;
};
to: {
type: PropType<SeriesDefaultsLabelsTo_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesDefaultsLabelsFrom_2>;
default: () => any;
};
to: {
type: PropType<SeriesDefaultsLabelsTo_2>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_3;
from: SeriesDefaultsLabelsFrom_2;
to: SeriesDefaultsLabelsTo_2;
visible: boolean;
visual: (e: SeriesLabelsVisualArgs_2) => Element_2;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsLabelsFrom: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsLabelsFrom component.
 */
export declare interface ChartSeriesDefaultsLabelsFromProps extends SeriesDefaultsLabelsFrom {
}

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsLabels component ([see example]({% slug series_chart_charts %}#toc-default-series-configuration)).
 */
export declare interface ChartSeriesDefaultsLabelsProps extends SeriesDefaultsLabels {
}

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsLabelsTo: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsLabelsTo component.
 */
export declare interface ChartSeriesDefaultsLabelsToProps extends SeriesDefaultsLabelsTo {
}

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsNotes: DefineComponent<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesDefaultsNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<SeriesDefaultsNotesLabel_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesDefaultsNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<SeriesDefaultsNotesLabel_2>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: SeriesNoteVisualArgs_2) => Element_2;
label: SeriesDefaultsNotesLabel_2;
icon: SeriesDefaultsNotesIcon_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsNotesIcon component.
 */
export declare interface ChartSeriesDefaultsNotesIconProps extends SeriesDefaultsNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartSeriesDefaultsNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsNotesLabel component.
 */
export declare interface ChartSeriesDefaultsNotesLabelProps extends SeriesDefaultsNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaultsNotes component ([see example]({% slug series_chart_charts %}#toc-default-series-configuration)).
 */
export declare interface ChartSeriesDefaultsNotesProps extends SeriesDefaultsNotes {
}

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesDefaults component ([see example]({% slug series_chart_charts %}#toc-default-series-configuration)).
 */
export declare interface ChartSeriesDefaultsProps extends SeriesDefaults_2 {
}

/**
 * @hidden
 */
export declare const ChartSeriesErrorBars: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
endCaps: {
type: PropType<boolean>;
default: any;
};
line: {
type: PropType<ErrorBarLine_2>;
default: () => any;
};
value: PropType<string>;
visual: {
type: PropType<(e: ErrorBarsVisualArgs_2) => Element_2>;
default: any;
};
xValue: PropType<string>;
yValue: PropType<string>;
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
endCaps: {
type: PropType<boolean>;
default: any;
};
line: {
type: PropType<ErrorBarLine_2>;
default: () => any;
};
value: PropType<string>;
visual: {
type: PropType<(e: ErrorBarsVisualArgs_2) => Element_2>;
default: any;
};
xValue: PropType<string>;
yValue: PropType<string>;
}>> & Readonly<{}>, {
line: ErrorBarLine_2;
visual: (e: ErrorBarsVisualArgs_2) => Element_2;
endCaps: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesErrorBars component.
 */
export declare interface ChartSeriesErrorBarsProps extends SeriesErrorBars {
}

/**
 * @hidden
 */
export declare const ChartSeriesExtremes: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesExtremes component.
 */
export declare interface ChartSeriesExtremesProps extends SeriesExtremes {
}

/**
 * @hidden
 */
export declare const ChartSeriesHighlight: DefineComponent<ExtractPropTypes<    {
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
line: {
type: ObjectConstructor;
default: () => any;
};
opacity: PropType<number>;
toggle: {
type: PropType<(e: HighlightToggleArgs_2) => void>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: HighlightVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
line: {
type: ObjectConstructor;
default: () => any;
};
opacity: PropType<number>;
toggle: {
type: PropType<(e: HighlightToggleArgs_2) => void>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: HighlightVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
line: Record<string, any>;
border: Border_3;
visible: boolean;
visual: (e: HighlightVisualArgs_2) => Element_2;
toggle: (e: HighlightToggleArgs_2) => void;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesHighlight component.
 */
export declare interface ChartSeriesHighlightProps extends SeriesHighlight {
}

/**
 * @hidden
 */
export declare const ChartSeriesItem: DefineComponent<ExtractPropTypes<    {
autoFit: PropType<boolean>;
aggregate: {
type: PropType<any>;
default: () => any;
};
axis: PropType<string>;
border: {
type: PropType<Border_2>;
default: () => any;
};
categoryAxis: PropType<string>;
categoryField: PropType<string>;
closeField: PropType<string>;
color: {
type: PropType<any>;
default: () => any;
};
colorField: PropType<string>;
connectors: {
type: PropType<LabelConnectors_2>;
default: () => any;
};
currentField: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
dataItems: {
type: PropType<any[]>;
default: () => any;
};
downColor: PropType<string>;
downColorField: PropType<string>;
dynamicHeight: {
type: PropType<boolean>;
default: any;
};
dynamicSlope: {
type: PropType<boolean>;
default: any;
};
errorHighField: PropType<string>;
errorLowField: PropType<string>;
explodeField: PropType<string>;
field: PropType<string>;
for: PropType<string>;
fromField: PropType<string>;
gap: PropType<number>;
highField: PropType<string>;
holeSize: PropType<number>;
line: {
type: PropType<SeriesLine_2>;
default: () => any;
};
lowField: PropType<string>;
lowerField: PropType<string>;
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
maxSize: PropType<number>;
meanField: PropType<string>;
medianField: PropType<string>;
minSize: PropType<number>;
missingValues: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
name: PropType<string>;
neckRatio: PropType<number>;
negativeColor: PropType<string>;
negativeValues: {
type: PropType<NegativeBubbleValues_2>;
default: () => any;
};
noteTextField: PropType<string>;
opacity: PropType<number>;
openField: PropType<string>;
outliersField: PropType<string>;
overlay: {
type: PropType<Overlay_2>;
default: () => any;
};
padding: PropType<number>;
q1Field: PropType<string>;
q3Field: PropType<string>;
segmentSpacing: PropType<number>;
size: PropType<number>;
sizeField: PropType<string>;
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_2>;
default: () => any;
};
startAngle: PropType<number>;
lineStyle: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
summaryField: PropType<string>;
target: {
type: PropType<BulletTarget_2>;
default: () => any;
};
toField: PropType<string>;
type: {
type: PropType<SeriesType>;
default: () => any;
};
upperField: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visibleInLegend: {
type: PropType<boolean>;
default: any;
};
visibleInLegendField: PropType<string>;
visual: {
type: PropType<(e: SeriesVisualArgs_2) => Element_2>;
default: any;
};
width: PropType<number>;
xAxis: PropType<string>;
xErrorHighField: PropType<string>;
xErrorLowField: PropType<string>;
xField: PropType<string>;
yAxis: PropType<string>;
yErrorHighField: PropType<string>;
yErrorLowField: PropType<string>;
yField: PropType<string>;
zIndex: PropType<number>;
errorBars: {
type: PropType<SeriesErrorBars_2>;
default: () => any;
};
extremes: {
type: PropType<SeriesExtremes_2>;
default: () => any;
};
highlight: {
type: PropType<SeriesHighlight_2>;
default: () => any;
};
/**
* The configuration of the Chart series label. The Chart displays the series labels when the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) option is set to `true`.
*/
labels: {
type: PropType<SeriesLabels_2>;
default: () => any;
};
markers: {
type: PropType<SeriesMarkers_2>;
default: () => any;
};
legendItem: {
type: PropType<LegendItem>;
default: () => any;
};
notes: {
type: PropType<SeriesNotes_2>;
default: () => any;
};
outliers: {
type: PropType<SeriesOutliers_2>;
default: () => any;
};
tooltip: {
type: PropType<SeriesTooltip_2>;
default: () => any;
};
pattern: {
type: PropType<SeriesPattern | ((point: any) => SeriesPattern)>;
default: () => any;
};
patternField: PropType<string>;
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
autoFit: PropType<boolean>;
aggregate: {
type: PropType<any>;
default: () => any;
};
axis: PropType<string>;
border: {
type: PropType<Border_2>;
default: () => any;
};
categoryAxis: PropType<string>;
categoryField: PropType<string>;
closeField: PropType<string>;
color: {
type: PropType<any>;
default: () => any;
};
colorField: PropType<string>;
connectors: {
type: PropType<LabelConnectors_2>;
default: () => any;
};
currentField: PropType<string>;
dashType: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
dataItems: {
type: PropType<any[]>;
default: () => any;
};
downColor: PropType<string>;
downColorField: PropType<string>;
dynamicHeight: {
type: PropType<boolean>;
default: any;
};
dynamicSlope: {
type: PropType<boolean>;
default: any;
};
errorHighField: PropType<string>;
errorLowField: PropType<string>;
explodeField: PropType<string>;
field: PropType<string>;
for: PropType<string>;
fromField: PropType<string>;
gap: PropType<number>;
highField: PropType<string>;
holeSize: PropType<number>;
line: {
type: PropType<SeriesLine_2>;
default: () => any;
};
lowField: PropType<string>;
lowerField: PropType<string>;
margin: {
type: PropType<number | Margin_2>;
default: () => any;
};
maxSize: PropType<number>;
meanField: PropType<string>;
medianField: PropType<string>;
minSize: PropType<number>;
missingValues: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
name: PropType<string>;
neckRatio: PropType<number>;
negativeColor: PropType<string>;
negativeValues: {
type: PropType<NegativeBubbleValues_2>;
default: () => any;
};
noteTextField: PropType<string>;
opacity: PropType<number>;
openField: PropType<string>;
outliersField: PropType<string>;
overlay: {
type: PropType<Overlay_2>;
default: () => any;
};
padding: PropType<number>;
q1Field: PropType<string>;
q3Field: PropType<string>;
segmentSpacing: PropType<number>;
size: PropType<number>;
sizeField: PropType<string>;
spacing: PropType<number>;
stack: {
type: PropType<string | boolean | SeriesStack_2>;
default: () => any;
};
startAngle: PropType<number>;
lineStyle: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
summaryField: PropType<string>;
target: {
type: PropType<BulletTarget_2>;
default: () => any;
};
toField: PropType<string>;
type: {
type: PropType<SeriesType>;
default: () => any;
};
upperField: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visibleInLegend: {
type: PropType<boolean>;
default: any;
};
visibleInLegendField: PropType<string>;
visual: {
type: PropType<(e: SeriesVisualArgs_2) => Element_2>;
default: any;
};
width: PropType<number>;
xAxis: PropType<string>;
xErrorHighField: PropType<string>;
xErrorLowField: PropType<string>;
xField: PropType<string>;
yAxis: PropType<string>;
yErrorHighField: PropType<string>;
yErrorLowField: PropType<string>;
yField: PropType<string>;
zIndex: PropType<number>;
errorBars: {
type: PropType<SeriesErrorBars_2>;
default: () => any;
};
extremes: {
type: PropType<SeriesExtremes_2>;
default: () => any;
};
highlight: {
type: PropType<SeriesHighlight_2>;
default: () => any;
};
/**
* The configuration of the Chart series label. The Chart displays the series labels when the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) option is set to `true`.
*/
labels: {
type: PropType<SeriesLabels_2>;
default: () => any;
};
markers: {
type: PropType<SeriesMarkers_2>;
default: () => any;
};
legendItem: {
type: PropType<LegendItem>;
default: () => any;
};
notes: {
type: PropType<SeriesNotes_2>;
default: () => any;
};
outliers: {
type: PropType<SeriesOutliers_2>;
default: () => any;
};
tooltip: {
type: PropType<SeriesTooltip_2>;
default: () => any;
};
pattern: {
type: PropType<SeriesPattern | ((point: any) => SeriesPattern)>;
default: () => any;
};
patternField: PropType<string>;
}>> & Readonly<{}>, {
line: SeriesLine_2;
dashType: string;
color: any;
border: Border_2;
type: SeriesType;
visible: boolean;
visual: (e: SeriesVisualArgs_2) => Element_2;
dataItems: any[];
pattern: SeriesPattern | ((point: any) => SeriesPattern);
lineStyle: string;
tooltip: SeriesTooltip_2;
margin: any;
overlay: Overlay_2;
stack: any;
labels: SeriesLabels_2;
notes: SeriesNotes_2;
aggregate: any;
connectors: LabelConnectors_2;
dynamicHeight: boolean;
dynamicSlope: boolean;
missingValues: string;
negativeValues: NegativeBubbleValues_2;
target: BulletTarget_2;
visibleInLegend: boolean;
errorBars: SeriesErrorBars_2;
extremes: SeriesExtremes_2;
highlight: SeriesHighlight_2;
markers: SeriesMarkers_2;
legendItem: LegendItem;
outliers: SeriesOutliers_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesItemOutliers: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesItemOutliers component.
 */
export declare interface ChartSeriesItemOutliersProps extends SeriesOutliers {
}

export declare interface ChartSeriesItemProps extends Series_2 {
    type: SeriesType;
}

/**
 * @hidden
 */
export declare const ChartSeriesItemTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
render: PropType<string | object | Function>;
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
render: PropType<string | object | Function>;
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesItemTooltip component ([see example]({% slug tooltips_chart_charts %})).
 */
export declare interface ChartSeriesItemTooltipProps extends SeriesTooltip {
    render?: object | string | Function;
}

/**
 * @hidden
 */
export declare const ChartSeriesLabels: DefineComponent<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
distance: PropType<number>;
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesLabelsFrom_2>;
default: () => any;
};
to: {
type: PropType<SeriesLabelsTo_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
align: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
distance: PropType<number>;
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: SeriesLabelsVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesLabelsFrom_2>;
default: () => any;
};
to: {
type: PropType<SeriesLabelsTo_2>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_3;
from: SeriesLabelsFrom_2;
to: SeriesLabelsTo_2;
visible: boolean;
visual: (e: SeriesLabelsVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
align: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesLabelsFrom: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesLabelsFrom component.
 */
export declare interface ChartSeriesLabelsFromProps extends SeriesLabelsFrom {
}

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesLabels component ([see example]({% slug labels_chart_charts %}#toc-setting-the-appearance)).
 */
export declare interface ChartSeriesLabelsProps extends SeriesLabels {
}

/**
 * @hidden
 */
export declare const ChartSeriesLabelsTo: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
margin: any;
padding: any;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesLabelsTo component.
 */
export declare interface ChartSeriesLabelsToProps extends SeriesLabelsTo {
}

/**
 * @hidden
 */
export declare const ChartSeriesMarkers: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: MarkersVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesMarkers>;
default: () => any;
};
to: {
type: PropType<SeriesMarkers>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
rotation: PropType<number>;
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: MarkersVisualArgs_2) => Element_2>;
default: any;
};
from: {
type: PropType<SeriesMarkers>;
default: () => any;
};
to: {
type: PropType<SeriesMarkers>;
default: () => any;
};
}>> & Readonly<{}>, {
border: Border_3;
from: SeriesMarkers;
to: SeriesMarkers;
type: string;
visible: boolean;
visual: (e: MarkersVisualArgs_2) => Element_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesMarkers component.
 */
export declare interface ChartSeriesMarkersProps extends SeriesMarkers {
}

/**
 * @hidden
 */
export declare const ChartSeriesNotes: DefineComponent<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<SeriesNotesLabel_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visual: {
type: PropType<(e: SeriesNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<SeriesNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<SeriesNotesLabel_2>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: SeriesNoteVisualArgs_2) => Element_2;
label: SeriesNotesLabel_2;
icon: SeriesNotesIcon_2;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartSeriesNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => boolean;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesNotesIcon component.
 */
export declare interface ChartSeriesNotesIconProps extends SeriesNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartSeriesNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesNotesLabel component.
 */
export declare interface ChartSeriesNotesLabelProps extends SeriesNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartSeriesNotes component.
 */
export declare interface ChartSeriesNotesProps extends SeriesNotes {
}

/**
 * @hidden
 */
export declare const ChartTitle: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: any;
};
align: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
color: {
type: PropType<string>;
default: any;
};
font: {
type: PropType<string>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
text: {
type: PropType<string>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<Border_2>;
default: any;
};
margin: {
type: PropType<number | Margin_2>;
default: any;
};
padding: {
type: PropType<number | Padding_2>;
default: any;
};
align: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
color: {
type: PropType<string>;
default: any;
};
font: {
type: PropType<string>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
text: {
type: PropType<string>;
default: any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
color: string;
border: Border_2;
background: string;
visible: boolean;
text: string;
position: string;
margin: any;
padding: any;
align: string;
font: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartTitle component ([see example]({% slug title_chart_charts %})).
 */
export declare interface ChartTitleProps extends Title {
}

/**
 * @hidden
 */
export declare const ChartTooltip: DefineComponent<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<TooltipBorder_2>;
default: () => any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
color: {
type: PropType<string>;
default: any;
};
render: {
type: PropType<string | object | Function>;
default: any;
};
font: {
type: PropType<string>;
default: any;
};
format: {
type: PropType<string>;
default: any;
};
opacity: {
type: PropType<number>;
default: any;
};
shared: {
type: PropType<boolean>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: {
type: PropType<string>;
default: any;
};
border: {
type: PropType<TooltipBorder_2>;
default: () => any;
};
padding: {
type: PropType<number | Padding_2>;
default: () => any;
};
color: {
type: PropType<string>;
default: any;
};
render: {
type: PropType<string | object | Function>;
default: any;
};
font: {
type: PropType<string>;
default: any;
};
format: {
type: PropType<string>;
default: any;
};
opacity: {
type: PropType<number>;
default: any;
};
shared: {
type: PropType<boolean>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
color: string;
border: TooltipBorder_2;
background: string;
visible: boolean;
render: string | object | Function;
format: string;
shared: boolean;
padding: any;
opacity: number;
font: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartTooltip component ([see example]({% slug tooltips_chart_charts %})).
 */
export declare interface ChartTooltipProps extends Tooltip {
    render?: object | Function | string;
}

/**
 * @hidden
 */
export declare const ChartValueAxis: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartValueAxisCrosshair: DefineComponent<ExtractPropTypes<    {
color: StringConstructor;
opacity: NumberConstructor;
visible: {
type: BooleanConstructor;
default: boolean;
};
width: NumberConstructor;
tooltip: {
type: ObjectConstructor;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: StringConstructor;
opacity: NumberConstructor;
visible: {
type: BooleanConstructor;
default: boolean;
};
width: NumberConstructor;
tooltip: {
type: ObjectConstructor;
default: () => any;
};
}>> & Readonly<{}>, {
visible: boolean;
tooltip: Record<string, any>;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisCrosshair component.
 */
export declare interface ChartValueAxisCrosshairProps extends ValueAxisCrosshair_2 {
}

/**
 * @hidden
 */
export declare const ChartValueAxisCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisCrosshairTooltip component.
 */
export declare interface ChartValueAxisCrosshairTooltipProps extends ValueAxisCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartValueAxisItem: DefineComponent<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<ValueAxisCrosshair>;
default: any;
};
labels: {
type: PropType<ValueAxisLabels>;
default: any;
};
notes: {
type: PropType<ValueAxisNotes>;
default: any;
};
title: {
type: PropType<ValueAxisTitle>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<ValueAxisCrosshair>;
default: any;
};
labels: {
type: PropType<ValueAxisLabels>;
default: any;
};
notes: {
type: PropType<ValueAxisNotes>;
default: any;
};
title: {
type: PropType<ValueAxisTitle>;
default: any;
};
}>> & Readonly<{}>, {
line: AxisLine_2;
color: string;
background: string;
type: string;
visible: boolean;
reverse: boolean;
name: string;
title: ValueAxisTitle;
crosshair: ValueAxisCrosshair;
labels: ValueAxisLabels;
notes: ValueAxisNotes;
majorGridLines: GridLines_2;
majorTicks: AxisTicks_2;
minorGridLines: GridLines_2;
minorTicks: AxisTicks_2;
narrowRange: boolean;
pane: string;
plotBands: PlotBand_2[];
axisCrossingValue: any;
max: any;
min: any;
majorUnit: number;
minorUnit: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisItem component ([see example]({% slug axes_chart_charts %}#toc-categorical-chart-axes)).
 */
export declare interface ChartValueAxisItemProps extends ValueAxis {
}

/**
 * @hidden
 */
export declare const ChartValueAxisLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: () => any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_2) => Element_2;
margin: any;
padding: any;
content: (e: any) => string;
mirror: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisLabels component ([see example]({% slug labels_chart_charts %}#toc-setting-the-appearance)).
 */
export declare interface ChartValueAxisLabelsProps extends ValueAxisLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartValueAxisNotes: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<ValueAxisNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<ValueAxisNotesLabel_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: () => any;
};
line: {
type: PropType<NoteLine_2>;
default: () => any;
};
position: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<ValueAxisNotesIcon_2>;
default: () => any;
};
label: {
type: PropType<ValueAxisNotesLabel_2>;
default: () => any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: AxisNoteVisualArgs_2) => Element_2;
dataItems: any[];
label: ValueAxisNotesLabel_2;
icon: ValueAxisNotesIcon_2;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartValueAxisNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: () => any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisNotesIcon component.
 */
export declare interface ChartValueAxisNotesIconProps extends ValueAxisNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartValueAxisNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisNotesLabel component.
 */
export declare interface ChartValueAxisNotesLabelProps extends ValueAxisNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisNotes component.
 */
export declare interface ChartValueAxisNotesProps extends ValueAxisNotes_2 {
}

/**
 * @hidden
 */
export declare const ChartValueAxisTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: () => any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: () => any;
};
padding: {
type: PropType<number | Padding_3>;
default: () => any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartValueAxisTitle component.
 */
export declare interface ChartValueAxisTitleProps extends ValueAxisTitle_2 {
}

/**
 * @hidden
 */
export declare const ChartXAxis: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartXAxisCrosshair: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<XAxisCrosshairTooltip_2>;
default: () => any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<XAxisCrosshairTooltip_2>;
default: () => any;
};
}>> & Readonly<{}>, {
visible: boolean;
tooltip: XAxisCrosshairTooltip_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisCrosshair component.
 */
export declare interface ChartXAxisCrosshairProps extends XAxisCrosshair_2 {
}

/**
 * @hidden
 */
export declare const ChartXAxisCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisCrosshairTooltip component.
 */
export declare interface ChartXAxisCrosshairTooltipProps extends XAxisCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartXAxisItem: DefineComponent<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
categories: {
type: PropType<any[]>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
startAngle: {
type: PropType<number>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<XAxisCrosshair>;
default: any;
};
labels: {
type: PropType<XAxisLabels>;
default: any;
};
notes: {
type: PropType<XAxisNotes>;
default: any;
};
title: {
type: PropType<XAxisTitle>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: () => any;
};
background: {
type: PropType<string>;
default: any;
};
categories: {
type: PropType<any[]>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
startAngle: {
type: PropType<number>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<XAxisCrosshair>;
default: any;
};
labels: {
type: PropType<XAxisLabels>;
default: any;
};
notes: {
type: PropType<XAxisNotes>;
default: any;
};
title: {
type: PropType<XAxisTitle>;
default: any;
};
}>> & Readonly<{}>, {
line: AxisLine_2;
color: string;
background: string;
type: string;
visible: boolean;
reverse: boolean;
name: string;
title: XAxisTitle;
crosshair: XAxisCrosshair;
labels: XAxisLabels;
notes: XAxisNotes;
majorGridLines: GridLines_2;
majorTicks: AxisTicks_2;
minorGridLines: GridLines_2;
minorTicks: AxisTicks_2;
narrowRange: boolean;
pane: string;
plotBands: PlotBand_2[];
startAngle: number;
axisCrossingValue: any;
baseUnit: string;
categories: any[];
max: any;
min: any;
majorUnit: number;
minorUnit: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisItem component ([see example]({% slug axes_chart_charts %}#toc-scatter-chart-axes)).
 */
export declare interface ChartXAxisItemProps extends XAxis {
}

/**
 * @hidden
 */
export declare const ChartXAxisLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_2) => Element_2;
margin: any;
padding: any;
content: (e: any) => string;
mirror: boolean;
dateFormats: DateFormats_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisLabels component.
 */
export declare interface ChartXAxisLabelsProps extends XAxisLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartXAxisNotes: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: any;
};
line: {
type: PropType<NoteLine_2>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<XAxisNotesIcon_2>;
default: any;
};
label: {
type: PropType<XAxisNotesLabel_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: any;
};
line: {
type: PropType<NoteLine_2>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<XAxisNotesIcon_2>;
default: any;
};
label: {
type: PropType<XAxisNotesLabel_2>;
default: any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: AxisNoteVisualArgs_2) => Element_2;
dataItems: any[];
label: XAxisNotesLabel_2;
icon: XAxisNotesIcon_2;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartXAxisNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisNotesIcon component.
 */
export declare interface ChartXAxisNotesIconProps extends XAxisNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartXAxisNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisNotesLabel component.
 */
export declare interface ChartXAxisNotesLabelProps extends XAxisNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisNotes component.
 */
export declare interface ChartXAxisNotesProps extends XAxisNotes_2 {
}

/**
 * @hidden
 */
export declare const ChartXAxisTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartXAxisTitle component.
 */
export declare interface ChartXAxisTitleProps extends XAxisTitle_2 {
}

/**
 * @hidden
 */
export declare const ChartYAxis: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartYAxisCrosshair: DefineComponent<ExtractPropTypes<    {
color: PropType<string>;
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<YAxisCrosshairTooltip_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
color: PropType<string>;
opacity: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
width: PropType<number>;
tooltip: {
type: PropType<YAxisCrosshairTooltip_2>;
default: any;
};
}>> & Readonly<{}>, {
visible: boolean;
tooltip: YAxisCrosshairTooltip_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisCrosshair component.
 */
export declare interface ChartYAxisCrosshairProps extends YAxisCrosshair_2 {
}

/**
 * @hidden
 */
export declare const ChartYAxisCrosshairTooltip: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<TooltipBorder_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
format: PropType<string>;
padding: {
type: PropType<number | Padding_3>;
default: any;
};
visible: {
type: PropType<boolean>;
default: boolean;
};
}>> & Readonly<{}>, {
border: TooltipBorder_3;
visible: boolean;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisCrosshairTooltip component.
 */
export declare interface ChartYAxisCrosshairTooltipProps extends YAxisCrosshairTooltip {
}

/**
 * @hidden
 */
export declare const ChartYAxisItem: DefineComponent<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: any;
};
background: {
type: PropType<string>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
categories: {
type: PropType<any[]>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<YAxisCrosshair>;
default: any;
};
labels: {
type: PropType<YAxisLabels>;
default: any;
};
notes: {
type: PropType<YAxisNotes>;
default: any;
};
title: {
type: PropType<YAxisTitle>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
axisCrossingValue: {
type: PropType<any>;
default: any;
};
background: {
type: PropType<string>;
default: any;
};
baseUnit: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
categories: {
type: PropType<any[]>;
default: any;
};
color: {
type: PropType<string>;
default: any;
};
line: {
type: PropType<AxisLine_2>;
default: any;
};
majorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
majorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
majorUnit: {
type: PropType<number>;
default: any;
};
max: {
type: PropType<any>;
default: any;
};
min: {
type: PropType<any>;
default: any;
};
minorGridLines: {
type: PropType<GridLines_2>;
default: any;
};
minorTicks: {
type: PropType<AxisTicks_2>;
default: any;
};
minorUnit: {
type: PropType<number>;
default: any;
};
name: {
type: PropType<string>;
default: any;
};
narrowRange: {
type: PropType<boolean>;
default: any;
};
pane: {
type: PropType<string>;
default: any;
};
plotBands: {
type: PropType<PlotBand_2[]>;
default: any;
};
reverse: {
type: PropType<boolean>;
default: any;
};
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
crosshair: {
type: PropType<YAxisCrosshair>;
default: any;
};
labels: {
type: PropType<YAxisLabels>;
default: any;
};
notes: {
type: PropType<YAxisNotes>;
default: any;
};
title: {
type: PropType<YAxisTitle>;
default: any;
};
}>> & Readonly<{}>, {
line: AxisLine_2;
color: string;
background: string;
type: string;
visible: boolean;
reverse: boolean;
name: string;
title: YAxisTitle;
crosshair: YAxisCrosshair;
labels: YAxisLabels;
notes: YAxisNotes;
majorGridLines: GridLines_2;
majorTicks: AxisTicks_2;
minorGridLines: GridLines_2;
minorTicks: AxisTicks_2;
narrowRange: boolean;
pane: string;
plotBands: PlotBand_2[];
axisCrossingValue: any;
baseUnit: string;
categories: any[];
max: any;
min: any;
majorUnit: number;
minorUnit: number;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisItem component ([see example]({% slug axes_chart_charts %}#toc-scatter-chart-axes)).
 */
export declare interface ChartYAxisItemProps extends YAxis {
}

/**
 * @hidden
 */
export declare const ChartYAxisLabels: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
culture: PropType<string>;
dateFormats: {
type: PropType<DateFormats_2>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
mirror: {
type: PropType<boolean>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
rotation: {
type: PropType<number | "auto" | LabelRotation_2>;
default: any;
};
skip: PropType<number>;
step: PropType<number>;
visible: {
type: PropType<boolean>;
default: boolean;
};
visual: {
type: PropType<(e: AxisLabelVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
rotation: any;
visible: boolean;
visual: (e: AxisLabelVisualArgs_2) => Element_2;
margin: any;
padding: any;
content: (e: any) => string;
mirror: boolean;
dateFormats: DateFormats_2;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisLabels component.
 */
export declare interface ChartYAxisLabelsProps extends YAxisLabels_2 {
}

/**
 * @hidden
 */
export declare const ChartYAxisNotes: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: any;
};
line: {
type: PropType<NoteLine_2>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<YAxisNotesIcon_2>;
default: any;
};
label: {
type: PropType<YAxisNotesLabel_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: PropType<any[]>;
default: any;
};
line: {
type: PropType<NoteLine_2>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visual: {
type: PropType<(e: AxisNoteVisualArgs_2) => Element_2>;
default: any;
};
icon: {
type: PropType<YAxisNotesIcon_2>;
default: any;
};
label: {
type: PropType<YAxisNotesLabel_2>;
default: any;
};
}>> & Readonly<{}>, {
line: NoteLine_2;
visual: (e: AxisNoteVisualArgs_2) => Element_2;
dataItems: any[];
label: YAxisNotesLabel_2;
icon: YAxisNotesIcon_2;
position: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * @hidden
 */
export declare const ChartYAxisNotesIcon: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
size: PropType<number>;
type: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
type: string;
visible: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisNotesIcon component.
 */
export declare interface ChartYAxisNotesIconProps extends YAxisNotesIcon {
}

/**
 * @hidden
 */
export declare const ChartYAxisNotesLabel: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
content: {
type: PropType<(e: any) => string>;
default: any;
};
font: PropType<string>;
format: PropType<string>;
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
visible: {
type: PropType<boolean>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
position: string;
content: (e: any) => string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisNotesLabel component.
 */
export declare interface ChartYAxisNotesLabelProps extends YAxisNotesLabel {
}

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisNotes component.
 */
export declare interface ChartYAxisNotesProps extends YAxisNotes_2 {
}

/**
 * @hidden
 */
export declare const ChartYAxisTitle: DefineComponent<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
background: PropType<string>;
border: {
type: PropType<Border_3>;
default: any;
};
color: PropType<string>;
font: PropType<string>;
margin: {
type: PropType<number | Margin_3>;
default: any;
};
padding: {
type: PropType<number | Padding_3>;
default: any;
};
position: {
type: PropType<string>;
default: any;
validator: (value: string) => any;
};
rotation: PropType<number>;
text: PropType<string>;
visible: {
type: PropType<boolean>;
default: any;
};
visual: {
type: PropType<(e: TitleVisualArgs_2) => Element_2>;
default: any;
};
}>> & Readonly<{}>, {
border: Border_3;
visible: boolean;
visual: (e: TitleVisualArgs_2) => Element_2;
position: string;
margin: any;
padding: any;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartYAxisTitle component.
 */
export declare interface ChartYAxisTitleProps extends YAxisTitle_2 {
}

/**
 * @hidden
 */
export declare const ChartZoomable: DefineComponent<ExtractPropTypes<    {
mousewheel: {
type: (ObjectConstructor | BooleanConstructor)[];
default: any;
};
selection: {
type: (ObjectConstructor | BooleanConstructor)[];
default: any;
};
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
mousewheel: {
type: (ObjectConstructor | BooleanConstructor)[];
default: any;
};
selection: {
type: (ObjectConstructor | BooleanConstructor)[];
default: any;
};
}>> & Readonly<{}>, {
mousewheel: boolean | Record<string, any>;
selection: boolean | Record<string, any>;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue ChartZoomable component.
 */
export declare interface ChartZoomableProps extends Zoomable_2 {
}

/**
 * Converts data objects to Sankey data.
 */
export declare const createSankeyData: typeof createSankeyData_2;

export { CrosshatchPattern }

/**
 * The dash line type.
 *
 * @example
 * ```jsx
 * <template>
 *  <Chart>
 *    <ChartSeries>
 *      <ChartSeriesItem :type="'line'" :data-items="dataItems" :dash-type="'dot'" />
 *    </ChartSeries>
 *  </Chart>
 *  </template>
 * <script>
 * import {
 *  Chart,
 *  ChartSeries,
 *  ChartSeriesItem
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *      Chart,
 *      ChartSeries,
 *      ChartSeriesItem
 *   },
 *   data () {
 *       return {
 *          dataItems: [1, 2, 3]
 *       };
 *   }
 * }
 * </script>
 * ```
 */
declare type DashType = 'dash' | 'dashDot' | 'dot' | 'longDash' | 'longDashDot' | 'longDashDotDot' | 'solid';

/**
 * The format that is used to display the labels when they are dates.
 *
 * The Chart selects the appropriate format for the current `baseUnit`. Setting the `format` option of the labels overrides the date formats.
 */
declare interface DateFormats {
    /**
     * The provided format when the axis `baseUnit` is set to `"milliseconds"`.
     */
    milliseconds?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"seconds"`.
     */
    seconds?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"minutes"`.
     */
    minutes?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"hours"`.
     */
    hours?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"days"`.
     */
    days?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"weeks"`.
     */
    weeks?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"months"`.
     */
    months?: string;
    /**
     * The provided format when the axis `baseUnit` is set to `"years"`.
     */
    years?: string;
}

export { DiagonalStripesPattern }

export { DotsPattern }

/**
 * Configures the drag behavior during the pan and zoom operations.
 */
declare interface DragAction_2 {
    /**
     * Specifies a keyboard key that has to be pressed to activate the gesture.
     */
    key?: ModifierKey;
    /**
     * Specifies an axis that will not be panned or zoomed.
     */
    lock?: LockAxis;
}

/**
 * Arguments for the `dragEnd` event.
 */
export declare class DragEndEvent extends BaseEvent {
    /**
     * A dictionary which contains the range (min and max values) of named axes. The axis name is used as a key.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `drag` event.
 */
declare class DragEvent_2 extends PreventableEvent {
    /**
     * A dictionary which contains the range (min and max values) of named axes. The axis name is used as a key.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}
export { DragEvent_2 as DragEvent }

/**
 * Arguments for the `dragStart` event.
 */
export declare class DragStartEvent extends PreventableEvent {
    /**
     * A dictionary which contains the range (min and max values) of named axes. The axis name is used as a key.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * The appearance settings for the error bar lines.
 */
declare interface ErrorBarLine {
    /**
     * The dash type of the line.
     */
    dashType?: DashType;
    /**
     * The width of the line in pixels.
     */
    width?: number;
}

/**
 * The context for the error bars visual function.
 */
declare interface ErrorBarsVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The high value of the error bar.
     */
    high: number;
    /**
     * The low value of the error bar.
     */
    low: number;
    /**
     * The `options` object of the error bar.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
}

/**
 * The axis options for the Chart events.
 */
export declare interface EventAxisOptions {
    /**
     * The axis name.
     */
    name: string;
}

/**
 * The series options for the Chart events.
 */
export declare interface EventSeriesOptions {
    /**
     * The series index.
     */
    index: number;
    /**
     * The series name.
     */
    name: string;
    /**
     * The series visibility.
     */
    visible: boolean;
}

/**
 * Exports a Chart component as a Drawing `Scene`.
 *
 * @param {Chart} chartComponent - The instance of the Kendo UI for Vue Chart component.
 * @param {any} options - The parameters for the export operation.
 * @returns {Group} - The root Group of the scene.
 */
export declare const exportVisual: (chartComponent: any, options?: any) => Group | undefined;

/**
 * Returns the axis with the specified name.
 *
 * @param {Chart} chartComponent - The instance of the Kendo UI for Vue Chart component.
 * @param {string} name - The axis name.
 * @returns {ChartAxis} - The axis with a corresponding name.
 */
export declare const findAxisByName: (chartComponent: any, name: string) => ChartAxisType | undefined;

/**
 * Returns the pane at the specified index.
 *
 * @param {Chart} chartComponent - The instance of the Kendo UI for Vue Chart component.
 * @param {number} index - The pane index.
 * @returns {ChartPane} - The pane at the specified index.
 */
export declare const findPaneByIndex: (chartComponent: any, index: number) => ChartPaneType | undefined;

/**
 * Returns the pane with the specified name.
 *
 * @param {Chart} chartComponent - The instance of the Kendo UI for Vue Chart component.
 * @param {string} name - The name of the pane.
 * @returns {ChartPane} - The pane with the provided name.
 */
export declare const findPaneByName: (chartComponent: any, name: string) => ChartPaneType | undefined;

export { FocusHighlight }

export { FocusHighlightBorder }

/**
 * The appearance configuration for the major and minor axis grid lines (see the [basic usage example]({% slug api_charts_chartaxisdefaultsprops %})).
 */
declare interface GridLines {
    /**
     * The color of the grid lines. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The dash type of the grid lines.
     */
    dashType?: DashType;
    /**
     * The number of lines to skip at the beginning.
     */
    skip?: number;
    /**
     * The tick-rendering step. Renders every n<sup>th</sup> line, where `n` is the step.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the lines. By default, only the major axis grid lines are visible.
     */
    visible?: boolean;
    /**
     * The width of the lines in pixels.
     */
    width?: number;
}

export { GridPattern }

/**
 * The appearance settings for the highlight line of the Candlestick and OHLC series.
 */
declare interface HighlightLine {
    /**
     * The color of the highlighted line. Accepts a valid CSS color string, including hex and rgb. The default color is computed from the base-point color.
     */
    color?: string;
    /**
     * The dash type of the line.
     */
    dashType?: DashType;
    /**
     * The opacity of the line. By default, the border is opaque (`opacity = 1`).
     */
    opacity?: number;
    /**
     * The width of the line in pixels.
     */
    width?: number;
}

/**
 * The context for the highlight toggle function.
 */
declare interface HighlightToggleArgs {
    /**
     * A function that can be used to prevent the showing of the default highlight overlay.
     */
    preventDefault: () => void;
    /**
     * A Boolean value which indicates whether to show the highlight.
     */
    show: boolean;
    /**
     * The visual element that needs to be highlighted.
     */
    visual: drawing.Element;
    /**
     * The point category.
     */
    category: any;
    /**
     * The point `dataItem`.
     */
    dataItem?: any;
    /**
     * The value of the point.
     */
    value: any;
    /**
     * The series of the point.
     */
    series?: any;
}

/**
 * The context for the point highlight visual function.
 */
declare interface HighlightVisualArgs {
    /**
     * The point category.
     */
    category: any;
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The data item of the point.
     */
    dataItem: any;
    /**
     * The point options.
     */
    options: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked series.
     */
    percentage?: number;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The sum of point values since the last `runningTotal` summary point. Available for the Waterfall series.
     */
    runningTotal?: number;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The series of the point.
     */
    series: any;
    /**
     * The sum of all previous series values. Available for the Waterfall series.
     */
    total?: number;
    /**
     * The value of the point.
     */
    value: any;
}

/**
 * The appearance settings for the label connectors on the Donut and Pie series.
 */
declare interface LabelConnectors {
    /**
     * The color of the connecting line. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The distance between the connector line and the main chart.
     */
    padding?: number;
    /**
     * The width of the connector line in pixels.
     */
    width?: number;
}

/**
 * The rotation configuration for the axis labels.
 */
declare interface LabelRotation {
    /**
     * The alignment of the rotated labels relative to the slot center.
     *
     * The supported values are:
     * * `"end"`
     * * `"center"`
     *
     * By default, the Charts align the closest end of the label to the center. If set to `"center"`, the center of the rotated label will be aligned instead.
     */
    align?: 'end' | 'center';
    /**
     * The rotation angle of the labels. By default, the labels are not rotated. Can be set to `"auto"`. In this case, the labels will be rotated only if the slot size is not sufficient for the entire labels.
     */
    angle?: number | 'auto';
}

/**
 * @hidden
 */
declare interface Legend {
    /**
     * The legend is horizontally aligned when [`legend.position`]({% slug api_charts_chartlegendprops %}#toc-position) is set to `"top"` or `"bottom"`. The legend is vertically aligned when [`legend.position`]({% slug api_charts_chartlegendprops %}#toc-position) is set to `"left"` or `"right"`.
     *
     * The supported values are:
     * - `"start"`&mdash;The legend is aligned to the start.
     * - `"center"`&mdash;The legend is aligned to the center.
     * - `"end"`&mdash;The legend is aligned to the end.
     */
    align?: 'start' | 'center' | 'end' | string;
    /**
     * The background color of the legend. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the legend.
     */
    border?: Border;
    /**
     * The height of the legend when [`legend.orientation`]({% slug api_charts_chartlegendprops %}#toc-orientation) is set to `"vertical"`.
     */
    height?: number;
    /**
     * The label configuration of the Chart legend.
     */
    labels?: LegendLabels_2;
    /**
     * The margin of the Chart legend. A numeric value sets all paddings.
     */
    margin?: Margin | number;
    /**
     * The X offset of the Chart legend. The offset is relative to the default position of the legend. For example, a value of `20` moves the legend 20 pixels to the right of its initial position. Negative values move the legend to the left of its current position.
     */
    offsetX?: number;
    /**
     * The Y offset of the chart legend. The offset is relative to the current position of the legend. For example, a value of `20` moves the legend 20 pixels down from its initial position. Negative values move the legend upwards from its current position.
     */
    offsetY?: number;
    /**
     * The orientation of the legend items.
     *
     * The supported values are:
     * - `"vertical"`&mdash;The legend items are added vertically.
     * - `"horizontal"`&mdash;The legend items are added horizontally.
     */
    orientation?: 'vertical' | 'horizontal' | string;
    /**
     * The padding of the Chart legend. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The positions of the Chart legend.
     *
     * The supported values are:
     * - `"top"`&mdash;The legend is positioned on the top.
     * - `"bottom"`&mdash;The legend is positioned on the bottom.
     * - `"left"`&mdash;The legend is positioned on the left.
     * - `"right"`&mdash;The legend is positioned on the right.
     * - `"custom"`&mdash;The legend is positioned by using [`legend.offsetX`]({% slug api_charts_chartlegendprops %}#toc-offsetx) and [`legend.offsetY`]({% slug api_charts_chartlegendprops %}#toc-offsety).
     */
    position?: 'top' | 'bottom' | 'left' | 'right' | 'custom' | string;
    /**
     * If set to `true`, the legend items are reversed.
     */
    reverse?: boolean;
    /**
     * If set to `true`, the Chart displays the legend ([see example]({% slug legend_chart_charts %}#toc-hiding-the-legend)). By default, the Chart legend is visible.
     */
    visible?: boolean;
    /**
     * The legend width when the [`legend.orientation`]({% slug api_charts_chartlegendprops %}#toc-orientation) is set to `"horizontal"`.
     */
    width?: number;
    /**
     * The configuration of the Chart inactive legend items.
     */
    inactiveItems?: LegendInactiveItems_2;
    /**
     * The configuration of the Chart legend item.
     */
    item?: LegendItem_2;
    /**
     * The distance (in pixels) between the legend items. Defaults to 6.
     */
    spacing?: number;
    /**
     * The title of the Chart legend.
     * By default, the Chart will not render a legend title.
     */
    title?: LegendTitle_2;
    /**
     * The focus highlight configuration options of the Chart legend.
     */
    focusHighlight?: FocusHighlight;
}

/**
 * @hidden
 */
declare interface LegendInactiveItems_2 {
    /**
     * The label configuration of the Chart legend.
     */
    labels?: LegendLabels_2;
}

/**
 * The configuration of the Chart legend item.
 */
declare interface LegendItem_2 {
    /**
     * The cursor style of the legend item.
     */
    cursor?: string;
    /**
     * Sets the type of the legend item.
     * The default value is based on the series type.
     */
    type?: LegendItemType | string;
    /**
     * Sets the configuration of the legend items of type `line`.
     * This is the default legend item type for all line and scatter series.
     */
    line?: LegendItemLine;
    /**
     * Sets the configuration of the legend items of type `area`.
     * By default, all series except line and scatter use this legend type.
     */
    area?: LegendItemArea;
    /**
     * The markers configuration of the legend item.
     * Defaults to the series options.
     */
    markers?: LegendItemMarkers;
    /**
     * The highlight configuration of the legend item.
     */
    highlight?: LegendItemHighlight;
    /**
     * A function for creating a custom visual for the legend items.
     *
     * The available argument fields are:
     * - `options`&mdash;The item options.
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `series`&mdash;The item series.
     * - `pointIndex`&mdash;The index of the point in the series. Available for the Pie, Donut, and Funnel series.
     */
    visual?: (e: LegendItemVisualArgs) => drawing.Element;
}

/**
 * The configuration of the Chart legend items of type `area`.
 * Defaults to the series options.
 */
declare interface LegendItemArea {
    /**
     * The background color of the legend item. Accepts a valid CSS color string, including HEX and RGB.
     * Defaults to the series color.
     */
    background?: string;
    /**
     * The opacity of the legend item.
     * Defaults to the series opacity.
     */
    opacity?: number;
}

/**
 * Arguments for the `legendItemClick` event.
 */
export declare class LegendItemClickEvent extends PreventableEvent {
    /**
     * An object which contains the series options.
     */
    series: EventSeriesOptions;
    /**
     * The index of the series in the parent Chart.
     */
    seriesIndex: number;
    /**
     * The point index in the series. Applicable only to the Pie, Donut, Funnel and Pyramid series.
     */
    pointIndex: number;
    /**
     * The text of the legend item.
     */
    text: string;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
    /**
     * If called, the series visibility is not toggled as a result of clicking the legend item.
     */
    preventDefault(): void;
}

/**
 * The configuration of the Chart legend item highlight state.
 */
declare interface LegendItemHighlight {
    /**
     * If set to `false`, the hover effect of the legend item is disabled.
     */
    visible?: boolean;
    /**
     * The `markers` configuration of the legend item when it is hovered.
     */
    markers?: LegendItemMarkers;
}

/**
 * Arguments for the `legendItemHover` event.
 */
export declare class LegendItemHoverEvent extends PreventableEvent {
    /**
     * An object which contains the series options.
     */
    series: EventSeriesOptions;
    /**
     * The index of the series in the parent Chart.
     */
    seriesIndex: number;
    /**
     * The point index in the series. Applicable only to the Pie, Donut, Funnel and Pyramid series.
     */
    pointIndex: number;
    /**
     * The text of the legend item.
     */
    text: string;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
    /**
     * If called, the series highlight is not shown as a result of hovering over the legend item.
     */
    preventDefault(): void;
}

/**
 * The configuration of the Chart legend item of type `line`.
 * Defaults to the series options.
 */
declare interface LegendItemLine {
    /**
     * The color of the legend item. Accepts a valid CSS color string, including HEX and RGB.
     * Defaults to the series color.
     */
    color?: string;
    /**
     * The opacity of the legend item.
     * Defaults to the series opacity.
     */
    opacity?: number;
    /**
     * The dash type of the legend item.
     * Defaults to the series dash type.
     */
    dashType?: DashType;
}

/**
 * The configuration of the Chart legend item markers.
 */
declare interface LegendItemMarkers extends Omit<SeriesMarkers, 'size' | 'border' | 'rotation' | 'from' | 'to'> {
    /**
     * The border of the markers.
     */
    border?: LegendItemMarkersBorder;
}

/**
 * The configuration of the Chart legend item markers border.
 */
declare interface LegendItemMarkersBorder extends Omit<Border, 'width'> {
}

/**
 * The type of the Chart legend item.
 *
 * - `"line"`&mdash;the legend items are rendered as a line. This is the default value for line charts.
 * - `"area"`&mdash;the legend items are rendered as a filled rectangle. This is the default value for area charts.
 */
declare type LegendItemType = 'line' | 'area';

/**
 * The context for the legend item visual function.
 */
declare interface LegendItemVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The options of the legend item.
     */
    options: any;
    /**
     * The index of the point in the series. Available for the Donut, Pie, and Funnel series.
     */
    pointIndex: any;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The item series.
     */
    series: any;
}

/**
 * The appearance configuration for the legend labels.
 */
declare interface LegendLabels_2 {
    /**
     * The color of the legend label text. Accepts a valid [CSS `color`](https://developer.mozilla.org/en-US/docs/Web/CSS/color) configuration string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the legend label text. Accepts a valid [CSS `font`](https://developer.mozilla.org/en-US/docs/Web/CSS/font) configuration string.
     */
    font?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * A function used to generate the content of each label.
     */
    content?: (e: LegendLabelsContentArgs) => string;
}

/**
 * The context for the legend label content function.
 */
declare interface LegendLabelsContentArgs {
    /**
     * The text of the legend item.
     */
    text: string;
    /**
     * The series configuration object.
     */
    series: any;
    /**
     * The point value of the Donut and Pie charts.
     */
    value?: any;
    /**
     * The point value which is represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     */
    percentage?: number;
}

/**
 * @hidden
 */
declare interface LegendTitle_2 {
    /**
     * The alignment of the title.
     *
     * The available options are:
     * - `"center"`&mdash;The text is aligned to the middle.
     * - `"left"`&mdash;The text is aligned to the left.
     * - `"right"`&mdash;The text is aligned to the right.
     */
    align?: 'center' | 'left' | 'right' | string;
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all margins.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The available options are:
     * - `"bottom"`&mdash;The title is positioned beneath the legend.
     * - `"top"`&mdash;The title is positioned above the legend.
     */
    position?: 'top' | 'bottom' | string;
    /**
     * The text of the title.
     * You can split the text into multiple lines by using the line feed characters ("\n").
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the Legend title. By default, the title is displayed.
     */
    visible?: boolean;
    /**
     * A function for creating a custom visual for the title.
     */
    visual?: (args: TitleVisualArgs) => Element_2;
}

/**
 * The line style of the series.
 *
 * @example
 * ```jsx
 * <template>
 *  <Chart>
 *    <ChartSeries>
 *      <ChartSeriesItem :type="'line'" :data-items="dataItems" :item-style="'smooth'" />
 *    </ChartSeries>
 *  </Chart>
 *  </template>
 * <script>
 * import {
 *  Chart,
 *  ChartSeries,
 *  ChartSeriesItem
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *      Chart,
 *      ChartSeries,
 *      ChartSeriesItem
 *   },
 *   data () {
 *       return {
 *          dataItems: [1, 2, 3]
 *       };
 *   }
 * }
 * </script>
 * ```
 */
declare type LineStyle = 'normal' | 'step' | 'smooth';

/**
 * Specifies an axis for locking during the pan and zoom operations.
 */
declare type LockAxis = 'none' | 'x' | 'y';

/**
 * The margin configuration for each side.
 */
declare interface Margin {
    /**
     * The top margin in pixels.
     */
    top?: number;
    /**
     * The right margin in pixels.
     */
    right?: number;
    /**
     * The bottom margin in pixels.
     */
    bottom?: number;
    /**
     * The left margin in pixels.
     */
    left?: number;
}

/**
 * The context for the markers visual function.
 */
declare interface MarkersVisualArgs {
    /**
     * The point category.
     */
    category: any;
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The point data item.
     */
    dataItem: any;
    /**
     * The marker options.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The point series.
     */
    series: any;
    /**
     * The point value.
     */
    value: any;
}

/**
 * Specifies the marker type.
 *
 * @example
 * ```jsx
 * <template>
 *  <Chart>
 *    <ChartSeries>
 *      <ChartSeriesItem :type="'line'" :data-items="dataItems" :markers="markerType" />
 *    </ChartSeries>
 *  </Chart>
 *  </template>
 * <script>
 * import {
 *  Chart,
 *  ChartSeries,
 *  ChartSeriesItem
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *      Chart,
 *      ChartSeries,
 *      ChartSeriesItem
 *   },
 *   data () {
 *       return {
 *          dataItems: [1, 2, 3],
 *          markerType: { type: "cross" }
 *       };
 *   }
 * }
 * </script>
 * ```
 */
declare type MarkerType = 'square' | 'circle' | 'triangle' | 'cross' | 'rect' | 'roundedRect';

/**
 * Specifies a modifier key.
 */
declare type ModifierKey = 'none' | 'ctrl' | 'shift' | 'alt';

/**
 * Configuration of the mousewheel action for selection.
 */
declare interface MousewheelSelect {
    /**
     * If set to `true`, the option reverses the mousewheel direction. For `"zoom out"`, the regular direction is down. For `"zoom in"`, the regular direction is up.
     */
    reverse?: boolean;
    /**
     * The zoom direction of the selection.
     *
     * The supported values are:
     * * `"both"`&mdash;Zooming expands and contracts the selection on both sides.
     * * `"left"`&mdash;Zooming expands and contracts the selection on the left side only.
     * * `"right"`&mdash;Zooming expands and contracts the selection on the right side only.
     */
    zoom?: 'both' | 'left' | 'right';
}

/**
 * The configuration of the mousewheel action for zooming.
 */
declare interface MousewheelZoom {
    /**
     * Specifies an axis that will not be zoomed.
     */
    lock?: LockAxis;
}

/**
 * @hidden
 */
declare interface Navigator_2 {
    /**
     * The visibility of the navigator.
     */
    visible?: boolean;
    /**
     * The configuration options of the category axis.
     */
    categoryAxis?: CategoryAxis;
    /**
     * The default options of the navigator hint.
     */
    hint?: NavigatorHint_2;
    /**
     * The configuration of the navigator pane.
     */
    pane?: Pane_2;
    /**
     * Specifies the initially selected range. If no range is specified, the full range of values is shown.
     */
    select?: NavigatorSelect_2;
    /**
     * An array of series definitions. Accepts the same options as the root series collection. Omitting the array and specifying a single series is also acceptable.
     */
    series?: Series_2 | Series_2[];
}

/**
 * The arguments for the `navigatorFilter` event.
 */
export declare class NavigatorFilterEvent extends BaseEvent {
    /**
     * The start of the navigator range.
     */
    from: Date;
    /**
     * The end of the navigator range.
     */
    to: Date;
    /**
     * Constructs the event arguments from a raw object.
     */
    constructor(e: any, target: any);
}

/**
 * @hidden
 */
declare interface NavigatorHint_2 {
    /**
     * The function that returns the content of the hint.
     *
     * The available fields in the event argument are:
     * - `from`&mdash;The lower boundary of the selected range.
     * - `to`&mdash;The upper boundary of the selected range.
     */
    content?: (e: any) => string;
    /**
     * The format of the hint.
     */
    format?: string;
    /**
     * The visibility of the hint.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface NavigatorSelect_2 {
    /**
     * The lower boundary of the selected range.
     */
    from?: Date;
    /**
     * The configuration of the mousewheel selection. If set to `false`, the mousewheel does not update the selection.
     */
    mousewheel?: boolean | MousewheelSelect;
    /**
     * The upper boundary of the selected range.
     */
    to?: Date;
}

/**
 * The appearance settings for the negative values in the Bubble series.
 */
declare interface NegativeBubbleValues {
    /**
     * The color of the negative bubble Chart values.
     */
    color?: string;
    /**
     * If set to `true`, the Chart displays the negative bubbles. By default, the negative bubbles are not displayed.
     */
    visible?: boolean;
}

/**
 * Arguments for the `noteClick` event.
 */
export declare class NoteClickEvent extends BaseEvent {
    /**
     * The data point category. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    category: any;
    /**
     * The data item of the point note.
     */
    dataItem: any;
    /**
     * An object which contains the note series options.
     */
    series: EventSeriesOptions;
    /**
     * The note value.
     */
    value: any;
    /**
     * The note visual element.
     */
    visual: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `noteHover` event.
 */
export declare class NoteHoverEvent extends BaseEvent {
    /**
     * The data point category. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    category: any;
    /**
     * The data item of the point note.
     */
    dataItem: any;
    /**
     * An object containing the note series options.
     */
    series: EventSeriesOptions;
    /**
     * The note value.
     */
    value: any;
    /**
     * The note visual element.
     */
    visual: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * The position of a note label.
 *
 * @example
 * ```jsx
 * <template>
 *   <div>
 *     <Chart>
 *       <ChartValueAxis>
 *         <ChartValueAxisItem :max="5" :notes="valueNotes" />
 *       </ChartValueAxis>
 *     </Chart>
 *   </div>
 * </template>
 *
 * <script>
 * import {
 *   Chart,
 *   ChartValueAxis,
 *   ChartValueAxisItem,
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *     Chart,
 *     ChartValueAxis,
 *     ChartValueAxisItem,
 *   },
 *   data: function () {
 *     return {
 *       valueNotes: {
 *         data: [
 *           {
 *             value: 4,
 *             text: 'Max',
 *           },
 *           {
 *             value: 1,
 *             text: 'Min',
 *           },
 *         ],
 *         label: {
 *           position: 'outside',
 *           content: (args) => args.dataItem.text,
 *         },
 *       },
 *     };
 *   },
 * };
 * </script>
 * ```
 */
declare type NoteLabelPosition = 'inside' | 'outside';

/**
 * The appearance settings for the note-connecting line.
 */
declare interface NoteLine {
    /**
     * The color of the note line. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The dash type of the note line.
     */
    dashType?: DashType;
    /**
     * The length of the connecting line in pixels.
     */
    length?: number;
    /**
     * The width of the connecting line in pixels.
     */
    width?: number;
}

/**
 * Specifies the position of a note.
 *
 * @example
 * ```jsx
 *  <template>
 *   <div>
 *     <Chart>
 *       <ChartValueAxis>
 *         <ChartValueAxisItem :notes="valueNotes" />
 *       </ChartValueAxis>
 *     </Chart>
 *   </div>
 * </template>
 *
 * <script>
 * import {
 *   Chart,
 *   ChartValueAxis,
 *   ChartValueAxisItem,
 * } from '@progress/kendo-vue-charts';
 *
 * export default {
 *   components: {
 *     Chart,
 *     ChartValueAxis,
 *     ChartValueAxisItem,
 *   },
 *   data: function () {
 *     return {
 *       valueNotes: {
 *         data: [
 *           {
 *             value: 4,
 *             text: 'Max',
 *           },
 *           {
 *             value: 1,
 *             text: 'Min',
 *           },
 *         ],
 *         position: 'left',
 *       },
 *     };
 *   },
 * };
 * </script>
 * ```
 */
declare type NotePosition = 'top' | 'bottom' | 'left' | 'right';

/**
 * The appearance settings for the overlay of the series elements.
 */
declare interface Overlay {
    /**
     * The gradient of the Chart series.
     *
     * The supported values are:
     * * `"glass"`&mdash;Applicable for the Bar, Column, and Candlestick series.
     * * `"none"`
     * * `"roundedBevel"`&mdash;Applicable for the Donut and Pie series.
     * * `"sharpBevel"`&mdash;Applicable for the Donut and Pie series.
     */
    gradient?: 'glass' | 'none' | 'roundedBevel' | 'sharpBevel';
}

/**
 * The padding configuration for each side (see the [basic usage example]({% slug  api_charts_charttitleprops %})).
 */
declare interface Padding extends Margin {
}

/**
 * @hidden
 */
declare interface Pane_2 {
    /**
     * The background color of the pane. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the pane.
     */
    border?: Border;
    /**
     * Specifies whether the Charts in the pane have to be clipped. By default, all Charts except the Radar and Polar Charts are clipped.
     */
    clip?: boolean;
    /**
     * The height of the pane in pixels.
     */
    height?: number;
    /**
     * The margin of the pane. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The unique name of the pane.
     */
    name?: string;
    /**
     * The padding of the pane. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The title configuration of the pane. To display the title, set the [`panes.title.text`]({% slug api_charts_chartpanetitleprops %}#toc-text) option.
     */
    title?: string | PanesTitle;
}

/**
 * The configuration options of the Chart pane defaults.
 */
declare interface PaneDefaults_2 {
    /**
     * The background color of the pane. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the pane.
     */
    border?: Border;
    /**
     * Specifies whether the Charts in the pane have to be clipped. By default, all Charts except the Radar and Polar Charts are clipped.
     */
    clip?: boolean;
    /**
     * The height of the pane in pixels.
     */
    height?: number;
    /**
     * The margin of the pane. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The unique name of the pane.
     */
    name?: string;
    /**
     * The padding of the pane. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The title configuration of the pane. To display the title, set the [`panes.title.text`]({% slug api_charts_chartpanetitleprops %}#toc-text) option.
     */
    title?: PaneDefaultsTitle;
}

/**
 * The configuration options of the default pane title.
 */
declare interface PaneDefaultsTitle {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: 'left' | 'right' | 'center' | string;
    /**
     * If set to `true`, the Chart displays the pane title. By default, the pane title is visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the title.
     *
     * The available argument fields are:
     *
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The [geometry Rect]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     */
    visual?: (e: any) => drawing.Element;
}

/**
 * @hidden
 */
declare interface PanesTitle {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: 'left' | 'right' | 'center' | string;
    /**
     * The text of the title. You can split the text into multiple lines by using line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the pane title. By default, the pane title is visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the title.
     *
     * The available argument fields are:
     *
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The [geometry Rect]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     */
    visual?: (e: any) => drawing.Element;
}

/**
 * @hidden
 */
declare interface PlotArea {
    /**
     * The background color of the Chart plot area. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the plot area.
     */
    border?: Border;
    /**
     * The margin of the plot area. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The background opacity of the plot area. By default, the background is opaque.
     */
    opacity?: number;
    /**
     * The padding of the plot area. A numeric value sets all paddings. The default padding for the Pie, Donut, Radar, and Polar Charts is proportional of the Chart size.
     */
    padding?: Padding | number;
}

/**
 * Arguments for the `plotAreaClick` event.
 */
export declare class PlotAreaClickEvent extends BaseEvent {
    /**
     * The data point category. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    category: any;
    /**
     * The original browser event that triggered the click action.
     */
    nativeEvent: any;
    /**
     * The data point value. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    value: any;
    /**
     * The X axis value or array of values for multi-axis charts.
     */
    x: any;
    /**
     * The Y axis value or array of values for multi-axis charts.
     */
    y: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `plotAreaHover` event.
 */
export declare class PlotAreaHoverEvent extends BaseEvent {
    /**
     * The data point category. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    category: any;
    /**
     * The original browser event that triggered the click action.
     */
    nativeEvent: any;
    /**
     * The data point value. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    value: any;
    /**
     * The X axis value or array of values for multi-axis charts.
     */
    x: any;
    /**
     * The Y axis value or array of values for multi-axis charts.
     */
    y: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * A plot band ([see example]({% slug plotbands_chart_charts %})).
 */
declare interface PlotBand {
    /**
     * The color of the plot band.
     */
    color?: string;
    /**
     * The start position of the plot band in axis units.
     */
    from?: number | Date;
    /**
     * The opacity of the plot band.
     */
    opacity?: number;
    /**
     * The end position of the plot band in axis units.
     */
    to?: number | Date;
    /**
     * The label configuration of the plot band.
     *
     * To display a label, set the text option.
     *
     * See [Plot Bands - Labels]({% slug plotbands_chart_charts %}#toc-labels) for sample usage.
     */
    label?: PlotBandLabel;
}

/**
 * The appearance configuration for the plot band label.
 */
declare interface PlotBandLabel {
    /**
     * The horizontal alignment of the label text.
     *
     * By default, the label is aligned to the left.
     *
     * The supported values are:
     * - `"center"`&mdash;The label is positioned in the center of the plot band.
     * - `"right"`&mdash;The label is positioned on the right side of the plot band.
     * - `"left"`&mdash;The label is positioned on the left side of the plot band.
     */
    align?: 'center' | 'right' | 'left';
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The color of the plot band label text.
     * Accepts a valid [CSS `color`](https://developer.mozilla.org/en-US/docs/Web/CSS/color)
     * configuration string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the plot band label text.
     * Accepts a valid [CSS `font`](https://developer.mozilla.org/en-US/docs/Web/CSS/font)
     * configuration string.
     */
    font?: string;
    /**
     * The margin of the label. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the label. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The vertical position of the label inside the plot band.
     *
     * By default, the label is aligned to the top.
     *
     * The supported values are:
     * - `"bottom"`&mdash;The label is positioned on the bottom of the plot band.
     * - `"center"`&mdash;The label is positioned in the center of the plot band.
     * - `"top"`&mdash;The label is positioned on the top of the plot band.
     */
    position?: 'bottom' | 'center' | 'top';
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * The text of the label.
     *
     * > The text can be split into multiple lines by using line feed characters ("\n").
     */
    text?: string;
    /**
     * If set to `false`, the will not display the plot band label.
     * By default, the plot band labels are not displayed.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the label.
     *
     * The available argument fields are:
     *
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `sender`&mdash;A reference to the Chart instance.
     */
    visual?: (e: PlotBandLabelVisualArgs) => drawing.Element;
}

/**
 * The context for the function of the plot bands label visual.
 */
declare interface PlotBandLabelVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The label options.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The label text.
     */
    text: string;
}

/**
 * @hidden
 */
declare abstract class PreventableEvent extends BaseEvent {
    private prevented;
    /**
     * Prevents the default action for a specified event. In this way, the source component suppresses the built-in behavior that follows the event.
     */
    preventDefault(): void;
    /**
     * Returns `true` if the event was prevented by any of its subscribers.
     *
     * @returns `true` if the default action was prevented.
     * Otherwise, returns `false`.
     */
    isDefaultPrevented(): boolean;
}

/**
 * Arguments for the `render` event.
 */
export declare class RenderEvent extends BaseEvent {
    /**
     * @hidden
     */
    constructor(_e: any, sender: any);
}

/**
 * @hidden
 */
export declare const Sankey: DefineComponent<ExtractPropTypes<    {
dataNodes: {
type: PropType<SankeyNode[]>;
required: true;
};
dataLinks: {
type: PropType<SankeyLink[]>;
required: true;
};
disableAutoLayout: PropType<boolean>;
disableKeyboardNavigation: PropType<boolean>;
dir: PropType<string>;
labels: PropType<SankeyLabelDefaults>;
legend: PropType<SankeyLegend_2>;
links: PropType<SankeyLinkDefaults>;
nodes: PropType<SankeyNodeDefaults>;
title: PropType<SankeyTitle_2>;
tooltip: PropType<SankeyTooltip_2>;
}>, {}, {
currentTooltip: any;
currentDir: any;
}, {
sankeyClasses(): {
[x: number]: boolean;
"k-chart k-sankey": boolean;
};
}, {
exportVisual(options?: SankeyExportVisualOptions): Group;
destroySankey(): void;
createSankey(): void;
update(): void;
bindEvents(instance: Sankey_2): void;
triggerEvent(e: SankeyEvent_2): void;
sankeyOptions(): {
data: {
nodes: any;
links: any;
};
links: any;
nodes: any;
labels: any;
title: any;
legend: any;
disableAutoLayout: any;
disableKeyboardNavigation: any;
rtl: boolean;
tooltip: any;
};
onTooltipShow(event: SankeyTooltipEvent): void;
onTooltipHide(): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, {
linkclick: any;
linkenter: any;
linkleave: any;
nodeclick: any;
nodeenter: any;
nodeleave: any;
}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataNodes: {
type: PropType<SankeyNode[]>;
required: true;
};
dataLinks: {
type: PropType<SankeyLink[]>;
required: true;
};
disableAutoLayout: PropType<boolean>;
disableKeyboardNavigation: PropType<boolean>;
dir: PropType<string>;
labels: PropType<SankeyLabelDefaults>;
legend: PropType<SankeyLegend_2>;
links: PropType<SankeyLinkDefaults>;
nodes: PropType<SankeyNodeDefaults>;
title: PropType<SankeyTitle_2>;
tooltip: PropType<SankeyTooltip_2>;
}>> & Readonly<{
onLinkclick?: (...args: any[] | unknown[]) => any;
onLinkenter?: (...args: any[] | unknown[]) => any;
onLinkleave?: (...args: any[] | unknown[]) => any;
onNodeclick?: (...args: any[] | unknown[]) => any;
onNodeenter?: (...args: any[] | unknown[]) => any;
onNodeleave?: (...args: any[] | unknown[]) => any;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

export { SankeyData }

/**
 * The Kendo UI for Vue Sankey event object.
 */
export declare interface SankeyEvent extends SankeyEvent_2 {
    /**
     * The `Sankey` component that triggered the event.
     */
    target: typeof Sankey;
}

export { SankeyExportVisualOptions }

export { SankeyLabel }

export { SankeyLabelDefaults }

/**
 * Represents the Sankey legend options.
 */
export declare interface SankeyLegend extends Omit<Legend, 'inactiveItems' | 'item' | 'focusHighlight'> {
    /**
     * The configuration of the legend items.
     */
    item?: SankeyLegendItem;
}

export { SankeyLink }

export { SankeyLinkDataItem }

export { SankeyLinkDefaults }

export { SankeyLinkHighlight }

export { SankeyNode }

export { SankeyNodeDataItem }

export { SankeyNodeDefaults }

export { SankeyOptions }

/**
 * Represents the props of the Kendo UI for Vue [Sankey]({% slug overview_sankey %}) component.
 */
export declare interface SankeyProps {
    /**
     * The data of the Sankey component containing the `nodes` props.
     */
    dataNodes?: SankeyNode[];
    /**
     * The data of the Sankey component containing the `links` props.
     */
    dataLinks?: SankeyLink[];
    /**
     * The `links` default props of the Sankey component.
     * The value will be applied to all links unless overridden by the `links` prop of the `data` prop.
     */
    links?: SankeyLinkDefaults;
    /**
     * The `nodes` default props of the Sankey component.
     * The value will be applied to all nodes unless overridden by the `nodes` prop of the `data` prop.
     */
    nodes?: SankeyNodeDefaults;
    /**
     * The `labels` default props of the Sankey component.
     * The value will be applied to all labels unless overridden by the `nodes` label prop of the `data` prop.
     */
    labels?: SankeyLabelDefaults;
    /**
     * The title configuration of the Sankey component.
     */
    title?: SankeyTitle;
    /**
     * The legend configuration of the Sankey component.
     */
    legend?: SankeyLegend;
    /**
     * The configuration of the Sankey tooltips.
     */
    tooltip?: SankeyTooltip;
    /**
     * If set to `true`, the Sankey component will not perform automatic layout.
     */
    disableAutoLayout?: boolean;
    /**
     * If set to `true`, the Sankey keyboard navigation will be disabled.
     */
    disableKeyboardNavigation?: boolean;
    /**
     * Represents the `dir` HTML attribute.
     */
    dir?: string;
    /**
     * Fires when the mouse pointer enters a node. Similar to the `mouseenter` event.
     */
    onNodeenter?: (event: SankeyEvent) => void;
    /**
     * Fires when the mouse pointer leaves a node. Similar to the `mouseleave` event.
     */
    onNodeleave?: (event: SankeyEvent) => void;
    /**
     * Fires when the mouse pointer enters a link. Similar to the `mouseenter` event,
     */
    onLinkenter?: (event: SankeyEvent) => void;
    /**
     * Fires when the mouse pointer leaves a link. Similar to the `mouseleave` event.
     */
    onLinkleave?: (event: SankeyEvent) => void;
    /**
     * Fires when a node is clicked.
     */
    onNodeclick?: (event: SankeyEvent) => void;
    /**
     * Fires when a link is clicked.
     */
    onLinkclick?: (event: SankeyEvent) => void;
}

/**
 * Represents the Sankey title options.
 */
export declare interface SankeyTitle extends Title {
}

/**
 * Represents the Sankey tooltip configuration.
 */
export declare interface SankeyTooltip extends SankeyTooltip_3, TooltipAppendTo {
    /**
     * Indicates whether the Sankey tooltips will be rendered.
     */
    visible?: boolean;
    /**
     * The distance between the tooltip and the mouse pointer in pixels.
     *
     * @default 12
     */
    offset?: number;
    /**
     * The content component of the Sankey node tooltip. Can be string that is pointing to a namedSlot or a render function;
     */
    nodeContent?: any;
    /**
     * The content component of the Sankey link tooltip. Can be string that is pointing to a namedSlot or a render function;
     */
    linkContent?: any;
}

/**
 * Represents the props of the Sankey tooltip component.
 *
 * @hidden
 */
export declare interface SankeyTooltipProps extends TooltipAppendTo {
    /**
     * The event object of the Sankey tooltip.
     */
    eventData: Pick<SankeyTooltipEvent, 'dataItem' | 'nodeValue' | 'targetType'>;
    /**
     * The distance between the tooltip and the mouse pointer in pixels.
     */
    offset: number;
    /**
     * The `dir` attribute of the Sankey tooltip.
     */
    dir?: string;
    /**
     * The tooltip data of the Sankey component.
     */
    tooltipData: SankeyTooltipEvent['tooltipData'];
    /**
     * The content component of the Sankey node tooltip. Can be string that is pointing to a namedSlot or a render function;
     */
    nodeContent?: any;
    /**
     * The content component of the Sankey link tooltip. Can be string that is pointing to a namedSlot or a render function;
     */
    linkContent?: any;
}

/**
 * Arguments for the `selectEnd` event.
 */
export declare class SelectEndEvent extends BaseEvent {
    /**
     * The target axis options.
     */
    axis: EventAxisOptions;
    /**
     * The lower boundary of the selected range.
     */
    from: any;
    /**
     * The upper boundary of the selected range.
     */
    to: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `select` event.
 */
export declare class SelectEvent extends PreventableEvent {
    /**
     * The target axis options.
     */
    axis: EventAxisOptions;
    /**
     * The lower boundary of the selected range.
     */
    from: any;
    /**
     * The upper boundary of the selected range.
     */
    to: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `selectStart` event.
 */
export declare class SelectStartEvent extends PreventableEvent {
    /**
     * The target axis options.
     */
    axis: EventAxisOptions;
    /**
     * The lower boundary of the selected range.
     */
    from: any;
    /**
     * The upper boundary of the selected range.
     */
    to: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * @hidden
 */
declare interface Series_2 {
    /**
     * If set to true, the Chart automatically scales down to fit the content area. Applicable for the Pie and Donut series.
     */
    autoFit?: boolean;
    /**
     * The aggregate function for the date series ([see example]({% slug axes_chart_charts %}#toc-aggregating-data)). The function is used when a category (year, month, or other) contains two or more points. The Chart displays the return value of the function instead of the individual points.
     *
     * The supported values are:
     * - `"avg"`&mdash;The average of all values for the date period.
     * - `"count"`&mdash;The number of values for the date period.
     * - `"max"`&mdash;The highest value for the date period.
     * - `"min"`&mdash;The lowest value for the date period.
     * - `"sum"`&mdash;The sum of all values for the date period. Defaults to `0` if no data points are defined.
     * - `"sumOrNull"`&mdash;The sum of all values for the date period. Defaults to `null` if no data points are defined.
     * - `"first"`&mdash;The first value.
     * - function (values, series, dataItems, category)&mdash;A user-defined aggregate function. Returns a single value or a data item.
     * - object (compound aggregate)&mdash;Applicable to the Candlestick, Box Plot, and OHLC series. Specifies the aggregate for each data item field.
     */
    aggregate?: any;
    /**
     * The name of the value axis. The axis option is supported for Scatter plots. For more information on Scatter plots, refer to [`xAxis`]({% slug api_charts_chartxaxisitemprops %}) and [`yAxis`]({% slug api_charts_chartyaxisitemprops %}).
     */
    axis?: string;
    /**
     * The border of the Chart series. The border option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"donut"`, `"pie"`, `"bubble"`, `"boxPlot"`, `"candlestick"`, or `"ohlc"`.
     */
    border?: Border;
    /**
     * The name of the category axis that will be used for the series. If no [`categoryAxis`]({% slug api_charts_chartcategoryaxisitemprops %}) is specified, the first axis is used.
     */
    categoryAxis?: string;
    /**
     * The data item field which contains the category name or date. If the category is a date, the points are rendered in chronological order.
     */
    categoryField?: string;
    /**
     * The data field that contains the `close` value. The `closeField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"` or `"ohlc"`.
     */
    closeField?: string;
    /**
     * The series base color.
     *
     * The supported values are:
     * - CSS color string, including hex and rgb.
     * - function (point)&mdash;A user-defined function that is evaluated for each point. Returning `undefined` assumes the default series color.
     */
    color?: any;
    /**
     * The data item field which contains the series color. The `colorField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"rangeBar"`, `"rangeColumn"`, `"bubble"`, `"donut"`, `"pie"`, `"candlestick"`, `"ohlc"`, or `"waterfall"`.
     */
    colorField?: string;
    /**
     * The label connectors options. The connectors option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"` or `"pie"` and [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) is set to `true`.
     */
    connectors?: LabelConnectors;
    /**
     * The data item field which contains the current value. The `currentField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bullet"` or `"verticalBullet"`.
     */
    currentField?: string;
    /**
     * The dash type of line Chart. The `dashType` option is considered only if the [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) option is set to `"line"`.
     *
     * The following dash types are supported:
     * - `"dash"`&mdash;A line consisting of dashes.
     * - `"dashDot"`&mdash;A line consisting of a repeating pattern of dash-dot.
     * - `"dot"`&mdash;A line consisting of dots.
     * - `"longDash"`&mdash;A line consisting of a repeating pattern of long-dash.
     * - `"longDashDot"`&mdash;A line consisting of a repeating pattern of long-dash-dot.
     * - `"longDashDotDot"`&mdash;A line consisting of a repeating pattern of long-dash-dot-dot.
     * - `"solid"`&mdash;A solid line.
     */
    dashType?: DashType | string;
    /**
     * The array of data items which represent the series data.
     *
     * You can set it to:
     * - Array of objects. Each point is bound to the field specified through the [`series.field`]({% slug api_charts_chartseriesitemprops %}#toc-field) option.
     * - Array of numbers. Supported when the [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) option is set to `"area"`, `"bar"`, `"column"`, `"donut"`, `"pie"`, `"line"`, or `"waterfall"`.
     * - Array of arrays of numbers. Supported when the [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) option is set to `"bubble"`, `"scatter"`, `"scatterLine"`, `"ohlc"`, `"polar"`, `"rangeBar"`, or `"rangeArea"`.
     *
     * The Bubble series need arrays of three values&mdash;X value, Y value, and Size value&mdash;for example, `[1, 1, 10]`. The Scatter and ScatterLine series need arrays of two values&mdash;X value and Y value. The OHLC and Candlestick series need arrays of four values&mdash;open, high, low, and close. The RangeBar and RangeArea series need arrays of two values&mdash;the from and to value.
     */
    dataItems?: any[];
    /**
     * The series color when the open value is greater than the close value. The `downColor` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"`.
     */
    downColor?: string;
    /**
     * The data field which contains the color that is applied when the `open` value is greater than the `close` value. The `downColorField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"`.
     */
    downColorField?: string;
    /**
     * The `dynamicHeight` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"funnel"` or `"pyramid"`. When set to `false`, all segments become with the same height. Otherwise, the height of each segment is based on its value.
     */
    dynamicHeight?: boolean;
    /**
     * The `dynamicSlope` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"funnel"`. When set to `true`, the ratio of the bases of each segment is calculated based on the ratio of `currentDataItem.value`/`nextDataItem.value`. The last element is always created like a rectangle since there is no following element.
     */
    dynamicSlope?: boolean;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) high value ([see example]({% slug errorbars_chart_charts %}#toc-categorical-charts)). The `errorHighField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, or `"area"`.
     */
    errorHighField?: string;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) low value ([see example]({% slug errorbars_chart_charts %}#toc-categorical-charts)). The `errorLowField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, or `"area"`.
     */
    errorLowField?: string;
    /**
     * The data item field which contains a Boolean value indicating whether the sector is exploded. The `explodeField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"` or `"pie"`.
     */
    explodeField?: string;
    /**
     * The data item field which contains the series value.
     */
    field?: string;
    /**
     * The name of the parent series of the trendline.
     *
     * The `for` option is supported  when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to
     * "`linearTrendline`", "`exponentialTrendline`", "`logarithmicTrendline`", "`powerTrendline`", "`polynomialTrendline`" or "`movingAverageTrendline`".
     */
    for?: string;
    /**
     * The data item field which contains the series from value.
     */
    fromField?: string;
    /**
     * The distance between the categories expressed as a percentage of the bar width. See the related spacing setting. The `gap` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"candlestick"`, `"ohlc"`, `"radarColumn"`, or `"waterfall"`.
     */
    gap?: number;
    /**
     * The data field which contains the high value. The `highField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"` or `"ohlc"`.
     */
    highField?: string;
    /**
     * The diameter of the donut hole in pixels. The `holeSize` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"`.
     */
    holeSize?: number;
    /**
     * The Chart line configuration options. The line option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"area"`, `"candlestick"`, `"ohlc"`, or `"waterfall"`.
     */
    line?: SeriesLine;
    /**
     * The data field containing the low value. The `lowField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"` or `"ohlc"`.
     */
    lowField?: string;
    /**
     * The data item field which contains the series lower value.
     */
    lowerField?: string;
    /**
     * The margin around each donut series (ring). A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The maximum size of the Chart bubble series marker.
     */
    maxSize?: number;
    /**
     * The data item field which contains the series mean value.
     */
    meanField?: string;
    /**
     * The data item field which contains the series median value.
     */
    medianField?: string;
    /**
     * The minimum size of the Chart bubble series marker.
     */
    minSize?: number;
    /**
     * The behavior for handling missing values. The `missingValues` option is available when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"area"`, `"rangeArea"`, `"line"`, `"scatterLine"`, `"radarLine"`, `"radarArea"`, `"polarLine"`, or `"polarArea"`.
     *
     * The supported values are:
     * - `"gap"`&mdash;The plot stops before the missing point and continues after it.
     * - `"interpolate"`&mdash;The value is interpolated from neighboring points. Represents the default value for all series except for the `"area"` and stacked series. Area and stacked series default to `"zero"`.
     * - `"zero"`&mdash;The value is assumed to be zero.
     */
    missingValues?: 'gap' | 'interpolate' | 'zero' | string;
    /**
     * The name of the Chart series which is visible in the legend.
     */
    name?: string;
    /**
     * Specifies the top-base/bottom-base ratio of the whole Funnel Chart. If the `neckRatio` is set to `3`, it means the top base is three times smaller than the bottom base. The `neckRatio` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"funnel"` and `dynamicSlope` is set to `false`.
     */
    neckRatio?: number;
    /**
     * The color to use for the Bar, Column, or Waterfall series with negative values. Accepts a valid CSS color string, including hex and rgb.
     */
    negativeColor?: string;
    /**
     * The options for displaying the Chart negative bubble values.
     */
    negativeValues?: NegativeBubbleValues;
    /**
     * The data item field which contains the series note text ([see example]({% slug notes_chart_charts %}#toc-series-notes)).
     */
    noteTextField?: string;
    /**
     * The opacity of the series. By default, the series are opaque.
     */
    opacity?: number;
    /**
     * The data field which contains the open value. The `openField` option is available when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"` or `"ohlc"`.
     */
    openField?: string;
    /**
     * The data item field which contains the series outliers value.
     */
    outliersField?: string;
    /**
     * The overlay options of the Chart series.
     */
    overlay?: Overlay;
    /**
     * The padding around the Chart (equal on all sides). The padding option is available when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"` or `"pie"`.
     */
    padding?: number;
    /**
     * The data item field which contains the series `q1` value.
     */
    q1Field?: string;
    /**
     * The data item field which contains the series `q3` value.
     */
    q3Field?: string;
    /**
     * The space in pixels between the different segments of the Funnel or Pyramid Chart. The `segmentSpacing` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"funnel"` or `"pyramid"`.
     */
    segmentSpacing?: number;
    /**
     * The radius of the Chart Donut series in pixels. If not set, the available space is split evenly between the series.
     */
    size?: number;
    /**
     * The data field which contains the bubble size value.
     */
    sizeField?: string;
    /**
     * The distance between series points within a category. Expressed as a percentage of the bar width. See the related `gap` setting. The spacing option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"candlestick"`, `"ohlc"`, or `"radarColumn"`.
     */
    spacing?: number;
    /**
     * A Boolean value which indicates if the series have to be stacked. A string value is interpreted as [`series.stack.group`]({% slug api_charts_seriesstack %}#toc-group).
     *
     * The `stack` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, `"area"`, `"verticalLine"`, `"verticalArea"`, `"radarLine"`, `"radarArea"`, and `"radarColumn"`. If not overridden, the stack settings of the first series are inherited as a default value by the rest of the series.
     */
    stack?: boolean | string | SeriesStack;
    /**
     * The start angle (in degrees) of the first Donut or Pie segment. Angles increase clockwise with zero to the left. Negative values are acceptable.
     */
    startAngle?: number;
    /**
     * The `lineStyle` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"line"`, `"scatterLine"`, `"radarLine"`, or `"polarLine"`.
     *
     * The supported values are:
     * - `"normal"` (default)&mdash;The values are connected with a straight line.
     * - `"step"`&mdash;The values are connected with a right-angled line.
     * Only available when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"line"`.
     * - `"smooth"`&mdash;The values are connected with a smooth line.
     * Not supported for stacked area series with missing values.
     */
    lineStyle?: LineStyle | string;
    /**
     * The data item field which contains the summary type for the Waterfall series. The value (if any) of a data item marked as a summary point will be discarded.
     *
     * Summary columns are optional and can be one of two types:
     * - `"runningTotal"`&mdash;Displays the sum of all items since the last `"runningTotal"` point.
     * - `"total"`&mdash;Displays the sum of all previous items.
     */
    summaryField?: string;
    /**
     * The configuration options of the target. The `target` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bullet"` or `"verticalBullet"`.
     */
    target?: BulletTarget;
    /**
     * The data item field which contains the series to value.
     */
    toField?: string;
    /**
     * The type of the series.
     *
     * The supported values are:
     * - `area`
     * - `bar`
     * - `boxPlot`
     * - `bubble`
     * - `bullet`
     * - `candlestick`
     * - `column`
     * - `donut`
     * - `exponentialTrendline`
     * - `funnel`
     * - `pyramid`
     * - `heatmap`
     * - `horizontalWaterfall`
     * - `line`
     * - `linearTrendline`
     * - `logarithmicTrendline`
     * - `movingAverageTrendline`
     * - `ohlc`
     * - `pie`
     * - `polarArea`
     * - `polarLine`
     * - `polarScatter`
     * - `polynomialTrendline`
     * - `powerTrendline`
     * - `radarArea`
     * - `radarColumn`
     * - `radarLine`
     * - `rangeArea`
     * - `rangeBar`
     * - `rangeColumn`
     * - `scatter`
     * - `scatterLine`
     * - `verticalArea`
     * - `verticalBoxPlot`
     * - `verticalBullet`
     * - `verticalLine`
     * - `verticalRangeArea`
     * - `waterfall`
     */
    type?: SeriesType | string;
    /**
     * The data item field which contains the series upper value.
     */
    upperField?: string;
    /**
     * Sets the visible property of a Chart series.
     */
    visible?: boolean;
    /**
     * A value which indicates whether to show the point category (for Funnel, Pyramid, Donut, and Pie series) or the series name (for other available series types) in the legend.
     */
    visibleInLegend?: boolean;
    /**
     * The data item field which indicates whether to show the point category name in the legend. The `visibleInLegendField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"funnel"`, `"pyramid"`, `"donut"`, or `"pie"`.
     */
    visibleInLegendField?: string;
    /**
     * A function that can be used to create a custom visual for the points. Applicable for the Bar, Column, Pie, Donut, Funnel, Pyramid, Range Bar, Range Column, and Waterfall series.
     *
     * The available argument fields are:
     *
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The point options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `category`&mdash;The point category.
     * - `dataItem`&mdash;The point `dataItem`.
     * - `value`&mdash;The point value.
     * - `stackValue`&mdash;The cumulative point value on the stack. Available only for the stackable series.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The point series.
     * - `percentage`&mdash;The point value represented as a percentage value. Available only for the Donut, Pie, and 100% Stacked Charts.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     * - `radius`&mdash;The segment radius. Available for the Donut and Pie series.
     * - `innerRadius`&mdash;The segment inner radius. Available for the Donut series.
     * - `startAngle`&mdash;The segment start angle. Available for the Donut and Pie series.
     * - `endAngle`&mdash;The segment end angle. Available for the Donut and Pie series.
     * - `center`&mdash;The segment center point. Available for the Donut and Pie series.
     * - `points`&mdash;The segment points. Available for the Funnel and Pyramid series.
     */
    visual?: (e: SeriesVisualArgs) => drawing.Element;
    /**
     * The line width. The `width` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"line"`, `"scatterLine"`, `"radarLine"`, or `"polarLine"`.
     */
    width?: number;
    /**
     * The name of the X axis. The [`xAxis`]({% slug api_charts_chartxaxisitemprops %}) option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bubble"`, `"scatter"`, `"scatterLine"`, or `"polar"` series. For the Polar series, the [`xAxis`]({% slug api_charts_chartxaxisitemprops %}) range is expressed in degrees.
     */
    xAxis?: string;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) xAxis high value ([see example]({% slug errorbars_chart_charts %}#toc-scatter-charts)). The `xErrorHighField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"``, `"scatterLine"`, or `"bubble"`.
     */
    xErrorHighField?: string;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) xAxis low value ([see example]({% slug errorbars_chart_charts %}#toc-scatter-charts)). The `xErrorLowField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    xErrorLowField?: string;
    /**
     * The data item field containing the x value. The `xField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bubble"`, `"scatter"`, `"scatterLine"`, or `"polar"` series.
     */
    xField?: string;
    /**
     * The name of the Y axis to use. Available for the Bubble, Scatter, Scatter Line, and Polar series.
     */
    yAxis?: string;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) yAxis high value ([see example]({% slug errorbars_chart_charts %}#toc-scatter-charts)). The `yErrorHighField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    yErrorHighField?: string;
    /**
     * The data item field which contains the [`series.errorBars`]({% slug api_charts_chartseriesitemprops %}#toc-errorbars) yAxis low value ([see example]({% slug errorbars_chart_charts %}#toc-scatter-charts)). The `yErrorLowField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    yErrorLowField?: string;
    /**
     * The data item field containing the y value. The `yField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bubble"`, `"scatter"`, or `"scatterLine"`.
     */
    yField?: string;
    /**
     * An optional Z-index that can be used to change the default stacking order of series. The series with the highest Z-index are placed on top. Series with no Z-index use the default stacking order based on the series type. For example, Line series will be on top with the Bar and Area following after.
     */
    zIndex?: number;
    /**
     * The error bars of the Chart series. The `errorBars` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, `"area"`, `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    errorBars?: SeriesErrorBars;
    /**
     * The configuration of the Chart series extremes. Applies to extreme outliers. For more information, refer to [`series.outliers`]({% slug api_charts_chartseriesitemprops %}#toc-outliers).
     */
    extremes?: SeriesExtremes;
    /**
     * The configuration of the Chart series highlight.
     */
    highlight?: SeriesHighlight;
    /**
     * The configuration of the Chart series label. The Chart displays the series labels when the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) option is set to `true`.
     */
    labels?: SeriesLabels;
    /**
     * The configuration of the Chart series marker. The Chart displays the series labels when the [`series.markers.visible`]({% slug api_charts_chartseriesmarkersprops %}#toc-visible) option is set to `true`. The markers option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"area"`, `"rangeArea"`, `"line"`, `"scatter"`, `"scatterLine"`, `"radarLine"`, `"radarArea"`, `"polarLine"`, `"polarScatter"`, or `"polarArea"`.
     */
    markers?: SeriesMarkers;
    /**
     * The configuration of the Chart legend item.
     * By default, the Legend item type and markers are inherited from the series.
     */
    legendItem?: LegendItem_2;
    /**
     * The configuration of the series notes.
     */
    notes?: SeriesNotes;
    /**
     * The configuration of the Chart series outliers. Applies to mild outliers. For more information, refer to [`series.extremes`]({% slug api_charts_chartseriesitemprops %}#toc-extremes).
     */
    outliers?: SeriesOutliers;
    /**
     * The configuration options of the Chart series tooltip.
     */
    tooltip?: SeriesTooltip;
    /**
     * The configuration options of the series trendlines.
     *
     * The `trendline` option is supported  when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to
     * "`linearTrendline`", "`exponentialTrendline`", "`logarithmicTrendline`", "`powerTrendline`", "`polynomialTrendline`" or "`movingAverageTrendline`".
     */
    trendline?: SeriesTrendline;
    /**
     * The configuration options of the series pattern.
     */
    pattern?: SeriesPattern | ((point: any) => SeriesPattern);
    /**
     * The data item field which contains the series pattern.
     * The `patternField` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"pie"`, `"donut"`, `"funnel"`, `"heatmap"`, or `"pyramid"`.
     */
    patternField?: string;
}

/**
 * Arguments for the `seriesClick` event.
 */
export declare class SeriesClickEvent extends BaseEvent {
    /**
     * The data point category.
     */
    category: any;
    /**
     * The original data item.
     */
    dataItem: any;
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     */
    percentage: number;
    /**
     * The clicked series point.
     */
    point: SeriesPointType;
    /**
     * The clicked point series options.
     */
    series: EventSeriesOptions;
    /**
     * The cumulative point value on the stack. Available only for the stackable series.
     */
    stackValue: number;
    /**
     * The data point value.
     */
    value: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * @hidden
 */
declare interface SeriesDefaults_2 {
    /**
     * The border of the series.
     */
    border?: Border;
    /**
     * The distance between category clusters.
     */
    gap?: number;
    /**
     * The Chart series overlay options.
     */
    overlay?: Overlay | string;
    /**
     * The space between the Chart series as a proportion of the series width. The `spacing` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"candlestick"`, `"ohlc"`, and `"waterfall"`.
     */
    spacing?: number;
    /**
     * A Boolean value which indicates if the series has to be stacked. The stack option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, `"area"`, `"verticalLine"`, `"verticalArea"`, `"radarLine"`, `"radarArea"`, and `"radarColumn"`.
     */
    stack?: boolean | string | SeriesStack;
    /**
     * The default type of the series.
     *
     * The supported values are:
     * - `area`
     * - `bar`
     * - `bubble`
     * - `bullet`
     * - `candlestick`
     * - `column`
     * - `donut`
     * - `funnel`
     * - `pyramid`
     * - `line`
     * - `ohlc`
     * - `pie`
     * - `polarArea`
     * - `polarLine`
     * - `polarScatter`
     * - `radarArea`
     * - `radarColumn`
     * - `radarLine`
     * - `rangeArea`
     * - `rangeBar`
     * - `rangeColumn`
     * - `scatter`
     * - `scatterLine`
     * - `waterfall`
     * - `verticalArea`
     * - `verticalBullet`
     * - `verticalLine`
     * - `verticalRangeArea`
     * - `waterfall`
     */
    type?: SeriesType | string;
    /**
     * A function for creating custom visuals for the points. Applicable for the Bar and Column series.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The point options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `category`&mdash;The point category.
     * - `dataItem`&mdash;The point `dataItem`.
     * - `value`&mdash;The point value.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The point series.
     */
    visual?: (e: SeriesVisualArgs) => drawing.Element;
    /**
     * The label configuration of the Chart series. The Chart displays the series labels when the [`seriesDefaults.labels.visible`]({% slug api_charts_chartseriesdefaultslabelsprops %}#toc-visible) option is set to `true`.
     */
    labels?: SeriesDefaultsLabels;
    /**
     * The `seriesDefaults` notes configuration.
     */
    notes?: SeriesDefaultsNotes;
    /**
     * The configuration options of the Chart series tooltip.
     */
    tooltip?: SeriesDefaultsTooltip;
    /**
     * The focus highlight configuration options.
     */
    focusHighlight?: FocusHighlight;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsLabels {
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the Chart series labels content. You can split the text into multiple lines by using line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Funnel, Pyramid, Line, and Pie series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available for the Donut, Funnel, Pyramid and Pie series.
     * - `series`&mdash;The data series.
     * - `value`&mdash;The point value. Can be a number or object containing each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     */
    content?: (e: any) => string;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format of the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the labels. A numeric value sets all margins.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the series labels. By default, the Chart series labels are not displayed.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the labels.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     */
    visual?: (e: SeriesLabelsVisualArgs) => drawing.Element;
    /**
     * The Chart series `from` label configuration. The Chart displays the series labels when either the [`seriesDefaults.labels.visible`]({% slug api_charts_chartseriesdefaultslabelsprops %}#toc-visible) or the [`seriesDefaults.labels.from.visible`]({% slug api_charts_chartseriesdefaultslabelsfromprops %}#toc-visible) option is set to `true`.
     */
    from?: SeriesDefaultsLabelsFrom;
    /**
     * The Chart series `to` label configuration. The Chart displays the series labels when either the [`seriesDefaults.labels.visible`]({% slug api_charts_chartseriesdefaultslabelsprops %}#toc-visible) or the [`seriesDefaults.labels.to.visible`]({% slug api_charts_chartseriesdefaultslabelstoprops %}#toc-visible) option is set to `true`.
     */
    to?: SeriesDefaultsLabelsTo;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsLabelsFrom {
    /**
     * The background color of the `from` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the `from` labels.
     */
    border?: Border;
    /**
     * The text color of the `from` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the `from` label content of the Chart series. You can split the text into multiple lines by using line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Funnel, Pyramid, Line, and Pie series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available for the Donut, Funnel, Pyramid, and Pie series.
     * - `series`&mdash;The data series.
     * - `value`&mdash;The point value. Can be a number or object which contain each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     */
    content?: (e: any) => string;
    /**
     * The font style of the from labels.
     */
    font?: string;
    /**
     * The format of the `from` labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) of IntlService.
     */
    format?: string;
    /**
     * The margin of the `from` labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the `from` labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the series `from` labels. By default, the Chart series from labels are not displayed.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsLabelsTo {
    /**
     * The background color of `to` lables. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of `to` labels.
     */
    border?: Border;
    /**
     * The text color of `to` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the `from` label content of the Chart series. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Funnel, Pyramid, Line, and Pie series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available for the Donut, Funnel, Pyramid and Pie series.
     * - `series`&mdash;The data series.
     * - `value`&mdash;The point value. Can be a number or object containing each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     */
    content?: (e: any) => string;
    /**
     * The font style of the `to` labels.
     */
    font?: string;
    /**
     * The format of the `to` labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     */
    format?: string;
    /**
     * The margin of the `to` labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the `to` labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the `to` labels of the series. By default, the `to` labels of the Chart series are not displayed.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsNotes {
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * A function for creating a custom visual for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `category`&mdash;The category of the note point.
     * - `dataItem`&mdash;The `dataItem` of the note point.
     * - `value`&mdash;The value of the note point.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The series of the note point.
     * - `text`&mdash;The note text.
     */
    visual?: (e: SeriesNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: SeriesDefaultsNotesIcon;
    /**
     * The label of the notes.
     */
    label?: SeriesDefaultsNotesLabel;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The shape of the notes icon.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field which defines the point value. You can split the text into multiple lines by using line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format for displaying the notes label. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the axis value.
     */
    format?: string;
    /**
     * The position of the labels.
     *
     * The available options are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the [`seriesDefaults`]({% slug api_charts_chartseriesdefaultsprops %}) notes label. By default, the [`seriesDefaults`]({% slug api_charts_chartseriesdefaultsprops %}) notes label is visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesDefaultsTooltip {
    /**
     * The background color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border configuration options.
     */
    border?: Border;
    /**
     * The text color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The tooltip font.
     */
    font?: string;
    /**
     * The format of the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     *
     * The available format placeholders are:
     * - Area, Bar, Column, Funnel, Line, and Pie: {0} - value.
     * - Bubble: {0} - x value{1} - y value{2} - size value{3} - category name.
     * - Scatter and Scatter Line: {0} - x value, {1} - y value.
     * - Candlestick and OHLC: {0} - open value, {1} - high value, {2} - low value, {3} - close value, {4} - category name.
     * - RangeArea, rangeBar, rangeColumn: {0} - from value, {1} - to value.
     */
    format?: string;
    /**
     * The padding of the tooltip. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the series tooltip. By default, the series tooltip is not displayed.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesErrorBars {
    /**
     * The color of the error bars. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * If set to `false`, the caps of the error bars are not displayed. By default, the caps are visible.
     */
    endCaps?: boolean;
    /**
     * The error bars line options.
     */
    line?: ErrorBarLine;
    /**
     * The error bars value ([see example]({% slug errorbars_chart_charts %}#toc-calculating-values-based-on-data)). The value option is supported when [series.type]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bar"`, `"column"`, `"line"`, or `"area"`.
     *
     * The following value types are supported:
     * - `"stderr"`&mdash;The standard error of the series values will be used to calculate the point low and high values.
     * - `"stddev(n)"`&mdash;The standard deviation of the series values will be used to calculate the point low and high values. Between the parentheses, a number can be specified that will be multiplied by the calculated standard deviation.
     * - `"percentage(n)"`&mdash;A percentage of the point value.
     * - A number that will be subtracted or added to the point value.
     * - An array that holds the low and high difference from the point value.
     * - A function that returns the `errorBars` point value.
     */
    value?: string;
    /**
     * A function that for creating custom visuals for the error bars.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The error bar options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `low`&mdash;The error bar low value.
     * - `high`&mdash;The error bar high value.
     * - `sender`&mdash;The Chart instance.
     */
    visual?: (e: ErrorBarsVisualArgs) => drawing.Element;
    /**
     * The value of the [`xAxis`]({% slug api_charts_chartxaxisitemprops %}) error bars ([see example]({% slug errorbars_chart_charts %}#toc-calculating-values-based-on-data)).
     *
     * For a list of the supported value types, refer to the [`series.errorBars.value`]({% slug api_charts_chartserieserrorbarsprops %}#toc-value) option. The `xValue` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    xValue?: string;
    /**
     * The value of the [`yAxis`]({% slug api_charts_chartyaxisitemprops %}) error bars ([see example]({% slug errorbars_chart_charts %}#toc-calculating-values-based-on-data)).
     *
     * For a list of supported value types, refer to the [`series.errorBars.value`]({% slug api_charts_chartserieserrorbarsprops %}#toc-value) option. The `yValue` option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"scatter"`, `"scatterLine"`, or `"bubble"`.
     */
    yValue?: string;
}

/**
 * @hidden
 */
declare interface SeriesExtremes {
    /**
     * The background color of the series extremes.
     */
    background?: string;
    /**
     * The border of the extremes.
     */
    border?: Border;
    /**
     * The rotation angle of the extremes.
     */
    rotation?: number;
    /**
     * The extremes size in pixels.
     */
    size?: number;
    /**
     * The shape of the series extremes.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
}

/**
 * @hidden
 */
declare interface SeriesHighlight {
    /**
     * The border of the highlighted Chart series.
     *
     * The color is computed automatically from the base point color. The border option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"`, `"bubble"`, `"pie"`, `"candlestick"`, or `"ohlc"`.
     */
    border?: Border;
    /**
     * The highlight color. Accepts a valid CSS color string, including hex and rgb. The color option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"` or `"pie"`.
     */
    color?: string;
    /**
     * The line of the highlighted Chart series. The color is computed automatically from the base point color. The line option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"candlestick"` or `"ohlc"`.
     */
    line?: HighlightLine;
    /**
     * The opacity of the highlighted points. The opacity option is supported when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"bubble"`, `"pie"`, or `"donut"`.
     */
    opacity?: number;
    /**
     * A function for handling the toggling of the points highlight.
     *
     * The available argument fields are:
     * - `preventDefault`&mdash;A function that can be used to prevent the showing of the default highlight overlay.
     * - `show`&mdash;A Boolean value indicating whether the highlight has to be shown.
     * - `visual`&mdash;The visual element that needs to be highlighted.
     * - `category`&mdash;The point category.
     * - `dataItem`&mdash;The point `dataItem`.
     * - `value`&mdash;The point value.
     * - `series`&mdash;The point series.
     */
    toggle?: (e: HighlightToggleArgs) => void;
    /**
     * If set to `true`, the Chart highlights the series when the user hovers over it with the mouse. By default, the highlighting of the Chart series is enabled.
     */
    visible?: boolean;
    /**
     * A function for setting custom visuals for the point highlights.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function that can be used to get the default highlight visual.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `visual`&mdash;The visual element that needs to be highlighted.
     * - `options`&mdash;The point options.
     * - `category`&mdash;The point category.
     * - `dataItem`&mdash;The point `dataItem`.
     * - `value`&mdash;The point value.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The point series.
     * - `stackValue`&mdash;The cumulative point value on the stack. Available only for the stackable series.
     * - `percentage`&mdash;The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     * - `from`&mdash;The `from` point highlight visual options. Available for the RangeArea and VerticalRangeArea series.
     * - `to`&mdash;The `to` point highlight visual options. Available for the RangeArea and VerticalRangeArea series.
     */
    visual?: (e: HighlightVisualArgs) => drawing.Element;
}

/**
 * Arguments for the `seriesHover` event.
 */
export declare class SeriesHoverEvent extends PreventableEvent {
    /**
     * The data point category.
     */
    category: any;
    /**
     * A list of all points that are in the same category. Each item has the same fields&mdash;`value`, `series`, `dataItem`, and other.
     */
    categoryPoints: any[];
    /**
     * The original data item.
     */
    dataItem: any;
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     */
    percentage: number;
    /**
     * The hovered series point.
     */
    point: SeriesPointType;
    /**
     * The hovered point series options.
     */
    series: EventSeriesOptions;
    /**
     * The cumulative point value on the stack. Available only for the stackable series.
     */
    stackValue: number;
    /**
     * The data point value.
     */
    value: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * @hidden
 */
declare interface SeriesLabels {
    /**
     * The alignment of the label when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"`, `"funnel"`, `"pyramid"` or `"pie"`.
     *
     * The supported values  for `"donut"` and `"pie"` are:
     * - `"circle"`&mdash;The labels are positioned in circle around the Chart.
     * - `"column"`&mdash;The labels are positioned in columns to the left and right of the Chart.
     *
     * The supported values for `"funnel"` and `"pyramid"` are:
     * - `"center"`&mdash;The labels are positioned in the center over the funnel segment.
     * - `"right"`&mdash;The labels are positioned on the right side of the Chart and, if there is enough space, do not overlap the funnel segments.
     * - `"left"`&mdash;The labels are positioned on the left side of the Chart and, if there is enough space, do not overlap the funnel segments.
     */
    align?: 'circle' | 'column' | 'center' | 'right' | 'left' | string;
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the Chart series label content. You can split the text into multiple lines by using line feed characters (`"\n"`).
     *
     * The fields available in the function argument are:
     *
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Line, Pie, and Waterfall series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     * - `series`&mdash;The data series.
     * - `stackValue`&mdash;The cumulative point value on the stack. Available only for the stackable series.
     * - `value`&mdash;The point value. Can be a number or object containing each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     */
    content?: (e: any) => string;
    /**
     * The distance between the labels when [`series.type`]({% slug api_charts_chartseriesitemprops %}#toc-type) is set to `"donut"` or `"pie"`.
     */
    distance?: number;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format of the labels. Uses the format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the labels. A numeric value sets all paddings. Bar and Column series always apply full padding and ignore this setting.
     */
    padding?: Padding | number;
    /**
     * The position of the labels.
     */
    position?: SeriesLabelsPosition | string;
    /**
     * If set to `true`, the Chart displays the series labels. By default, the Chart series labels are not displayed.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the labels.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     */
    visual?: (e: SeriesLabelsVisualArgs) => drawing.Element;
    /**
     * The `from` label configuration of the Chart series. The Chart displays the series from labels when either the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) or the [`series.labels.from.visible`]({% slug api_charts_chartseriesdefaultslabelsfromprops %}#toc-visible) option is set to `true`.
     */
    from?: SeriesLabelsFrom;
    /**
     * The `to` label configuration of the Chart series. The Chart displays the series to labels when either the [`series.labels.visible`]({% slug api_charts_chartserieslabelsprops %}#toc-visible) or the [`series.labels.to.visible`]({% slug api_charts_chartserieslabelstoprops %}#toc-visible) option is set to `true`.
     */
    to?: SeriesLabelsTo;
}

/**
 * @hidden
 */
declare interface SeriesLabelsFrom {
    /**
     * The background color of the `from` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the `from` labels.
     */
    border?: Border;
    /**
     * The text color of the `from` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the Chart series `from` label content.
     *
     * The fields available in the function argument are:
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Line, Pie, and Waterfall series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     * - `series`&mdash;The data series.
     * - `value`&mdash;The point value. Can be a number or object containing each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     *
     * The text can be split into multiple lines by using the line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the `from` labels.
     */
    font?: string;
    /**
     * The format of the `from` labels. Uses the IntlService [`format`]({% slug api_intl_intlservice %}#toc-format) method.
     */
    format?: string;
    /**
     * The margin of the `from` labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the `from` labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the `from` labels.
     *
     * The supported values are:
     * - `"center"`&mdash;The label is positioned at the point center.
     * - `"insideBase"`&mdash;The label is positioned inside, near the base of the bar.
     * - `"insideEnd"`&mdash;The label is positioned inside, near the end of the point.
     * - `"outsideEnd"`&mdash;The label is positioned outside, near the end of the point.
     * - `"above"`&mdash;the label is positioned at the top of the marker. Applicable for `"rangeArea"` and `"verticalRangeArea"` series.
     * - `"below"`&mdash;the label is positioned at the bottom of the marker. Applicable for `"rangeArea"` and `"verticalRangeArea"` series.
     * - `"left"`&mdash;the label is positioned to the left of the marker. Applicable for `"rangeArea"` and `"verticalRangeArea"` series.
     * - `"right"`&mdash;the label is positioned to the right of the marker. Applicable for `"rangeArea"` and `"verticalRangeArea"` series.
     */
    position?: 'center' | 'insideBase' | 'insideEnd' | 'outsideEnd' | string;
    /**
     * If set to `true`, the Chart displays the series `from` labels. By default, the Chart series `from` labels are not displayed.
     */
    visible?: boolean;
}

/**
 * Configures the position of the series labels.
 *
 * - `"above"`&mdash;The label is positioned at the top of the marker. Applicable for series that render points, including the Bubble series.
 * - `"below"`&mdash;The label is positioned at the bottom of the marker. Applicable for series that render points, including the Bubble series.
 * - `"center"`&mdash;The label is positioned at the point center. Applicable for the Bar, Column, Donut, Pie, Funnel, Pyramid, RadarColumn, and Waterfall series.
 * - `"insideBase"`&mdash;The label is positioned inside, near the base of the bar. Applicable for the Bar, Column, and Waterfall series.
 * - `"insideEnd"`&mdash;The label is positioned inside, near the end of the point. Applicable for the Bar, Column, Donut, Pie, RadarColumn, and Waterfall series.
 * - `"left"`&mdash;The label is positioned to the left of the marker. Applicable for series that render points, including the Bubble series.
 * - `"outsideEnd"`&mdash;The label is positioned outside, near the end of the point. Applicable for the Bar, Column, Donut, Pie, RadarColumn, and Waterfall series. Not applicable for stacked series.
 * - `"right"`&mdash;The label is positioned to the right of the marker. Applicable for series that render points, including the Bubble series.
 * - `"top"`&mdash;The label is positioned at the top of the segment. Applicable for the Funnel and Pyramid series.
 * - `"bottom"`&mdash;The label is positioned at the bottom of the segment. Applicable for the Funnel and Pyramid series.
 * - `"auto"`&mdash;The from and to labels are positioned at the top or bottom (for the RangeArea series), or to the left or right (for the VerticalRangeArea series), so that they are outside the filled area. Applicable for the RangeArea and VerticalRangeArea series.
 */
declare type SeriesLabelsPosition = 'auto' | 'above' | 'below' | 'center' | 'insideBase' | 'insideEnd' | 'left' | 'outsideEnd' | 'right' | 'top' | 'bottom';

/**
 * @hidden
 */
declare interface SeriesLabelsTo {
    /**
     * The background color of the `to` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the `to` labels.
     */
    border?: Border;
    /**
     * The text color of the `to` labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the Chart series `to` label content. You can split the text into multiple lines by using line feed characters (`"\n"`).
     *
     * The fields available in the function argument are:
     * - `category`&mdash;The category name. Available for the Area, Bar, Column, Bubble, Donut, Line, Pie, and Waterfall series.
     * - `dataItem`&mdash;The original data item used to construct the point. If binding to an array, it will be `null`.
     * - `percentage`&mdash;The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     * - `series`&mdash;The data series.
     * - `value`&mdash;The point value. Can be a number or object containing each bound field.
     * - `runningTotal`&mdash;The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     * - `total`&mdash;The sum of all previous series values. Available for the Waterfall series.
     */
    content?: (e: any) => string;
    /**
     * The font style of the `to` labels.
     */
    font?: string;
    /**
     * The format of the `to` labels. Uses [IntlService format]({% slug api_intl_intlservice %}#toc-format).
     */
    format?: string;
    /**
     * The margin of the `to` labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the `to` labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the `to` labels.
     *
     * The available options are:
     * - `"center"`&mdash;The label is positioned at the point center.
     * - `"insideBase"`&mdash;The label is positioned inside, near the base of the bar.
     * - `"insideEnd"`&mdash;The label is positioned inside, near the end of the point.
     * - `"outsideEnd"`&mdash;The label is positioned outside, near the end of the point.
     * - `"above"`&mdash;The label is positioned at the top of the marker. Applicable for the RangeArea and VerticalRangeArea series.
     * - `"below"`&mdash;The label is positioned at the bottom of the marker. Applicable for the RangeArea and VerticalRangeArea series.
     * - `"left"`&mdash;The label is positioned to the left of the marker. Applicable for the RangeArea and VerticalRangeArea series.
     * - `"right"`&mdash;The label is positioned to the right of the marker. Applicable for the RangeArea and VerticalRangeArea series.
     */
    position?: 'center' | 'insideBase' | 'insideEnd' | 'outsideEnd' | string;
    /**
     * If set to `true`, the Chart displays the series `to` labels. By default, the Chart series `to` labels are not displayed.
     */
    visible?: boolean;
}

/**
 * The context for the series label visual function.
 */
declare interface SeriesLabelsVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The options of the label.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The text of the label.
     */
    text: string;
}

/**
 * The appearance settings for the line of the Area, Candlestick, OHLC, and Waterfall series.
 */
declare interface SeriesLine {
    /**
     * The color of the line. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The line opacity. By default, the line is opaque (`opacity = 1`).
     */
    opacity?: number;
    /**
     * The drawing style of the line. Applicable for the Area, Range Area, Polar Area, and Radar Area series.
     *
     * The supported values are:
     * * `"normal" (default)`&mdash;The values are connected with a straight line.
     * * `"step"`&mdash;The values are connected with a right-angled line. Supported only for the Area and Range Area series.
     * * `"smooth"`&mdash;The values are connected with a smooth line.
     */
    style?: LineStyle;
    /**
     * The line width in pixels.
     * By default, the width is set to `0` and the line is not visible.
     */
    width?: number;
}

/**
 * @hidden
 */
declare interface SeriesMarkers {
    /**
     * The background color of the series markers.
     */
    background?: string;
    /**
     * The border of the markers.
     */
    border?: Border;
    /**
     * The rotation angle of the markers.
     */
    rotation?: number;
    /**
     * The marker size in pixels.
     */
    size?: number;
    /**
     * The shape of the series markers.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     * * `"rect"`&mdash;An alias for "square".
     * * `"roundedRect"`&mdash;The marker shape is a rounded rectangle.
     */
    type?: MarkerType | string;
    /**
     * If set to `true`, the Chart displays the series markers. By default, the Chart series markers are displayed.
     */
    visible?: boolean;
    /**
     * A function for creating a custom visual for the markers.
     *
     * The available argument fields are:
     * - `rect`&mdash;The [geometry Rect]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `options`&mdash;The marker options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `category`&mdash;The category of the marker point.
     * - `dataItem`&mdash;The `dataItem` of the marker point.
     * - `value`&mdash;The value of the marker point.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The series of the marker point.
     */
    visual?: (e: MarkersVisualArgs) => drawing.Element;
    /**
     * The Chart series marker configuration for the `from` point. Supported for the RangeArea and VerticalRangeArea series.
     */
    from?: SeriesMarkers;
    /**
     * The Chart series marker configuration for the `to` point. Supported for the RangeArea and VerticalRangeArea series.
     */
    to?: SeriesMarkers;
}

/**
 * @hidden
 */
declare interface SeriesNotes {
    /**
     * The line of the series notes.
     */
    line?: NoteLine;
    /**
     * The position of the series note.
     *
     * The available options are:
     * - `"top"`&mdash;The note is positioned on the top.
     * - `"bottom"`&mdash;The note is positioned on the bottom.
     * - `"left"`&mdash;The note is positioned on the left.
     * - `"right"`&mdash;The note is positioned on the right.
     */
    position?: NotePosition | string;
    /**
     * A function for creating a custom visual for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `category`&mdash;The category of the note point.
     * - `dataItem`&mdash;The `dataItem` of the note point.
     * - `value`&mdash;The value of the note point.
     * - `sender`&mdash;The Chart instance.
     * - `series`&mdash;The series of the note point.
     * - `text`&mdash;The note text.
     */
    visual?: (e: SeriesNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: SeriesNotesIcon;
    /**
     * The label of the notes.
     */
    label?: SeriesNotesLabel;
}

/**
 * @hidden
 */
declare interface SeriesNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The icon shape.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface SeriesNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field which defines the point value. You can split the text into multiple lines by using line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format for displaying the notes label. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the axis value.
     */
    format?: string;
    /**
     * The position of the labels.
     *
     * The available options are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the series notes label. By default, the series notes label is visible.
     */
    visible?: boolean;
}

/**
 * The context for the point highlight visual function.
 */
declare interface SeriesNoteVisualArgs {
    /**
     * The point category.
     */
    category: any;
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The point data item.
     */
    dataItem: any;
    /**
     * The options of the note.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The point series.
     */
    series: any;
    /**
     * The value of the point.
     */
    value: string;
    /**
     * The text of the note.
     */
    text: string;
}

/**
 * @hidden
 */
declare interface SeriesOutliers {
    /**
     * The background color of the series outliers.
     */
    background?: string;
    /**
     * The border of the outliers.
     */
    border?: Border;
    /**
     * The rotation angle of the outliers.
     */
    rotation?: number;
    /**
     * The marker size in pixels.
     */
    size?: number;
    /**
     * The outliers shape.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
}

export { SeriesPattern }

/**
 * A series point.
 */
export declare interface SeriesPointType {
    /**
     * The point category value. Available only for the Categorical points (Bar, Line, and other).
     */
    category?: string | Date | number;
    /**
     * The point `dataItem`.
     */
    dataItem?: any;
    /**
     * The point options.
     */
    options?: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% Stacked chart points.
     */
    percentage?: number;
    /**
     * The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series points.
     */
    runningTotal?: number;
    /**
     * The sum of all previous series values. Available for the Waterfall series points.
     */
    total?: number;
    /**
     * The point value.
     */
    value?: any;
    /**
     * The Drawing element used to draw the point.
     */
    visual?: drawing.Element;
}

/**
 * Configures the Stacked series.
 */
declare interface SeriesStack {
    /**
     * The optional stack group name. The `group` option is supported for the Bar and Column series.
     */
    group?: string;
    /**
     * The type of stack to plot.
     *
     * The supported types are:
     * * `"normal"`&mdash;The value of the stack is the sum of all points in the category (or group).
     * * `"100%"`&mdash;The value of the stack is always 100% (1.00). Points within the category (or group) are represented in percentage.
     */
    type?: 'normal' | '100%';
}

/**
 * @hidden
 */
declare interface SeriesTooltip {
    /**
     * The background color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border configuration options.
     */
    border?: Border;
    /**
     * The text color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the tooltip.
     */
    font?: string;
    /**
     * The format of the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     *
     * The available format placeholders are:
     * - Area, Bar, Column, Line, Funnel, Pyramid, Pie, radarArea, radarColumn and radarLine: {0} - value.
     * - Bubble: {0} - x value, {1} - y value, {2} - size value, {3} - category name.
     * - Scatter, scatterLine: {0} - x value, {1} - y value.
     * - PolarArea, polarLine and polarScatterL: {0} - x value (degrees), {1} - y value.
     * - Candlestick and OHLC: {0} - open value, {1} - high value, {2} - low value, {3} - close value, {4} - category name.
     * - RangeArea, rangeBar, rangeColumn: {0} - from value, {1} - to value.
     */
    format?: string;
    /**
     * The padding of the tooltip. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays the series tooltip. By default, the series tooltip is not displayed.
     */
    visible?: boolean;
}

/**
 * The configuration options of the series trendlines.
 */
declare interface SeriesTrendline {
    /**
     * The trendline forecast settings. By default, the trendline does not display a forecast.
     *
     * The forecast setting is supported for Linear Trendlines on date and scatter series.
     */
    forecast?: TrendlineForecast;
    /**
     * The number of intervals to take when calculating averages. The value should be an integer greater than 2.
     *
     * The period setting is supported only for Moving Average trendlines.
     */
    period?: number;
    /**
     * The order (degree) of the Polynomial trendline. The default value is 2.
     *
     * Accepted values are from 2 to 6:
     * * 2: a Quadratic polynomial trendline with a single extreme point (minimum or maximum) point.
     * * 3: a Cubic polynomial trendline with up to 2 extreme points.
     * * 4: a polynomial trendline of 4th degree with up to 3 extreme points.
     * * 5: a polynomial trendline of 5th degree with up to 4 extreme points.
     * * 6: a polynomial trendline of 6th degree with up to 5 extreme points.
     *
     */
    order?: number;
}

/**
 * The series type.
 *
 * The supported values are:
 * - `"area"`&mdash;Displays the data as continuous lines that show trends over time, evenly distributed along the category field.
 * - `"bar"`&mdash;Displays the data as sets of horizontal bars that show the relationship between individual items and the whole category.
 * - `"boxPlot"`&mdash;Displays the data as a box-and-whisker diagram, which shows the distribution of values in a series.
 * - `"bubble"`&mdash;Displays the data as bubbles, where each bubble represents a value from the series data.
 * - `"bullet"`&mdash;Displays the data as vertical bars that show the performance measure, and markers that show the comparative measure.
 * - `"candlestick"`&mdash;Displays the data as candlesticks, which show the open, close, high, and low values of a series.
 * - `"column"`&mdash;Displays the data as sets of vertical bars that show the relationship between individual items and the whole category.
 * - `"donut"`&mdash;Displays the data as a series of rings that are sliced depending on the value.
 * - `"exponentialTrendline"`&mdash;Displays an exponential [trendline]({% slug trendlines_chart_charts %}#toc-exponential-trendline) for the specified parent series.
 * - `"funnel"`&mdash;Displays the data as a funnel, which is useful for sales data visualization.
 * - `"heatmap"`&mdash;Displays the data as a heatmap, which is useful for comparing values in a matrix.
 * - `"horizontalWaterfall"`&mdash;Displays the data as a horizontal waterfall chart, which is useful for comparing positive and negative values over a period.
 * - `"line"`&mdash;Displays the data as continuous lines that connect data points evenly distributed along the category field.
 * - `"linearTrendline"`&mdash;Displays a linear [trendline]({% slug trendlines_chart_charts %}#toc-linear-trendline) for the specified parent series.
 * - `"logarithmicTrendline"`&mdash;Displays a logarithmic [trendline]({% slug trendlines_chart_charts %}#toc-logarithmic-trendline) for the specified parent series.
 * - `"movingAverageTrendline"`&mdash;Displays a moving average [trendline]({% slug trendlines_chart_charts %}#toc-moving-average-trendline) for the specified parent series.
 * - `"ohlc"`&mdash;Displays the data as OHLC (open-high-low-close) bars, which show the open, high, low, and close values of a series.
 * - `"pie"`&mdash;Displays the data as a series of pie slices, which show the contribution of each value to a total.
 * - `"polarArea"`&mdash;Displays the data as a series of polar area segments, which show the contribution of each value to a total.
 * - `"polarLine"`&mdash;Displays the data as continuous lines that connect data points evenly distributed along the category field.
 * - `"polarScatter"`&mdash;Displays the data as points distributed in a polar coordinate system.
 * - `"polynomialTrendline"`&mdash;Displays a polynomial [trendline]({% slug trendlines_chart_charts %}#toc-polynomial-trendline) for the specified parent series.
 * - `"powerTrendline"`&mdash;Displays a power [trendline]({% slug trendlines_chart_charts %}#toc-power-trendline) for the specified parent series.
 * - `"pyramid"`&mdash;Displays the data as a pyramid divided in segments proportional to each value.
 * - `"radarArea"`&mdash;Displays the data as a series of radar area segments, which show the contribution of each value to a total.
 * - `"radarColumn"`&mdash;Displays the data as sets of vertical bars that show the relationship between individual items and the whole category.
 * - `"radarLine"`&mdash;Displays the data as continuous lines that connect data points evenly distributed along the category field.
 * - `"rangeArea"`&mdash;Displays the data as a series of range area segments, which show the contribution of each value to a total.
 * - `"rangeBar"`&mdash;Displays the data as sets of horizontal bars that show the relationship between individual items and the whole category.
 * - `"rangeColumn"`&mdash;Displays the data as sets of vertical bars that show the relationship between individual items and the whole category.
 * - `"scatter"`&mdash;Displays the data as points that show the relationship between two variables.
 * - `"scatterLine"`&mdash;Displays the data as continuous lines that connect data points evenly distributed along the category field.
 * - `"verticalArea"`&mdash;Displays the data as continuous lines that show trends over time, evenly distributed along the category field.
 * - `"verticalBoxPlot"`&mdash;Displays the data as a box-and-whisker diagram, which shows the distribution of values in a series.
 * - `"verticalBullet"`&mdash;Displays the data as vertical bars that show the performance measure, and markers that show the comparative measure.
 * - `"verticalLine"`&mdash;Displays the data as continuous lines that connect data points evenly distributed along the category field.
 * - `"verticalRangeArea"`&mdash;Displays the data as a series of range area segments, which show the contribution of each value to a total.
 * - `"waterfall"`&mdash;Displays the data as a waterfall chart, which is useful for comparing positive and negative values over a period.
 *
 * @example
 * ```jsx
 * <template>
 *   <Chart>
 *     <ChartSeries>
 *       <ChartSeriesItem
 *         :type="'line'"
 *         :data-items="dataItems"
 *         :type="seriesType"
 *       />
 *     </ChartSeries>
 *   </Chart>
 * </template>
 * <script>
 * import {
 *   Chart,
 *   ChartSeries,
 *   ChartSeriesItem,
 * } from '@progress/kendo-vue-charts';
 * export default {
 *   components: {
 *     Chart,
 *     ChartSeries,
 *     ChartSeriesItem,
 *   },
 *   data() {
 *     return {
 *       dataItems: [1, 2, 3],
 *       seriesType: 'verticalLine',
 *     };
 *   },
 * };
 * </script>
 * ```
 */
declare type SeriesType = 'area' | 'bar' | 'boxPlot' | 'bubble' | 'bullet' | 'candlestick' | 'column' | 'donut' | 'exponentialTrendline' | 'funnel' | 'pyramid' | 'heatmap' | 'horizontalWaterfall' | 'line' | 'linearTrendline' | 'logarithmicTrendline' | 'movingAverageTrendline' | 'ohlc' | 'pie' | 'polarArea' | 'polarLine' | 'polarScatter' | 'polynomialTrendline' | 'powerTrendline' | 'radarArea' | 'radarColumn' | 'radarLine' | 'rangeArea' | 'rangeBar' | 'rangeColumn' | 'scatter' | 'scatterLine' | 'verticalArea' | 'verticalBoxPlot' | 'verticalBullet' | 'verticalLine' | 'verticalRangeArea' | 'waterfall';

/**
 * The context for the series point visual function.
 */
declare interface SeriesVisualArgs {
    /**
     * The point category.
     */
    category: any;
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The center point of the segment.
     * Available for the Donut and Pie series.
     */
    center?: geometry.Point;
    /**
     * The point data item.
     */
    dataItem: any;
    /**
     * The end angle of the segment. Available for the Donut and Pie series.
     */
    endAngle?: number;
    /**
     * The inner radius of the segment. Available for the Donut and Pie series.
     */
    innerRadius?: number;
    /**
     * The point options.
     */
    options: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% stacked charts.
     */
    percentage?: number;
    /**
     * The segment points. Available for the Donut and Pie series.
     */
    points?: geometry.Point[];
    /**
     * The segment radius. Available for the Donut and Pie series.
     */
    radius?: number;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The sum of point values since the last `runningTotal` summary point. Available for the Waterfall series.
     */
    runningTotal?: number;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The point series.
     */
    series: any;
    /**
     * The start angle of the segment. Available for the Donut and Pie series.
     */
    startAngle?: number;
    /**
     * The sum of all previous series values. Available for the Waterfall series.
     */
    total?: number;
    /**
     * The point value.
     */
    value: any;
}

export declare interface SharedTooltipContext {
    categoryText?: string;
    colorMarker?: boolean;
    colspan: number;
    nameColumn?: boolean;
    points: Array<TooltipPoint>;
}

/**
 * @hidden
 */
export declare const Sparkline: DefineComponent<ExtractPropTypes<    {
dataItems: {
type: ArrayConstructor;
default: () => any;
};
type: StringConstructor;
dir: StringConstructor;
renderAs: {
type: StringConstructor;
default: any;
validator: (value: string) => any;
};
pannable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
zoomable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
seriesColors: {
type: ArrayConstructor;
default: () => any;
};
transitions: {
type: BooleanConstructor;
default: boolean;
};
paneDefaults: {
type: ObjectConstructor;
default: () => any;
};
panes: {
type: ArrayConstructor;
default: () => any;
};
seriesDefaults: {
type: ObjectConstructor;
default: () => any;
};
axisDefaults: {
type: ObjectConstructor;
default: () => any;
};
}>, {}, {}, {}, {
chartInstance(): any;
surface(): Surface | null;
element(): HTMLDivElement | null;
getTarget(): any;
deriveOptionsFromParent(options: any): any;
handleBaseChartEvents(name: string, options: any): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
dataItems: {
type: ArrayConstructor;
default: () => any;
};
type: StringConstructor;
dir: StringConstructor;
renderAs: {
type: StringConstructor;
default: any;
validator: (value: string) => any;
};
pannable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
zoomable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
seriesColors: {
type: ArrayConstructor;
default: () => any;
};
transitions: {
type: BooleanConstructor;
default: boolean;
};
paneDefaults: {
type: ObjectConstructor;
default: () => any;
};
panes: {
type: ArrayConstructor;
default: () => any;
};
seriesDefaults: {
type: ObjectConstructor;
default: () => any;
};
axisDefaults: {
type: ObjectConstructor;
default: () => any;
};
}>> & Readonly<{}>, {
dataItems: unknown[];
renderAs: string;
pannable: boolean | Record<string, any>;
zoomable: boolean | Record<string, any>;
seriesColors: unknown[];
transitions: boolean;
paneDefaults: Record<string, any>;
panes: unknown[];
seriesDefaults: Record<string, any>;
axisDefaults: Record<string, any>;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue Native Sparkline component.
 */
export declare interface SparklineProps extends BaseChartProps {
    /**
     * The data for the default Sparkline series. Discarded if series are supplied.
     */
    dataItems?: any;
    /**
     * The data for the default Sparkline series. Discarded if series are supplied.
     */
    type?: string;
}

/**
 * @hidden
 */
export declare const StockChart: DefineComponent<ExtractPropTypes<    {
partialRedraw: {
type: BooleanConstructor;
default: any;
};
dir: StringConstructor;
renderAs: {
type: StringConstructor;
default: any;
validator: (value: string) => any;
};
pannable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
zoomable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
seriesColors: {
type: ArrayConstructor;
default: () => any;
};
transitions: {
type: BooleanConstructor;
default: boolean;
};
paneDefaults: {
type: ObjectConstructor;
default: () => any;
};
panes: {
type: ArrayConstructor;
default: () => any;
};
seriesDefaults: {
type: ObjectConstructor;
default: () => any;
};
axisDefaults: {
type: ObjectConstructor;
default: () => any;
};
}>, {}, {}, {}, {
chartInstance(): any;
surface(): Surface | null;
element(): HTMLDivElement | null;
getTarget(): any;
deriveOptionsFromParent(options: any): any;
onRefresh(chartOptions: any, themeOptions: any, chartInstance: any): void;
handleBaseChartEvents(name: string, options: any): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
partialRedraw: {
type: BooleanConstructor;
default: any;
};
dir: StringConstructor;
renderAs: {
type: StringConstructor;
default: any;
validator: (value: string) => any;
};
pannable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
zoomable: {
type: (ObjectConstructor | BooleanConstructor)[];
default: () => any;
};
seriesColors: {
type: ArrayConstructor;
default: () => any;
};
transitions: {
type: BooleanConstructor;
default: boolean;
};
paneDefaults: {
type: ObjectConstructor;
default: () => any;
};
panes: {
type: ArrayConstructor;
default: () => any;
};
seriesDefaults: {
type: ObjectConstructor;
default: () => any;
};
axisDefaults: {
type: ObjectConstructor;
default: () => any;
};
}>> & Readonly<{}>, {
renderAs: string;
pannable: boolean | Record<string, any>;
zoomable: boolean | Record<string, any>;
seriesColors: unknown[];
transitions: boolean;
paneDefaults: Record<string, any>;
panes: unknown[];
seriesDefaults: Record<string, any>;
axisDefaults: Record<string, any>;
partialRedraw: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

/**
 * Represents the props of the Kendo UI for Vue Native StockChart component.
 */
export declare interface StockChartProps extends BaseChartProps {
    /**
     * Specifies whether the StockChart will perform full or partial redraw upon re-render. The partial redraw is required when the `onNavigatorFilter` event is handled and the data for the main panes is limited to a specific set. The default value is `false`.
     */
    partialRedraw?: boolean;
    /**
     * Fires when the navigator range is changed.
     */
    onNavigatorfilter?: (event: NavigatorFilterEvent) => void;
}

/**
 * @hidden
 */
declare interface Title {
    /**
     * The alignment of the title.
     *
     * The available options are:
     * - `"center"`&mdash;The text is aligned to the middle.
     * - `"left"`&mdash;The text is aligned to the left.
     * - `"right"`&mdash;The text is aligned to the right.
     */
    align?: 'center' | 'left' | 'right' | string;
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the series.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all margins.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The available options are:
     * - `"bottom"`&mdash;The title is positioned on the bottom.
     * - `"top"`&mdash;The title is positioned on the top.
     */
    position?: 'top' | 'bottom' | string;
    /**
     * The text of the chart title. You can also set the text directly for a title with default options. You can split the text into multiple lines by using the line feed characters ("\n").
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the title. By default, the title is displayed.
     */
    visible?: boolean;
}

/**
 * The context for the title visual function.
 */
declare interface TitleVisualArgs {
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The title options.
     */
    options: any;
    /**
     * The rectangle that defines the normal position of the visual.
     */
    rect: geometry.Rect;
    /**
     * The instance of the Chart component.
     */
    sender: Object;
    /**
     * The text of the title.
     */
    text: string;
}

/**
 * @hidden
 */
declare interface Tooltip {
    /**
     * The background color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border configuration options.
     */
    border?: TooltipBorder;
    /**
     * The text color of the tooltip. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font of the tooltip.
     */
    font?: string;
    /**
     * The format of the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService.
     *
     * The available format placeholders are:
     * - Area, Bar, Column, Funnel, Pyramid, Line, and Pie: {0} - value.
     * - Bubble: {0} - x value, {1} - y value, {2} - size value, {3} - category name.
     * - Scatter and scatterLine: {0} - x value, {1} - y value.
     * - Candlestick and OHLC: {0} - open value, {1} - high value, {2} - low value, {3} - close value, {4} - category name.
     */
    format?: string;
    /**
     * The opacity of the tooltip.
     */
    opacity?: number;
    /**
     * The padding of the tooltip. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * If set to `true`, the Chart displays a single tooltip for every category ([see example]({% slug tooltips_chart_charts %}#toc-shared-tooltip)).
     */
    shared?: boolean;
    /**
     * If set to `true`, the Chart displays the series tooltip. By default, the series tooltip is not displayed.
     */
    visible?: boolean;
}

declare interface TooltipAppendTo {
    /**
     * Defines the container to which the Tooltip will be appended. Defaults to [`body`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/body).
     */
    appendTo?: HTMLElement | null;
}

/**
 * The border options of the tooltip.
 */
declare interface TooltipBorder extends Omit<Border, 'dashType'> {
    /**
     *
     * @hidden
     *
     * **Deprecated**. The `dashType` setting is ignored. Use the `border-style` CSS property instead.
     *
     * @deprecated
     */
    dashType?: DashType;
}

/**
 * Represents the props of the Sankey tooltip content component.
 */
export declare interface TooltipContentProps {
    /**
     * Represents the dataItem object of the hovered node or link element.
     */
    dataItem: SankeyNodeDataItem | SankeyLinkDataItem;
    /**
     * The value of the hovered node element.
     * The value is available only when the hovered element is a node.
     */
    nodeValue?: number;
    /**
     * The `dir` attribute of the Sankey tooltip content component.
     */
    dir?: string;
}

export declare interface TooltipContext {
    point: TooltipPoint;
}

/**
 * The point that is passed to the tooltip component.
 */
export declare class TooltipPoint {
    /**
     * The point value.
     */
    value: any;
    /**
     * The point category. Available only for the Categorical series.
     */
    category: string | Date | number;
    /**
     * The point category index. Available only for the Categorical series.
     */
    categoryIndex: number;
    /**
     * The point series options.
     */
    series: any;
    /**
     * The point `dataItem`.
     */
    dataItem: any;
    /**
     * The point value represented as a percentage value. Available only for the Donut, Pie, and 100% Stacked charts.
     */
    percentage: number;
    /**
     * The sum of point values since the last `"runningTotal"` summary point. Available for the Waterfall series.
     */
    runningTotal: number;
    /**
     * The sum of all previous series values. Available for the Waterfall series.
     */
    total: number;
    /**
     * The low value of the point error bar. Available for the Categorical series with error bars.
     */
    low: number;
    /**
     * The high value of the point error bar. Available for the Categorical series with error bars.
     */
    high: number;
    /**
     * The x low value of the point error bar. Available for the Scatter series with error bars.
     */
    xLow: number;
    /**
     * The x high value of the point error bar. Available for the Scatter series with error bars.
     */
    xHigh: number;
    /**
     * The y low value of the point error bar. Available for the Scatter series with error bars.
     */
    yLow: number;
    /**
     * The y low value of the point error bar. Available for the Scatter series with error bars.
     */
    yHigh: number;
    private point;
    private format?;
    /**
     * @hidden
     */
    constructor(point: any, format?: string);
    get formattedValue(): string;
}

/**
 * The series trendline forecast settings.
 */
declare interface TrendlineForecast {
    /**
     * The number of intervals to extend the trendline before the first data point.
     */
    before?: number;
    /**
     * The number of intervals to extend the trendline after the last data point.
     */
    after?: number;
}

/**
 * @hidden
 */
declare interface ValueAxis {
    /**
     * * (Only for objects) The value at which the category axis crosses this axis.
     * * (Only for arrays) The value indices at which the category axes cross the value axis.
     * * (Only for dates) The date at which the category axis crosses this axis.
     */
    axisCrossingValue?: any | any[];
    /**
     * The background color of the axis.
     */
    background?: string;
    /**
     * The color of the value axis. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The configuration of the axis lines. Also affects the major and minor ticks, but not the grid lines.
     */
    line?: AxisLine;
    /**
     * The configuration of the major grid lines. These are the lines that are an extension of the major ticks through the body of the Chart.
     */
    majorGridLines?: GridLines;
    /**
     * The configuration of the value axis major ticks.
     */
    majorTicks?: AxisTicks;
    /**
     * The interval between major divisions. If [`valueAxis.type`]({% slug api_charts_chartvalueaxisitemprops %}#toc-type) is set to `"log"`, the `majorUnit` value is used for the base of the logarithm.
     */
    majorUnit?: number;
    /**
     * The maximum value of the axis.
     */
    max?: any;
    /**
     * The minimum value of the axis.
     */
    min?: any;
    /**
     * The configuration of the minor grid lines. These are the lines that are an extension of the minor ticks through the body of the Chart.
     */
    minorGridLines?: GridLines;
    /**
     * The configuration of the value axis minor ticks.
     */
    minorTicks?: AxisTicks;
    /**
     * The interval between minor divisions. It defaults to one-fifth (1/5) of the [`valueAxis.majorUnit`]({% slug api_charts_chartvalueaxisitemprops %}#toc-majorunit). If [`valueAxis.type`]({% slug api_charts_chartvalueaxisitemprops %}#toc-type) is set to `"log"`, the `minorUnit` value represents the number of divisions between two major units and defaults to the major unit minus one.
     */
    minorUnit?: number;
    /**
     * The unique axis name. Used to associate a series with a value axis by using the [`series.axis`]({% slug api_charts_chartseriesitemprops %}#toc-axis) option.
     */
    name?: string;
    /**
     * If set to `true`, the Chart prevents the automatic axis range from snapping to zero. Setting it to `false` forces the automatic axis range to snap to zero.
     */
    narrowRange?: boolean;
    /**
     * The name of the pane that the value axis has to be rendered in. If not set, the axis is rendered in the first (default) pane.
     */
    pane?: string;
    /**
     * The plot bands of the value axis.
     */
    plotBands?: PlotBand[];
    /**
     * If set to `true`, the value axis direction is reversed. By default, the categories are listed from left to right and from bottom to top.
     *
     * > Radar and Polar Charts do not support reverse value axes.
     */
    reverse?: boolean;
    /**
     * The axis type.
     *
     * The supported values are:
     * - `"numeric"`&mdash;Numeric axis.
     * - `"log"`&mdash;Logarithmic axis.
     */
    type?: 'numeric' | 'log' | string;
    /**
     * If set to `true`, the Chart displays the value axis. By default, the value axis is visible.
     */
    visible?: boolean;
    /**
     * The crosshair configuration options.
     *
     * The crosshair is displayed when the [`valueAxis.crosshair.visible`]({% slug api_charts_chartvalueaxiscrosshairprops %}#toc-visible) option is set to `true`.
     */
    crosshair?: ValueAxisCrosshair_2;
    /**
     * The axis labels configuration.
     */
    labels?: ValueAxisLabels_2;
    /**
     * The value axis notes configuration.
     */
    notes?: ValueAxisNotes_2;
    /**
     * The title configuration of the value axis.
     *
     * To display the title, set the [`valueAxis.title.text`]({% slug api_charts_chartvalueaxistitleprops %}#toc-text) option.
     */
    title?: ValueAxisTitle_2;
}

/**
 * @hidden
 */
declare interface ValueAxisCrosshair_2 {
    /**
     * The color of the crosshair. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     */
    opacity?: number;
    /**
     * If set to `true`, the Chart displays the value axis crosshair. By default, the value axis crosshair is not visible.
     */
    visible?: boolean;
    /**
     * The width of the crosshair in pixels.
     */
    width?: number;
    /**
     * The options of the crosshair tooltip. The crosshair tooltip is displayed when the [`valueAxis.crosshair.tooltip.visible`]({% slug api_charts_chartvalueaxiscrosshairtooltipprops %}#toc-visible) option is set to `true`.
     */
    tooltip?: ValueAxisCrosshairTooltip;
}

/**
 * @hidden
 */
declare interface ValueAxisCrosshairTooltip extends AxisCrosshairTooltip {
}

/**
 * @hidden
 */
declare interface ValueAxisLabels_2 {
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the label value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `value`&mdash;The category value.
     * - `format`&mdash;The default format of the label.
     * - `text`&mdash;The default label text.
     * - `index`&mdash;The index of the label.
     * - `count`&mdash;The total number of rendered labels.
     */
    content?: (e: any) => string;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format for displaying the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * If set to `true`, the Chart mirrors the axis labels and ticks. If the labels are normally on the left side of the axis, the mirroring of the axis renders them to the right.
     */
    mirror?: boolean;
    /**
     * The padding of the labels. A numeric value sets all margins.
     */
    padding?: Padding | number;
    /**
     * The rotation angle (in degrees) of the labels. By default, the labels are not rotated. Angles increase clockwise and zero is to the left. Negative values are acceptable. Can be set to `"auto"` if the axis is horizontal. In this case, the labels will be rotated only if the slot size is not sufficient for the entire labels.
     */
    rotation?: LabelRotation | number | 'auto';
    /**
     * The number of labels to skip. By default, no labels are skipped.
     */
    skip?: number;
    /**
     * The label rendering step.
     * Every n<sup>th</sup> label is rendered where `n` is the step.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the value axis labels. By default, the category axis labels are visible.
     */
    visible?: boolean;
    /**
     * A function for creating custom visuals for the labels.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function for getting the default visual.
     * - `culture`&mdash;The default culture (if set) on the label.
     * - `format`&mdash;The default format of the label.
     * - `options`&mdash;The label options.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `text`&mdash;The label text.
     * - `value`&mdash;The category value.
     */
    visual?: (e: AxisLabelVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface ValueAxisNotes_2 {
    /**
     * The items of the notes.
     */
    dataItems?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the value axis note.
     *
     * The supported values are:
     * - `"top"`&mdash;The note is positioned on the top.
     * - `"bottom"`&mdash;The note is positioned on the bottom.
     * - `"left"`&mdash;The note is positioned on the left.
     * - `"right"`&mdash;The note is positioned on the right.
     */
    position?: NotePosition | string;
    /**
     * A function for creating custom visuals for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `value`&mdash;The note value.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: ValueAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: ValueAxisNotesLabel;
}

/**
 * @hidden
 */
declare interface ValueAxisNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The shape of the notes icon.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface ValueAxisNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the axis value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format used to display the notes label. Uses the IntlService [`format`]({% slug api_intl_intlservice %}#toc-format) method. Contains one placeholder (`"{0}"`) which represents the axis value.
     */
    format?: string;
    /**
     * The position of the labels.
     *
     * The supported values are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the value axis notes label. By default, the value axis notes label is visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface ValueAxisTitle_2 {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"top"`&mdash;The axis title is positioned on the top (applicable to the vertical axis).
     * - `"bottom"`&mdash;The axis title is positioned on the bottom (applicable to the vertical axis).
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: AxisTitlePosition | string;
    /**
     * The rotation angle of the title. By default, the title is not rotated.
     */
    rotation?: number;
    /**
     * The text of the title. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the value axis title. By default, the value axis title is visible.
     */
    visible?: boolean;
    /**
     * A function for creating a custom visual for the title.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %})
     * that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function for getting the default visual.
     */
    visual?: (e: TitleVisualArgs) => drawing.Element;
}

export { VerticalStripesPattern }

/**
 * Specifies the `weekStartDay` of a [ChartCategoryAxisItem]({% slug api_charts_chartcategoryaxisitemprops %}).
 */
declare enum WeekStartDay_2 {
    /**
     * Specifies Sunday as the first day of the week.
     */
    Sunday = 0,
    /**
     * Specifies Monday as the first day of the week.
     */
    Monday = 1,
    /**
     * Specifies Tuesday as the first day of the week.
     */
    Tuesday = 2,
    /**
     * Specifies Wednesday as the first day of the week.
     */
    Wednesday = 3,
    /**
     * Specifies Thursday as the first day of the week.
     */
    Thursday = 4,
    /**
     * Specifies Friday as the first day of the week.
     */
    Friday = 5,
    /**
     * Specifies Saturday as the first day of the week.
     */
    Saturday = 6
}

/**
 * @hidden
 */
declare interface XAxis {
    /**
     * * (Only for objects) The value at which the Y axis crosses this axis.
     * * (Only for arrays) The value indices at which the y axes cross the value axis.
     * * (Only for dates) The date at which the Y axis crosses this axis.
     *
     * To denote the far end of the axis, set a value that is greater than or equal to the axis maximum value.
     */
    axisCrossingValue?: any | any[];
    /**
     * The background color of the axis.
     */
    background?: string;
    /**
     * The category names. Applicable for charts with X and Y category axes.
     */
    categories?: any[];
    /**
     * The base time interval for the axis labels. The default `baseUnit` is automatically determined from the value range.
     *
     * The available options are:
     * - milliseconds
     * - seconds
     * - minutes
     * - hours
     * - days
     * - weeks
     * - months
     * - years
     */
    baseUnit?: BaseUnit | string;
    /**
     * The color of the axis. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The configuration of the axis lines. Also affects the major and minor ticks, but not the grid lines.
     */
    line?: AxisLine;
    /**
     * The configuration of the major grid lines. These are the lines that are an extension of the major ticks through the body of the Chart.
     */
    majorGridLines?: GridLines;
    /**
     * The configuration of the Scatter Chart X-axis major ticks.
     */
    majorTicks?: AxisTicks;
    /**
     * The interval between major divisions. If this is a date axis, the value represents the number of [`xAxis.baseUnits`]({% slug api_charts_chartxaxisitemprops %}#toc-baseunit) between major divisions. If [`xAxis.type`]({% slug api_charts_chartxaxisitemprops %}#toc-type) is set to `"log"`, the `majorUnit` value is used for the base of the logarithm.
     */
    majorUnit?: number;
    /**
     * The maximum value of the axis.
     */
    max?: any;
    /**
     * The minimum value of the axis.
     */
    min?: any;
    /**
     * The configuration of the minor grid lines. These are the lines that are an extension of the minor ticks through the body of the Chart.
     */
    minorGridLines?: GridLines;
    /**
     * The configuration of the X-axis minor ticks.
     */
    minorTicks?: AxisTicks;
    /**
     * The interval between minor divisions. It defaults to 1/5 of the [`xAxis.majorUnit`]({% slug api_charts_chartxaxisitemprops %}#toc-majorunit). If [`xAxis.type`]({% slug api_charts_chartxaxisitemprops %}#toc-type) is set to `"log"`, the `minorUnit` value represents the number of divisions between two major units and defaults to the major unit minus one.
     */
    minorUnit?: number;
    /**
     * The unique axis name. Used to associate a series with a X axis by using the [`series.xAxis`]({% slug api_charts_chartseriesitemprops %}#toc-xaxis) option.
     */
    name?: string;
    /**
     * If set to `true`, the Chart prevents the automatic axis range from snapping to zero. Setting it to `false` forces the automatic axis range to snap to zero.
     */
    narrowRange?: boolean;
    /**
     * The name of the pane in which the axis has to be rendered. If not set, the axis is rendered in the first (default) pane.
     */
    pane?: string;
    /**
     * The plot bands of the X axis.
     */
    plotBands?: PlotBand[];
    /**
     * If set to `true`, the value axis direction is reversed. By default, values increase from left to right and from bottom to top.
     */
    reverse?: boolean;
    /**
     * The angle (in degrees) where the zero value is placed. Angles increase counterclockwise and zero is to the right. Negative values are acceptable.
     */
    startAngle?: number;
    /**
     * The axis type.
     *
     * The supported values are:
     * - `"numeric"`&mdash;Numeric axis.
     * - `"date"`&mdash;Specialized axis for displaying chronological data.
     * - `"log"`&mdash;Logarithmic axis.
     *
     * If the series X value is of the `date` type, the Chart automatically switches to a date axis. To avoid this behavior, set the `type`.
     */
    type?: 'numeric' | 'log' | 'date' | string;
    /**
     * If set to `true`, the Chart displays the X axis. By default, the X axis is visible.
     */
    visible?: boolean;
    /**
     * The configuration options of the crosshair. The crosshair is displayed when the [`xAxis.crosshair.visible`]({% slug api_charts_chartxaxiscrosshairprops %}#toc-visible) option is set to `true`.
     */
    crosshair?: XAxisCrosshair_2;
    /**
     * The axis labels configuration.
     */
    labels?: XAxisLabels_2;
    /**
     * The X-axis notes configuration.
     */
    notes?: XAxisNotes_2;
    /**
     * The title configuration of the Scatter Chart X axis. To display the title, set the [`xAxis.title.text`]({% slug api_charts_chartxaxistitleprops %}#toc-text) option.
     */
    title?: XAxisTitle_2;
}

/**
 * @hidden
 */
declare interface XAxisCrosshair_2 {
    /**
     * The color of the crosshair. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     */
    opacity?: number;
    /**
     * If set to `true`, the Chart displays the X-axis crosshair of the Scatter Chart. By default, the X-axis crosshair of the Scatter Chart is not visible.
     */
    visible?: boolean;
    /**
     * The width of the crosshair in pixels.
     */
    width?: number;
    /**
     * The options of the crosshair tooltip. The crosshair tooltip is displayed when the [`xAxis.crosshair.tooltip.visible`]({% slug api_charts_chartxaxiscrosshairtooltipprops %}#toc-visible) option is set to `true`.
     */
    tooltip?: XAxisCrosshairTooltip;
}

/**
 * @hidden
 */
declare interface XAxisCrosshairTooltip extends AxisCrosshairTooltip {
}

/**
 * @hidden
 */
declare interface XAxisLabels_2 {
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the axis value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `value`&mdash;The category value.
     * - `format`&mdash;The default format of the label.
     * - `text`&mdash;The default label text.
     * - `index`&mdash;The index of the label.
     * - `count`&mdash;The total number of rendered labels.
     */
    content?: (e: any) => string;
    /**
     * The culture to use when formatting date values. The specified culture must be loaded as demonstrated in the [Internationalization Overview]({% slug overview_intl %}).
     */
    culture?: string;
    /**
     * The format for displaying the labels when the X values are dates. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value. The Chart selects the appropriate format for the current [`xAxis.baseUnit`]({% slug api_charts_chartxaxisitemprops %}#toc-baseunit). Setting the [`categoryAxis.labels.format`]({% slug api_charts_chartcategoryaxislabelsprops %}#toc-format) option overrides the date formats.
     */
    dateFormats?: DateFormats;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format for displaying the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * If set to `true`, the Chart mirrors the axis labels and ticks. If the labels are normally on the left side of the axis, the mirroring of the axis renders them to the right.
     */
    mirror?: boolean;
    /**
     * The padding of the labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The rotation angle of the labels. By default, the labels are not rotated. Can be set to `"auto"`. In this case, the labels are rotated only if the slot size is not sufficient for the entire labels.
     */
    rotation?: LabelRotation | number | 'auto';
    /**
     * The number of labels to skip.
     */
    skip?: number;
    /**
     * The label rendering step&mdash;renders every n<sup>th</sup> label. By default, every label is rendered.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the X-axis labels. By default, the X-axis labels are visible.
     */
    visible?: boolean;
    /**
     * A function for creating custom visuals for the labels.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `culture`&mdash;The default culture (if set) of the label.
     * - `format`&mdash;The default format of the label.
     * - `options`&mdash;The label options.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `text`&mdash;The label text.
     * - `value`&mdash;The category value.
     */
    visual?: (e: AxisLabelVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface XAxisNotes_2 {
    /**
     * The items of the notes.
     */
    dataItems?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the X-axis note.
     *
     * The supported values are:
     * - `"top"`&mdash;The note is positioned on the top.
     * - `"bottom"`&mdash;The note is positioned on the bottom.
     * - `"left"`&mdash;The note is positioned on the left.
     * - `"right"`&mdash;The note is positioned on the right.
     */
    position?: NotePosition | string;
    /**
     * A function for creating custom visuals for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `sender`&mdash;The chart instance (might be `undefined`).
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `value`&mdash;The note value.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: XAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: XAxisNotesLabel;
}

/**
 * @hidden
 */
declare interface XAxisNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The shape of the notes icon.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface XAxisNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the axis value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format for displaying the notes label. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the axis value.
     */
    format?: string;
    /**
     * The position of the labels.
     *
     * The available options are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the X-axis notes label. By default, the X-axis notes label is visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface XAxisTitle_2 {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"top"`&mdash;The axis title is positioned on the top (applicable to the vertical axis).
     * - `"bottom"`&mdash;The axis title is positioned on the bottom (applicable to the vertical axis).
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: AxisTitlePosition | string;
    /**
     * The rotation angle of the title. By default, the title is not rotated.
     */
    rotation?: number;
    /**
     * The text of the title. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the X axis title of the Scatter Chart. By default, the X-axis title of the Scatter Chart is visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the title.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     */
    visual?: (e: TitleVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface YAxis {
    /**
     * * (Only for objects) The value at which the Y axis crosses this axis.
     * * (Only for arrays) The value indices at which the Y axes cross the value axis.
     * * (Only for dates) The date at which the Y axis crosses this axis.
     *
     * To denote the far end of the axis, set a value that is greater than or equal to the axis maximum value.
     */
    axisCrossingValue?: any | any[];
    /**
     * The background color of the axis.
     */
    background?: string;
    /**
     * The category names. Applicable for charts with X and Y category axes.
     */
    categories?: any[];
    /**
     * The base time interval for the axis labels. The default `baseUnit` is automatically determined from the value range.
     *
     * The available options are:
     * - `milliseconds`
     * - `seconds`
     * - `minutes`
     * - `hours`
     * - `days`
     * - `weeks`
     * - `months`
     * - `years`
     */
    baseUnit?: BaseUnit | string;
    /**
     * The color of the axis. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The configuration of the axis lines. Also affects the major and minor ticks, but not the grid lines.
     */
    line?: AxisLine;
    /**
     * The configuration of the major grid lines. These are the lines that are an extension of the major ticks through the body of the Chart.
     */
    majorGridLines?: GridLines;
    /**
     * The configuration of the Scatter Chart Y-axis major ticks.
     */
    majorTicks?: AxisTicks;
    /**
     * The interval between major divisions. If this is a date axis, the value represents the number of [`yAxis.baseUnits`]({% slug api_charts_chartyaxisitemprops %}#toc-baseunit) between major divisions. If the [`yAxis.type`]({% slug api_charts_chartyaxisitemprops %}#toc-type) is set to `"log"`, the `majorUnit` value is used for the base of the logarithm.
     */
    majorUnit?: number;
    /**
     * The maximum value of the axis.
     */
    max?: any;
    /**
     * The minimum value of the axis.
     */
    min?: any;
    /**
     * The configuration of the minor grid lines. These are the lines that are an extension of the minor ticks through the body of the Chart.
     */
    minorGridLines?: GridLines;
    /**
     * The configuration of the Y-axis minor ticks.
     */
    minorTicks?: AxisTicks;
    /**
     * The interval between minor divisions. It defaults to one-fifth (1/5) of [`yAxis.majorUnit`]({% slug api_charts_chartyaxisitemprops %}#toc-majorunit). If [`yAxis.type`]({% slug api_charts_chartyaxisitemprops %}#toc-type) is set to `"log"`, the `minorUnit` value represents the number of divisions between two major units and defaults to the major unit minus one.
     */
    minorUnit?: number;
    /**
     * The unique axis name. Used to associate a series with a Y axis by using the [`series.yAxis`]({% slug api_charts_chartseriesitemprops %}#toc-yaxis) option.
     */
    name?: string;
    /**
     * If set to `true`, the Chart prevents the automatic axis range from snapping to zero. Setting it to `false` forces the automatic axis range to snap to zero.
     */
    narrowRange?: boolean;
    /**
     * The name of the pane in which the axis has to be rendered. If not set, the axis is rendered in the first (default) pane.
     */
    pane?: string;
    /**
     * The plot bands of the Y axis.
     */
    plotBands?: PlotBand[];
    /**
     * If set to `true`, the value axis direction is reversed. By default, the values increase from left to right and from bottom to top.
     */
    reverse?: boolean;
    /**
     * The axis type.
     *
     * The supported values are:
     * - `"numeric"`&mdash;Numeric axis.
     * - `"date"`&mdash;Specialized axis for displaying chronological data.
     * - `"log"`&mdash;Logarithmic axis.
     *
     * If the series Y value is of the `date` type, the Chart automatically switches to a date axis. To avoid this behavior, set the `type`.
     */
    type?: 'numeric' | 'log' | 'date' | string;
    /**
     * If set to `true`, the Chart displays the Y axis. By default, the Y axis is visible.
     */
    visible?: boolean;
    /**
     * The configuration options of the crosshair. The crosshair is displayed when the [`yAxis.crosshair.visible`]({% slug api_charts_chartyaxiscrosshairprops %}#toc-visible) option is set to `true`.
     */
    crosshair?: YAxisCrosshair_2;
    /**
     * The axis labels configuration.
     */
    labels?: YAxisLabels_2;
    /**
     * The Y-axis notes configuration.
     */
    notes?: YAxisNotes_2;
    /**
     * The title configuration of the Scatter Chart Y axis. To display the title, set the [`yAxis.title.text`]({% slug api_charts_chartyaxistitleprops %}#toc-text) option.
     */
    title?: YAxisTitle_2;
}

/**
 * @hidden
 */
declare interface YAxisCrosshair_2 {
    /**
     * The color of the crosshair. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     */
    opacity?: number;
    /**
     * If set to `true`, the Chart displays the Y-axis crosshair of the Scatter Chart. By default, the Y-axis crosshair of the Scatter Chart is not visible.
     */
    visible?: boolean;
    /**
     * The width of the crosshair in pixels.
     */
    width?: number;
    /**
     * The options of the crosshair tooltip. The crosshair tooltip is displayed when the [`yAxis.crosshair.tooltip.visible`]({% slug api_charts_chartyaxiscrosshairtooltipprops %}#toc-visible) option is set to `true`.
     */
    tooltip?: YAxisCrosshairTooltip;
}

/**
 * @hidden
 */
declare interface YAxisCrosshairTooltip extends AxisCrosshairTooltip {
}

/**
 * @hidden
 */
declare interface YAxisLabels_2 {
    /**
     * The background color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the labels.
     */
    border?: Border;
    /**
     * The text color of the labels. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the axis value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     *
     * The available fields in the function argument are:
     * - `value`&mdash;The category value.
     * - `format`&mdash;The default format of the label.
     * - `text`&mdash;The default label text.
     * - `index`&mdash;The index of the label.
     * - `count`&mdash;The total number of rendered labels.
     */
    content?: (e: any) => string;
    /**
     * The culture to use when formatting date values. The specified culture must be loaded as demonstrated in the [Internationalization Overview]({% slug overview_intl %}).
     */
    culture?: string;
    /**
     * The format for displaying the labels when the X values are dates. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value. The Chart selects the appropriate format for the current [`yAxis.baseUnit`]({% slug api_charts_chartyaxisitemprops %}#toc-baseunit). Setting the [`categoryAxis.labels.format`]({% slug api_charts_chartcategoryaxislabelsprops %}#toc-format) option overrides the date formats.
     */
    dateFormats?: DateFormats;
    /**
     * The font style of the labels.
     */
    font?: string;
    /**
     * The format for displaying the labels. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the category value.
     */
    format?: string;
    /**
     * The margin of the labels. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * If set to `true`, the Chart mirrors the axis labels and ticks. If the labels are normally on the left side of the axis, the mirroring of the axis renders them to the right.
     */
    mirror?: boolean;
    /**
     * The padding of the labels. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The rotation angle of the labels. By default, the labels are not rotated.
     */
    rotation?: LabelRotation | number | 'auto';
    /**
     * The number of labels to skip.
     */
    skip?: number;
    /**
     * The label rendering step&mdash;renders every `n`<sup>th</sup> label. By default, every label is rendered.
     */
    step?: number;
    /**
     * If set to `true`, the Chart displays the Y-axis labels. By default, the Y-axis labels are visible.
     */
    visible?: boolean;
    /**
     * A function that can be used to create a custom visual for the labels.
     *
     * The available argument fields are:
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `culture`&mdash;The default culture (if set) on the label.
     * - `format`&mdash;The default format of the label.
     * - `options`&mdash;The label options.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (might be `undefined`).
     * - `text`&mdash;The label text.
     * - `value`&mdash;The category value.
     */
    visual?: (e: AxisLabelVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface YAxisNotes_2 {
    /**
     * The items of the notes.
     */
    dataItems?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the Y-axis notes.
     *
     * The supported values are:
     * - `"top"`&mdash;The note is positioned on the top.
     * - `"bottom"`&mdash;The note is positioned on the bottom.
     * - `"left"`&mdash;The note is positioned on the left.
     * - `"right"`&mdash;The note is positioned on the right.
     */
    position?: NotePosition | string;
    /**
     * A function for creating custom visuals for the notes.
     *
     * The available argument fields are:
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %}) that defines the note target rect.
     * - `options`&mdash;The note options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     * - `value`&mdash;The note value.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: YAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: YAxisNotesLabel;
}

/**
 * @hidden
 */
declare interface YAxisNotesIcon {
    /**
     * The background color of the notes icon.
     */
    background?: string;
    /**
     * The border of the notes icon.
     */
    border?: Border;
    /**
     * The size of the notes icon.
     */
    size?: number;
    /**
     * The shape of the notes icon.
     *
     * The supported values are:
     * * `"circle"`&mdash;The marker shape is a circle.
     * * `"square"`&mdash;The marker shape is a square.
     * * `"triangle"`&mdash;The marker shape is a triangle.
     * * `"cross"`&mdash;The marker shape is a cross.
     */
    type?: MarkerType | string;
    /**
     * The visibility of the notes icon.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface YAxisNotesLabel {
    /**
     * The background color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the label.
     */
    border?: Border;
    /**
     * The text color of the label. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The function which returns the label content. The function argument contains a `value` field. It defines the axis value. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    content?: (e: any) => string;
    /**
     * The font style of the label.
     */
    font?: string;
    /**
     * The format for displaying the notes label. Uses the [`format`]({% slug api_intl_intlservice %}#toc-format) method of IntlService. Contains one placeholder (`"{0}"`) which represents the axis value.
     */
    format?: string;
    /**
     * The position of the labels.
     *
     * The available options are:
     * - `"inside"`&mdash;The label is positioned inside the icon.
     * - `"outside"`&mdash;The label is positioned outside the icon.
     */
    position?: NoteLabelPosition | string;
    /**
     * The rotation angle of the label. By default, the label is not rotated.
     */
    rotation?: number;
    /**
     * If set to `true`, the Chart displays the Y-axis notes label. By default, the Y-axis notes label is visible.
     */
    visible?: boolean;
}

/**
 * @hidden
 */
declare interface YAxisTitle_2 {
    /**
     * The background color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    background?: string;
    /**
     * The border of the title.
     */
    border?: Border;
    /**
     * The text color of the title. Accepts a valid CSS color string, including hex and rgb.
     */
    color?: string;
    /**
     * The font style of the title.
     */
    font?: string;
    /**
     * The margin of the title. A numeric value sets all margins.
     */
    margin?: Margin | number;
    /**
     * The padding of the title. A numeric value sets all paddings.
     */
    padding?: Padding | number;
    /**
     * The position of the title.
     *
     * The supported values are:
     * - `"top"`&mdash;The axis title is positioned on the top (applicable to the vertical axis).
     * - `"bottom"`&mdash;The axis title is positioned on the bottom (applicable to the vertical axis).
     * - `"left"`&mdash;The axis title is positioned on the left (applicable to the horizontal axis).
     * - `"right"`&mdash;The axis title is positioned on the right (applicable to the horizontal axis).
     * - `"center"`&mdash;The axis title is positioned in the center.
     */
    position?: AxisTitlePosition | string;
    /**
     * The rotation angle of the title. By default, the title is not rotated.
     */
    rotation?: number;
    /**
     * The text of the title. You can split the text into multiple lines by using the line feed characters (`"\n"`).
     */
    text?: string;
    /**
     * If set to `true`, the Chart displays the Scatter Chart Y-axis title. By default, the Scatter Chart Y-axis title is visible.
     */
    visible?: boolean;
    /**
     * A function for creating custom visuals for the title.
     *
     * The available argument fields are:
     * - `text`&mdash;The label text.
     * - `rect`&mdash;The geometry [`Rect`]({% slug api_kendo-drawing_geometry_rect %})
     * that defines where the visual has to be rendered.
     * - `sender`&mdash;The Chart instance (can be `undefined`).
     * - `options`&mdash;The label options.
     * - `createVisual`&mdash;A function that can be used to get the default visual.
     */
    visual?: (e: TitleVisualArgs) => drawing.Element;
}

/**
 * @hidden
 */
declare interface Zoomable_2 {
    /**
     * Specifies if the Chart can be zoomed by using the mousewheel.
     */
    mousewheel?: boolean | MousewheelZoom;
    /**
     * Specifies if the Chart can be zoomed by using selection.
     */
    selection?: boolean | DragAction_2;
}

/**
 * Arguments for the `zoomEnd` event.
 */
export declare class ZoomEndEvent extends BaseEvent {
    /**
     * A dictionary which contains the range (min and max values) of the named axes. The axis name is used as a key.
     *
     * > The dictionary includes only the affected axis ranges. If an axis is locked or its range is not modified, the axis will not be listed.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `zoom` event.
 */
export declare class ZoomEvent extends PreventableEvent {
    /**
     * A dictionary which contains the range (min and max values) of named axes. The axis name is used as a key.
     *
     * > The dictionary includes only the affected axis ranges. If an axis is locked or its range is not modified, the axis will not be listed.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * A number that indicates the zoom amount and direction. A negative value indicates a zoom-in action. A positive value indicates a zoom-out action.
     */
    delta: number;
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

/**
 * Arguments for the `zoomStart` event.
 */
export declare class ZoomStartEvent extends PreventableEvent {
    /**
     * A dictionary which contains the range (min and max values) of named axes. The axis name is used as a key.
     */
    axisRanges: {
        [name: string]: AxisRange;
    };
    /**
     * The original user event that triggered the drag action.
     */
    nativeEvent: any;
    /**
     * @hidden
     */
    constructor(e: any, target: any);
}

export { }
